(* --------------------------------------------------------------------------------
   Autogenerated by the happy scrappy WHIZARD model file generator on 11/19/2015 , 8:33:28
   WHIZARD interface svn revision info: $Id: WOMathematicaInterface.m 3666 2012-01-14 17:03:09Z cnspeckn $
   Code generated for WHIZARD / O'Mega version 2.2.3
   Model name: mssmnofv2_sarah
   Gauge: Unitarity
   Maximum number of couplings per FORTRAN module: 150
   --------------------------------------------------------------------------------
   
   -------------------------------------------------------------------------------- *)

type gauge = Unitarity | Feynman | Rxi

module type Frules_options =
sig
   val gauge: gauge
   val color: bool
end

module Implementation (Opts: Frules_options) =
struct

   open Coupling

   (* Classes with their members *)

   type f15_Go =
      | Go_1
   type f4_Fd =
      | Fd1 | Fd1bar | Fd2 | Fd2bar | Fd3 | Fd3bar
   type f3_Fu =
      | Fu1 | Fu1bar | Fu2 | Fu2bar | Fu3 | Fu3bar
   type f2_Fe =
      | Fe1 | Fe1bar | Fe2 | Fe2bar | Fe3 | Fe3bar
   type f1_Nu =
      | Nu1 | Nu1bar | Nu2 | Nu2bar | Nu3 | Nu3bar
   type f11_N =
      | N1 | N2 | N3 | N4
   type f12_C =
      | C1 | C1bar | C2 | C2bar
   type s11_Sv =
      | Sv1 | Sv1c | Sv2 | Sv2c | Sv3 | Sv3c
   type s1_H =
      | H1 | H2
   type s2_Ah =
      | Ah1 | Ah2
   type s3_Hm =
      | Hm1 | Hm1c | Hm2 | Hm2c
   type s14_D =
      | D11 | D11c | D12 | D12c | D21 | D21c | D22 | D22c | D31 | D31c | D32 | D32c
   type s13_U =
      | U11 | U11c | U12 | U12c | U21 | U21c | U22 | U22c | U31 | U31c | U32 | U32c
   type s12_E =
      | E11 | E11c | E12 | E12c | E21 | E21c | E22 | E22c | E31 | E31c | E32 | E32c
   type v5_G =
      | G_1
   type v1_A =
      | A_1
   type v2_Z =
      | Z_1
   type v3_Wm =
      | Wm_1 | Wmc

   (* Lorentz types with the corresponding classes *)

   type scalar =
      | S11_Sv of s11_Sv | S1_H of s1_H | S2_Ah of s2_Ah | S3_Hm of s3_Hm
      | S14_D of s14_D | S13_U of s13_U | S12_E of s12_E
   type fermion =
      | F15_Go of f15_Go | F4_Fd of f4_Fd | F3_Fu of f3_Fu | F2_Fe of f2_Fe
      | F1_Nu of f1_Nu | F11_N of f11_N | F12_C of f12_C
   type vector =
      | V5_G of v5_G | V1_A of v1_A | V2_Z of v2_Z | V3_Wm of v3_Wm

   (* The actual flavor type *)

   type flavor =
      | FRS of scalar | FRF of fermion | FRV of vector

   (* Trampoline functions *)

   let fermion_of_f15_Go c = F15_Go c
   let fermion_of_f4_Fd c = F4_Fd c
   let fermion_of_f3_Fu c = F3_Fu c
   let fermion_of_f2_Fe c = F2_Fe c
   let fermion_of_f1_Nu c = F1_Nu c
   let fermion_of_f11_N c = F11_N c
   let fermion_of_f12_C c = F12_C c
   let scalar_of_s11_Sv c = S11_Sv c
   let scalar_of_s1_H c = S1_H c
   let scalar_of_s2_Ah c = S2_Ah c
   let scalar_of_s3_Hm c = S3_Hm c
   let scalar_of_s14_D c = S14_D c
   let scalar_of_s13_U c = S13_U c
   let scalar_of_s12_E c = S12_E c
   let vector_of_v5_G c = V5_G c
   let vector_of_v1_A c = V1_A c
   let vector_of_v2_Z c = V2_Z c
   let vector_of_v3_Wm c = V3_Wm c
   let flavor_of_scalar lt = FRS lt
   let flavor_of_fermion lt = FRF lt
   let flavor_of_vector lt = FRV lt

   (* Particle lists *)

   let f15_Go_members =
      [Go_1;]
   let f4_Fd_members =
      [Fd1; Fd1bar; Fd2; Fd2bar; Fd3; Fd3bar;]
   let f3_Fu_members =
      [Fu1; Fu1bar; Fu2; Fu2bar; Fu3; Fu3bar;]
   let f2_Fe_members =
      [Fe1; Fe1bar; Fe2; Fe2bar; Fe3; Fe3bar;]
   let f1_Nu_members =
      [Nu1; Nu1bar; Nu2; Nu2bar; Nu3; Nu3bar;]
   let f11_N_members =
      [N1; N2; N3; N4;]
   let f12_C_members =
      [C1; C1bar; C2; C2bar;]
   let s11_Sv_members =
      [Sv1; Sv1c; Sv2; Sv2c; Sv3; Sv3c;]
   let s1_H_members =
      [H1; H2;]
   let s2_Ah_members =
      [Ah1; Ah2;]
   let s3_Hm_members =
      [Hm1; Hm1c; Hm2; Hm2c;]
   let s14_D_members =
      [D11; D11c; D12; D12c; D21; D21c; D22; D22c; D31; D31c; D32; D32c;]
   let s13_U_members =
      [U11; U11c; U12; U12c; U21; U21c; U22; U22c; U31; U31c; U32; U32c;]
   let s12_E_members =
      [E11; E11c; E12; E12c; E21; E21c; E22; E22c; E31; E31c; E32; E32c;]
   let v5_G_members =
      [G_1;]
   let v1_A_members =
      [A_1;]
   let v2_Z_members =
      [Z_1;]
   let v3_Wm_members =
      [Wm_1; Wmc;]
   let all_scalars = []
      @ (List.map scalar_of_s11_Sv s11_Sv_members)
      @ (List.map scalar_of_s1_H s1_H_members)
      @ (List.map scalar_of_s2_Ah s2_Ah_members)
      @ (List.map scalar_of_s3_Hm s3_Hm_members)
      @ (List.map scalar_of_s14_D s14_D_members)
      @ (List.map scalar_of_s13_U s13_U_members)
      @ (List.map scalar_of_s12_E s12_E_members)
   let all_fermions = []
      @ (List.map fermion_of_f15_Go f15_Go_members)
      @ (List.map fermion_of_f4_Fd f4_Fd_members)
      @ (List.map fermion_of_f3_Fu f3_Fu_members)
      @ (List.map fermion_of_f2_Fe f2_Fe_members)
      @ (List.map fermion_of_f1_Nu f1_Nu_members)
      @ (List.map fermion_of_f11_N f11_N_members)
      @ (List.map fermion_of_f12_C f12_C_members)
   let all_vectors = []
      @ (List.map vector_of_v5_G v5_G_members)
      @ (List.map vector_of_v1_A v1_A_members)
      @ (List.map vector_of_v2_Z v2_Z_members)
      @ (List.map vector_of_v3_Wm v3_Wm_members)

   (* Orders *) 

   type orders = int * int 

   let orders = function  
       | _ -> (0,0) 


   (* The conjugation operation on a single class *)

   let conjugate_f15_Go = function 
      | x -> x
   let conjugate_f4_Fd = function 
      | Fd1 -> Fd1bar | Fd1bar -> Fd1 | Fd2 -> Fd2bar | Fd2bar -> Fd2 | Fd3 -> Fd3bar
      | Fd3bar -> Fd3
   let conjugate_f3_Fu = function 
      | Fu1 -> Fu1bar | Fu1bar -> Fu1 | Fu2 -> Fu2bar | Fu2bar -> Fu2 | Fu3 -> Fu3bar
      | Fu3bar -> Fu3
   let conjugate_f2_Fe = function 
      | Fe1 -> Fe1bar | Fe1bar -> Fe1 | Fe2 -> Fe2bar | Fe2bar -> Fe2 | Fe3 -> Fe3bar
      | Fe3bar -> Fe3
   let conjugate_f1_Nu = function 
      | Nu1 -> Nu1bar | Nu1bar -> Nu1 | Nu2 -> Nu2bar | Nu2bar -> Nu2 | Nu3 -> Nu3bar
      | Nu3bar -> Nu3
   let conjugate_f11_N = function 
      | x -> x
   let conjugate_f12_C = function 
      | C1 -> C1bar | C1bar -> C1 | C2 -> C2bar | C2bar -> C2
   let conjugate_s11_Sv = function 
      | Sv1 -> Sv1c | Sv1c -> Sv1 | Sv2 -> Sv2c | Sv2c -> Sv2 | Sv3 -> Sv3c
      | Sv3c -> Sv3
   let conjugate_s1_H = function 
      | x -> x
   let conjugate_s2_Ah = function 
      | x -> x
   let conjugate_s3_Hm = function 
      | Hm1 -> Hm1c | Hm1c -> Hm1 | Hm2 -> Hm2c | Hm2c -> Hm2
   let conjugate_s14_D = function 
      | D11 -> D11c | D11c -> D11 | D12 -> D12c | D12c -> D12 | D21 -> D21c
      | D21c -> D21 | D22 -> D22c | D22c -> D22 | D31 -> D31c | D31c -> D31
      | D32 -> D32c | D32c -> D32
   let conjugate_s13_U = function 
      | U11 -> U11c | U11c -> U11 | U12 -> U12c | U12c -> U12 | U21 -> U21c
      | U21c -> U21 | U22 -> U22c | U22c -> U22 | U31 -> U31c | U31c -> U31
      | U32 -> U32c | U32c -> U32
   let conjugate_s12_E = function 
      | E11 -> E11c | E11c -> E11 | E12 -> E12c | E12c -> E12 | E21 -> E21c
      | E21c -> E21 | E22 -> E22c | E22c -> E22 | E31 -> E31c | E31c -> E31
      | E32 -> E32c | E32c -> E32
   let conjugate_v5_G = function 
      | x -> x
   let conjugate_v1_A = function 
      | x -> x
   let conjugate_v2_Z = function 
      | x -> x
   let conjugate_v3_Wm = function 
      | Wm_1 -> Wmc | Wmc -> Wm_1

   (* The conjugation operation on a lorentz type *)

   let conjugate_scalar = function 
      | S11_Sv x -> S11_Sv (conjugate_s11_Sv x)
      | S1_H x -> S1_H (conjugate_s1_H x)
      | S2_Ah x -> S2_Ah (conjugate_s2_Ah x)
      | S3_Hm x -> S3_Hm (conjugate_s3_Hm x)
      | S14_D x -> S14_D (conjugate_s14_D x)
      | S13_U x -> S13_U (conjugate_s13_U x)
      | S12_E x -> S12_E (conjugate_s12_E x)
   let conjugate_fermion = function 
      | F15_Go x -> F15_Go (conjugate_f15_Go x)
      | F4_Fd x -> F4_Fd (conjugate_f4_Fd x)
      | F3_Fu x -> F3_Fu (conjugate_f3_Fu x)
      | F2_Fe x -> F2_Fe (conjugate_f2_Fe x)
      | F1_Nu x -> F1_Nu (conjugate_f1_Nu x)
      | F11_N x -> F11_N (conjugate_f11_N x)
      | F12_C x -> F12_C (conjugate_f12_C x)
   let conjugate_vector = function 
      | V5_G x -> V5_G (conjugate_v5_G x)
      | V1_A x -> V1_A (conjugate_v1_A x)
      | V2_Z x -> V2_Z (conjugate_v2_Z x)
      | V3_Wm x -> V3_Wm (conjugate_v3_Wm x)

   (* Conjugation for the masses *)

   let conjugate = function
      | FRS x -> FRS (conjugate_scalar x)
      | FRF x -> FRF (conjugate_fermion x)
      | FRV x -> FRV (conjugate_vector x)

   let color = function
      | FRS x -> (match x with 
         | S11_Sv _ -> Color.Singlet
         | S1_H _ -> Color.Singlet
         | S2_Ah _ -> Color.Singlet
         | S3_Hm _ -> Color.Singlet
         | S14_D x -> (match x with 
            | D11 | D12 | D21 | D22 | D31 | D32 -> Color.SUN 3
            | D11c | D12c | D21c | D22c | D31c | D32c -> Color.SUN (-3))

         | S13_U x -> (match x with 
            | U11 | U12 | U21 | U22 | U31 | U32 -> Color.SUN 3
            | U11c | U12c | U21c | U22c | U31c | U32c -> Color.SUN (-3))

         | S12_E _ -> Color.Singlet)
      | FRF x -> (match x with 
         | F15_Go Go_1 -> Color.AdjSUN 3
         | F4_Fd x -> (match x with 
            | Fd1 | Fd2 | Fd3 -> Color.SUN 3 | Fd1bar | Fd2bar | Fd3bar -> Color.SUN (-3))

         | F3_Fu x -> (match x with 
            | Fu1 | Fu2 | Fu3 -> Color.SUN 3 | Fu1bar | Fu2bar | Fu3bar -> Color.SUN (-3))

         | F2_Fe _ -> Color.Singlet
         | F1_Nu _ -> Color.Singlet
         | F11_N _ -> Color.Singlet
         | F12_C _ -> Color.Singlet)
      | FRV x -> (match x with 
         | V5_G G_1 -> Color.AdjSUN 3
         | V1_A _ -> Color.Singlet
         | V2_Z _ -> Color.Singlet
         | V3_Wm _ -> Color.Singlet)

   let pdg = function
      | FRS x -> (match x with 
         | S11_Sv x -> (match x with 
            | Sv1 -> 1000012 | Sv1c -> -1000012 | Sv2 -> 1000014 | Sv2c -> -1000014
            | Sv3 -> 1000016 | Sv3c -> -1000016)
         | S1_H x -> (match x with 
            | H1 -> 25 | H2 -> 35)
         | S2_Ah x -> (match x with 
            | Ah1 -> 999900 | Ah2 -> 36)
         | S3_Hm x -> (match x with 
            | Hm1 -> 999901 | Hm1c -> -999901 | Hm2 -> -37 | Hm2c -> 37)

         | S14_D x -> (match x with 
            | D11 -> 1000001 | D11c -> -1000001 | D12 -> 1000003 | D12c -> -1000003
            | D21 -> 1000005 | D21c -> -1000005 | D22 -> 2000001 | D22c -> -2000001
            | D31 -> 2000003 | D31c -> -2000003 | D32 -> 2000005 | D32c -> -2000005)

         | S13_U x -> (match x with 
            | U11 -> 1000002 | U11c -> -1000002 | U12 -> 1000004 | U12c -> -1000004
            | U21 -> 1000006 | U21c -> -1000006 | U22 -> 2000002 | U22c -> -2000002
            | U31 -> 2000004 | U31c -> -2000004 | U32 -> 2000006 | U32c -> -2000006)

         | S12_E x -> (match x with 
            | E11 -> 1000011 | E11c -> -1000011 | E12 -> 1000013 | E12c -> -1000013
            | E21 -> 1000015 | E21c -> -1000015 | E22 -> 2000011 | E22c -> -2000011
            | E31 -> 2000013 | E31c -> -2000013 | E32 -> 2000015 | E32c -> -2000015))
      | FRF x -> (match x with 
         | F15_Go Go_1 -> 1000021
         | F4_Fd x -> (match x with 
            | Fd1 -> 1 | Fd1bar -> -1 | Fd2 -> 3 | Fd2bar -> -3 | Fd3 -> 5 | Fd3bar -> -5)

         | F3_Fu x -> (match x with 
            | Fu1 -> 2 | Fu1bar -> -2 | Fu2 -> 4 | Fu2bar -> -4 | Fu3 -> 6 | Fu3bar -> -6)

         | F2_Fe x -> (match x with 
            | Fe1 -> 11 | Fe1bar -> -11 | Fe2 -> 13 | Fe2bar -> -13 | Fe3 -> 15
            | Fe3bar -> -15)
         | F1_Nu x -> (match x with 
            | Nu1 -> 12 | Nu1bar -> -12 | Nu2 -> 14 | Nu2bar -> -14 | Nu3 -> 16
            | Nu3bar -> -16)
         | F11_N x -> (match x with 
            | N1 -> 1000022 | N2 -> 1000023 | N3 -> 1000025 | N4 -> 1000035)

         | F12_C x -> (match x with 
            | C1 -> -1000024 | C1bar -> 1000024 | C2 -> -1000037 | C2bar -> 1000037))
      | FRV x -> (match x with 
         | V5_G G_1 -> 21
         | V1_A A_1 -> 22
         | V2_Z Z_1 -> 23
         | V3_Wm x -> (match x with 
            | Wm_1 -> -24 | Wmc -> 24))

   let lorentz = function
      | FRF x -> (match x with 
         | F15_Go Go_1 -> Majorana
         | F4_Fd x -> (match x with 
            | Fd1 | Fd2 | Fd3 -> Spinor | Fd1bar | Fd2bar | Fd3bar -> ConjSpinor)

         | F3_Fu x -> (match x with 
            | Fu1 | Fu2 | Fu3 -> Spinor | Fu1bar | Fu2bar | Fu3bar -> ConjSpinor)

         | F2_Fe x -> (match x with 
            | Fe1 | Fe2 | Fe3 -> Spinor | Fe1bar | Fe2bar | Fe3bar -> ConjSpinor)

         | F1_Nu x -> (match x with 
            | Nu1 | Nu2 | Nu3 -> Spinor | Nu1bar | Nu2bar | Nu3bar -> ConjSpinor)

         | F11_N x -> (match x with 
            | N1 | N2 | N3 | N4 -> Majorana)
         | F12_C x -> (match x with 
            | C1 | C2 -> Spinor | C1bar | C2bar -> ConjSpinor))
      | FRV x -> (match x with 
         | V5_G G_1 -> Vector
         | V1_A A_1 -> Vector
         | V2_Z Z_1 -> Massive_Vector
         | V3_Wm x -> (match x with 
            | Wm_1 | Wmc -> Massive_Vector))
      | FRS _ -> Scalar

   type gauge = Xi

   let propagator = 
      let msg = "mssmnofv2_sarah.Implementation: invalid lorentz rep in propagator" in function
      | FRS _ -> Prop_Scalar
      | FRF x -> (match lorentz (FRF x) with
         | Spinor -> Prop_Spinor
         | ConjSpinor -> Prop_ConjSpinor
         | Majorana -> Prop_Majorana
         | _ -> invalid_arg msg)
      | FRV x -> (match Opts.gauge with
         | Unitarity -> (match lorentz (FRV x) with
            | Vector -> Prop_Feynman
            | Massive_Vector -> Prop_Unitarity
            | _ -> invalid_arg msg)
         | Feynman -> (match lorentz (FRV x) with
            | Vector -> Prop_Feynman
            | Massive_Vector -> Prop_Rxi Xi
            | _ -> invalid_arg msg)
         | Rxi -> (match lorentz (FRV x) with
            | Vector -> Prop_Gauge Xi
            | Massive_Vector -> Prop_Rxi Xi
            | _ -> invalid_arg msg))

   let width_symbol = function
      | FRS x -> (match x with 
         | S11_Sv x -> (match x with 
            | Sv1 -> "wsv1" | Sv1c -> "wsv1" | Sv2 -> "wsv2" | Sv2c -> "wsv2" | Sv3 -> "wsv3"
            | Sv3c -> "wsv3")
         | S1_H x -> (match x with 
            | H1 -> "wh1" | H2 -> "wh2")
         | S2_Ah x -> (match x with 
            | Ah2 -> "wah2" | _ -> "fr_zero")
         | S3_Hm x -> (match x with 
            | Hm2 -> "whm2" | Hm2c -> "whm2" | _ -> "fr_zero")
         | S14_D x -> (match x with 
            | D11 -> "wd11" | D11c -> "wd11" | D12 -> "wd12" | D12c -> "wd12" | D21 -> "wd21"
            | D21c -> "wd21" | D22 -> "wd22" | D22c -> "wd22" | D31 -> "wd31"
            | D31c -> "wd31" | D32 -> "wd32" | D32c -> "wd32")
         | S13_U x -> (match x with 
            | U11 -> "wu11" | U11c -> "wu11" | U12 -> "wu12" | U12c -> "wu12" | U21 -> "wu21"
            | U21c -> "wu21" | U22 -> "wu22" | U22c -> "wu22" | U31 -> "wu31"
            | U31c -> "wu31" | U32 -> "wu32" | U32c -> "wu32")
         | S12_E x -> (match x with 
            | E11 -> "we11" | E11c -> "we11" | E12 -> "we12" | E12c -> "we12" | E21 -> "we21"
            | E21c -> "we21" | E22 -> "we22" | E22c -> "we22" | E31 -> "we31"
            | E31c -> "we31" | E32 -> "we32" | E32c -> "we32"))
      | FRF x -> (match x with 
         | F15_Go Go_1 -> "wgo"
         | F4_Fd _ -> "fr_zero"
         | F3_Fu x -> (match x with 
            | Fu3 -> "wfu3" | Fu3bar -> "wfu3" | _ -> "fr_zero")
         | F2_Fe _ -> "fr_zero"
         | F1_Nu _ -> "fr_zero"
         | F11_N x -> (match x with 
            | N1 -> "wn1" | N2 -> "wn2" | N3 -> "wn3" | N4 -> "wn4")

         | F12_C x -> (match x with 
            | C1 -> "wc1" | C1bar -> "wc1" | C2 -> "wc2" | C2bar -> "wc2"))
      | FRV x -> (match x with 
         | V5_G _ -> "fr_zero"
         | V1_A _ -> "fr_zero"
         | V2_Z Z_1 -> "wz"
         | V3_Wm x -> (match x with 
            | Wm_1 -> "wwm" | Wmc -> "wwm"))

   let width x = match width_symbol x with 
      | "fr_zero" -> Vanishing
      | _ -> Timelike

   let fermion x = (match lorentz x with
      | Spinor -> 1 | ConjSpinor -> -1 | Majorana -> 2 | _ -> 0)

   let colsymm _ = (0, false), (0, false)

   let flavors () = []
      @ (List.map flavor_of_scalar all_scalars)
      @ (List.map flavor_of_fermion all_fermions)
      @ (List.map flavor_of_vector all_vectors)

   let external_flavors () = ["Autogenerated flavors", flavors ()]

   let goldstone _ = None

   let flavor_to_string = function
      | FRS x -> (match x with 
         | S11_Sv x -> (match x with 
            | Sv1 -> "sv1" | Sv1c -> "sv1c" | Sv2 -> "sv2" | Sv2c -> "sv2c" | Sv3 -> "sv3"
            | Sv3c -> "sv3c")
         | S1_H x -> (match x with 
            | H1 -> "h1" | H2 -> "h2")
         | S2_Ah x -> (match x with 
            | Ah1 -> "Ah1" | Ah2 -> "Ah2")
         | S3_Hm x -> (match x with 
            | Hm1 -> "Hm1" | Hm1c -> "Hm1c" | Hm2 -> "Hm2" | Hm2c -> "Hm2c")

         | S14_D x -> (match x with 
            | D11 -> "d11" | D11c -> "d11c" | D12 -> "d12" | D12c -> "d12c" | D21 -> "d21"
            | D21c -> "d21c" | D22 -> "d22" | D22c -> "d22c" | D31 -> "d31"
            | D31c -> "d31c" | D32 -> "d32" | D32c -> "d32c")
         | S13_U x -> (match x with 
            | U11 -> "u11" | U11c -> "u11c" | U12 -> "u12" | U12c -> "u12c" | U21 -> "u21"
            | U21c -> "u21c" | U22 -> "u22" | U22c -> "u22c" | U31 -> "u31"
            | U31c -> "u31c" | U32 -> "u32" | U32c -> "u32c")
         | S12_E x -> (match x with 
            | E11 -> "e11" | E11c -> "e11c" | E12 -> "e12" | E12c -> "e12c" | E21 -> "e21"
            | E21c -> "e21c" | E22 -> "e22" | E22c -> "e22c" | E31 -> "e31"
            | E31c -> "e31c" | E32 -> "e32" | E32c -> "e32c"))
      | FRF x -> (match x with 
         | F15_Go Go_1 -> "go"
         | F4_Fd x -> (match x with 
            | Fd1 -> "fd1" | Fd1bar -> "fd1bar" | Fd2 -> "fd2" | Fd2bar -> "fd2bar"
            | Fd3 -> "fd3" | Fd3bar -> "fd3bar")
         | F3_Fu x -> (match x with 
            | Fu1 -> "fu1" | Fu1bar -> "fu1bar" | Fu2 -> "fu2" | Fu2bar -> "fu2bar"
            | Fu3 -> "fu3" | Fu3bar -> "fu3bar")
         | F2_Fe x -> (match x with 
            | Fe1 -> "fe1" | Fe1bar -> "fe1bar" | Fe2 -> "fe2" | Fe2bar -> "fe2bar"
            | Fe3 -> "fe3" | Fe3bar -> "fe3bar")
         | F1_Nu x -> (match x with 
            | Nu1 -> "nu1" | Nu1bar -> "nu1bar" | Nu2 -> "nu2" | Nu2bar -> "nu2bar"
            | Nu3 -> "nu3" | Nu3bar -> "nu3bar")
         | F11_N x -> (match x with 
            | N1 -> "N1" | N2 -> "N2" | N3 -> "N3" | N4 -> "N4")

         | F12_C x -> (match x with 
            | C1 -> "C1" | C1bar -> "C1bar" | C2 -> "C2" | C2bar -> "C2bar"))
      | FRV x -> (match x with 
         | V5_G G_1 -> "g"
         | V1_A A_1 -> "A"
         | V2_Z Z_1 -> "Z"
         | V3_Wm x -> (match x with 
            | Wm_1 -> "Wm" | Wmc -> "Wmc"))

   let flavor_to_TeX = function
      | FRS x -> (match x with 
         | S11_Sv x -> (match x with 
            | Sv1 -> "{\\tilde{\\nu}}_1" | Sv1c -> "{\\tilde{\\nu}^*}_1"
            | Sv2 -> "{\\tilde{\\nu}}_2" | Sv2c -> "{\\tilde{\\nu}^*}_2"
            | Sv3 -> "{\\tilde{\\nu}}_3" | Sv3c -> "{\\tilde{\\nu}^*}_3")

         | S1_H x -> (match x with 
            | H1 -> "{h}_1" | H2 -> "{h}_2")
         | S2_Ah x -> (match x with 
            | Ah1 -> "{A^0}_1" | Ah2 -> "{A^0}_2")
         | S3_Hm x -> (match x with 
            | Hm1 -> "{H^-}_1" | Hm1c -> "{H^+}_1" | Hm2 -> "{H^-}_2" | Hm2c -> "{H^+}_2")

         | S14_D x -> (match x with 
            | D11 -> "{\\tilde{d}}_{11}" | D11c -> "{\\tilde{d}^*}_{11}"
            | D12 -> "{\\tilde{d}}_{12}" | D12c -> "{\\tilde{d}^*}_{12}"
            | D21 -> "{\\tilde{d}}_{21}" | D21c -> "{\\tilde{d}^*}_{21}"
            | D22 -> "{\\tilde{d}}_{22}" | D22c -> "{\\tilde{d}^*}_{22}"
            | D31 -> "{\\tilde{d}}_{31}" | D31c -> "{\\tilde{d}^*}_{31}"
            | D32 -> "{\\tilde{d}}_{32}" | D32c -> "{\\tilde{d}^*}_{32}")

         | S13_U x -> (match x with 
            | U11 -> "{\\tilde{u}}_{11}" | U11c -> "{\\tilde{u}^*}_{11}"
            | U12 -> "{\\tilde{u}}_{12}" | U12c -> "{\\tilde{u}^*}_{12}"
            | U21 -> "{\\tilde{u}}_{21}" | U21c -> "{\\tilde{u}^*}_{21}"
            | U22 -> "{\\tilde{u}}_{22}" | U22c -> "{\\tilde{u}^*}_{22}"
            | U31 -> "{\\tilde{u}}_{31}" | U31c -> "{\\tilde{u}^*}_{31}"
            | U32 -> "{\\tilde{u}}_{32}" | U32c -> "{\\tilde{u}^*}_{32}")

         | S12_E x -> (match x with 
            | E11 -> "{\\tilde{e}}_{11}" | E11c -> "{\\tilde{e}^*}_{11}"
            | E12 -> "{\\tilde{e}}_{12}" | E12c -> "{\\tilde{e}^*}_{12}"
            | E21 -> "{\\tilde{e}}_{21}" | E21c -> "{\\tilde{e}^*}_{21}"
            | E22 -> "{\\tilde{e}}_{22}" | E22c -> "{\\tilde{e}^*}_{22}"
            | E31 -> "{\\tilde{e}}_{31}" | E31c -> "{\\tilde{e}^*}_{31}"
            | E32 -> "{\\tilde{e}}_{32}" | E32c -> "{\\tilde{e}^*}_{32}"))
      | FRF x -> (match x with 
         | F15_Go Go_1 -> "\\tilde{g}"
         | F4_Fd x -> (match x with 
            | Fd1 -> "{d}_1" | Fd1bar -> "{\\bar{d}}_1" | Fd2 -> "{d}_2"
            | Fd2bar -> "{\\bar{d}}_2" | Fd3 -> "{d}_3" | Fd3bar -> "{\\bar{d}}_3")

         | F3_Fu x -> (match x with 
            | Fu1 -> "{u}_1" | Fu1bar -> "{\\bar{u}}_1" | Fu2 -> "{u}_2"
            | Fu2bar -> "{\\bar{u}}_2" | Fu3 -> "{u}_3" | Fu3bar -> "{\\bar{u}}_3")

         | F2_Fe x -> (match x with 
            | Fe1 -> "{e}_1" | Fe1bar -> "{\\bar{e}}_1" | Fe2 -> "{e}_2"
            | Fe2bar -> "{\\bar{e}}_2" | Fe3 -> "{e}_3" | Fe3bar -> "{\\bar{e}}_3")

         | F1_Nu x -> (match x with 
            | Nu1 -> "{\\nu}_1" | Nu1bar -> "{\\bar{\\nu}}_1" | Nu2 -> "{\\nu}_2"
            | Nu2bar -> "{\\bar{\\nu}}_2" | Nu3 -> "{\\nu}_3" | Nu3bar -> "{\\bar{\\nu}}_3")

         | F11_N x -> (match x with 
            | N1 -> "{\\tilde{\\chi}^0}_1" | N2 -> "{\\tilde{\\chi}^0}_2"
            | N3 -> "{\\tilde{\\chi}^0}_3" | N4 -> "{\\tilde{\\chi}^0}_4")

         | F12_C x -> (match x with 
            | C1 -> "{\\tilde{\\chi}^-}_1" | C1bar -> "{\\tilde{\\chi}^+}_1"
            | C2 -> "{\\tilde{\\chi}^-}_2" | C2bar -> "{\\tilde{\\chi}^+}_2"))
      | FRV x -> (match x with 
         | V5_G G_1 -> "g"
         | V1_A A_1 -> "\\gamma"
         | V2_Z Z_1 -> "Z"
         | V3_Wm x -> (match x with 
            | Wm_1 -> "W^-" | Wmc -> "W^+"))

   let flavor_of_string x =
      let dict = List.map (fun x -> (x, flavor_to_string x)) (flavors ())
      in try
         fst (List.find (fun (_, y) -> (x = y)) dict)
      with
         Not_found -> invalid_arg "mssmnofv2_sarah.Implementation: flavor_of_string: invalid particle?"

   let flavor_symbol = function
      | FRS x -> (match x with 
         | S11_Sv x -> (match x with 
            | Sv1 -> "sv1" | Sv1c -> "sv1c" | Sv2 -> "sv2" | Sv2c -> "sv2c" | Sv3 -> "sv3"
            | Sv3c -> "sv3c")
         | S1_H x -> (match x with 
            | H1 -> "h1" | H2 -> "h2")
         | S2_Ah x -> (match x with 
            | Ah1 -> "ah1" | Ah2 -> "ah2")
         | S3_Hm x -> (match x with 
            | Hm1 -> "hm1" | Hm1c -> "hm1c" | Hm2 -> "hm2" | Hm2c -> "hm2c")

         | S14_D x -> (match x with 
            | D11 -> "d11" | D11c -> "d11c" | D12 -> "d12" | D12c -> "d12c" | D21 -> "d21"
            | D21c -> "d21c" | D22 -> "d22" | D22c -> "d22c" | D31 -> "d31"
            | D31c -> "d31c" | D32 -> "d32" | D32c -> "d32c")
         | S13_U x -> (match x with 
            | U11 -> "u11" | U11c -> "u11c" | U12 -> "u12" | U12c -> "u12c" | U21 -> "u21"
            | U21c -> "u21c" | U22 -> "u22" | U22c -> "u22c" | U31 -> "u31"
            | U31c -> "u31c" | U32 -> "u32" | U32c -> "u32c")
         | S12_E x -> (match x with 
            | E11 -> "e11" | E11c -> "e11c" | E12 -> "e12" | E12c -> "e12c" | E21 -> "e21"
            | E21c -> "e21c" | E22 -> "e22" | E22c -> "e22c" | E31 -> "e31"
            | E31c -> "e31c" | E32 -> "e32" | E32c -> "e32c"))
      | FRF x -> (match x with 
         | F15_Go Go_1 -> "go_1"
         | F4_Fd x -> (match x with 
            | Fd1 -> "fd1" | Fd1bar -> "fd1bar" | Fd2 -> "fd2" | Fd2bar -> "fd2bar"
            | Fd3 -> "fd3" | Fd3bar -> "fd3bar")
         | F3_Fu x -> (match x with 
            | Fu1 -> "fu1" | Fu1bar -> "fu1bar" | Fu2 -> "fu2" | Fu2bar -> "fu2bar"
            | Fu3 -> "fu3" | Fu3bar -> "fu3bar")
         | F2_Fe x -> (match x with 
            | Fe1 -> "fe1" | Fe1bar -> "fe1bar" | Fe2 -> "fe2" | Fe2bar -> "fe2bar"
            | Fe3 -> "fe3" | Fe3bar -> "fe3bar")
         | F1_Nu x -> (match x with 
            | Nu1 -> "nu1" | Nu1bar -> "nu1bar" | Nu2 -> "nu2" | Nu2bar -> "nu2bar"
            | Nu3 -> "nu3" | Nu3bar -> "nu3bar")
         | F11_N x -> (match x with 
            | N1 -> "n1" | N2 -> "n2" | N3 -> "n3" | N4 -> "n4")

         | F12_C x -> (match x with 
            | C1 -> "c1" | C1bar -> "c1bar" | C2 -> "c2" | C2bar -> "c2bar"))
      | FRV x -> (match x with 
         | V5_G G_1 -> "g_1"
         | V1_A A_1 -> "a_1"
         | V2_Z Z_1 -> "z_1"
         | V3_Wm x -> (match x with 
            | Wm_1 -> "wm_1" | Wmc -> "wmc"))

   let gauge_symbol = function
      Xi -> (match Opts.gauge with
         | Unitarity -> invalid_arg
            "mssmnofv2_sarah.Implementation: requesting gauge symbol in unitarity gauge!"
         | Feynman -> "one"
         | Rxi -> "Rxi")

   let mass_symbol = function
      | FRS x -> (match x with 
         | S11_Sv x -> (match x with 
            | Sv1 -> "msv1" | Sv1c -> "msv1" | Sv2 -> "msv2" | Sv2c -> "msv2" | Sv3 -> "msv3"
            | Sv3c -> "msv3")
         | S1_H x -> (match x with 
            | H1 -> "mh1" | H2 -> "mh2")
         | S2_Ah x -> (match x with 
            | Ah2 -> "mah2" | _ -> "fr_zero")
         | S3_Hm x -> (match x with 
            | Hm2 -> "mhm2" | Hm2c -> "mhm2" | _ -> "fr_zero")
         | S14_D x -> (match x with 
            | D11 -> "md11" | D11c -> "md11" | D12 -> "md12" | D12c -> "md12" | D21 -> "md21"
            | D21c -> "md21" | D22 -> "md22" | D22c -> "md22" | D31 -> "md31"
            | D31c -> "md31" | D32 -> "md32" | D32c -> "md32")
         | S13_U x -> (match x with 
            | U11 -> "mu11" | U11c -> "mu11" | U12 -> "mu12" | U12c -> "mu12" | U21 -> "mu21"
            | U21c -> "mu21" | U22 -> "mu22" | U22c -> "mu22" | U31 -> "mu31"
            | U31c -> "mu31" | U32 -> "mu32" | U32c -> "mu32")
         | S12_E x -> (match x with 
            | E11 -> "me11" | E11c -> "me11" | E12 -> "me12" | E12c -> "me12" | E21 -> "me21"
            | E21c -> "me21" | E22 -> "me22" | E22c -> "me22" | E31 -> "me31"
            | E31c -> "me31" | E32 -> "me32" | E32c -> "me32"))
      | FRF x -> (match x with 
         | F15_Go Go_1 -> "mgo"
         | F4_Fd x -> (match x with 
            | Fd1 -> "mfd1" | Fd1bar -> "mfd1" | Fd2 -> "mfd2" | Fd2bar -> "mfd2"
            | Fd3 -> "mfd3" | Fd3bar -> "mfd3")
         | F3_Fu x -> (match x with 
            | Fu1 -> "mfu1" | Fu1bar -> "mfu1" | Fu2 -> "mfu2" | Fu2bar -> "mfu2"
            | Fu3 -> "mfu3" | Fu3bar -> "mfu3")
         | F2_Fe x -> (match x with 
            | Fe1 -> "mfe1" | Fe1bar -> "mfe1" | Fe2 -> "mfe2" | Fe2bar -> "mfe2"
            | Fe3 -> "mfe3" | Fe3bar -> "mfe3")
         | F1_Nu _ -> "fr_zero"
         | F11_N x -> (match x with 
            | N1 -> "mn1" | N2 -> "mn2" | N3 -> "mn3" | N4 -> "mn4")

         | F12_C x -> (match x with 
            | C1 -> "mc1" | C1bar -> "mc1" | C2 -> "mc2" | C2bar -> "mc2"))
      | FRV x -> (match x with 
         | V5_G _ -> "fr_zero"
         | V1_A _ -> "fr_zero"
         | V2_Z Z_1 -> "mz"
         | V3_Wm x -> (match x with 
            | Wm_1 -> "mwm" | Wmc -> "mwm"))

   (* Coupling constants and parameters *)

   type constant =
      | G_ah2_ah2_h1 | G_ah2_ah2_h2 | G_ah2_d11_d11c | G_ah2_d11_d12c | G_ah2_d12_d11c
      | G_ah2_d12_d12c | G_ah2_d21_d21c | G_ah2_d21_d22c | G_ah2_d22_d21c
      | G_ah2_d22_d22c | G_ah2_d31_d31c | G_ah2_d31_d32c | G_ah2_d32_d31c
      | G_ah2_d32_d32c | G_ah2_e11_e11c | G_ah2_e11_e12c | G_ah2_e12_e11c
      | G_ah2_e12_e12c | G_ah2_e21_e21c | G_ah2_e21_e22c | G_ah2_e22_e21c
      | G_ah2_e22_e22c | G_ah2_e31_e31c | G_ah2_e31_e32c | G_ah2_e32_e31c
      | G_ah2_e32_e32c | G_ah2_u11_u11c | G_ah2_u11_u12c | G_ah2_u12_u11c
      | G_ah2_u12_u12c | G_ah2_u21_u21c | G_ah2_u21_u22c | G_ah2_u22_u21c
      | G_ah2_u22_u22c | G_ah2_u31_u31c | G_ah2_u31_u32c | G_ah2_u32_u31c
      | G_ah2_u32_u32c | G_h1_h1_h1 | G_h1_h1_h2 | G_h1_h2_h2 | G_h2_h2_h2
      | G_h1_hm2_hm2c | G_h2_hm2_hm2c | G_h1_d11_d11c | G_h1_d11_d12c | G_h1_d12_d11c
      | G_h1_d12_d12c | G_h1_d21_d21c | G_h1_d21_d22c | G_h1_d22_d21c | G_h1_d22_d22c
      | G_h1_d31_d31c | G_h1_d31_d32c | G_h1_d32_d31c | G_h1_d32_d32c | G_h2_d11_d11c
      | G_h2_d11_d12c | G_h2_d12_d11c | G_h2_d12_d12c | G_h2_d21_d21c | G_h2_d21_d22c
      | G_h2_d22_d21c | G_h2_d22_d22c | G_h2_d31_d31c | G_h2_d31_d32c | G_h2_d32_d31c
      | G_h2_d32_d32c | G_h1_e11_e11c | G_h1_e11_e12c | G_h1_e12_e11c | G_h1_e12_e12c
      | G_h1_e21_e21c | G_h1_e21_e22c | G_h1_e22_e21c | G_h1_e22_e22c | G_h1_e31_e31c
      | G_h1_e31_e32c | G_h1_e32_e31c | G_h1_e32_e32c | G_h2_e11_e11c | G_h2_e11_e12c
      | G_h2_e12_e11c | G_h2_e12_e12c | G_h2_e21_e21c | G_h2_e21_e22c | G_h2_e22_e21c
      | G_h2_e22_e22c | G_h2_e31_e31c | G_h2_e31_e32c | G_h2_e32_e31c | G_h2_e32_e32c
      | G_h1_u11_u11c | G_h1_u11_u12c | G_h1_u12_u11c | G_h1_u12_u12c | G_h1_u21_u21c
      | G_h1_u21_u22c | G_h1_u22_u21c | G_h1_u22_u22c | G_h1_u31_u31c | G_h1_u31_u32c
      | G_h1_u32_u31c | G_h1_u32_u32c | G_h2_u11_u11c | G_h2_u11_u12c | G_h2_u12_u11c
      | G_h2_u12_u12c | G_h2_u21_u21c | G_h2_u21_u22c | G_h2_u22_u21c | G_h2_u22_u22c
      | G_h2_u31_u31c | G_h2_u31_u32c | G_h2_u32_u31c | G_h2_u32_u32c | G_h1_sv1_sv1c
      | G_h2_sv1_sv1c | G_hm2_u11_d11c | G_hm2_u11_d12c | G_hm2_u12_d11c
      | G_hm2_u12_d12c | G_hm2_u21_d21c | G_hm2_u21_d22c | G_hm2_u22_d21c
      | G_hm2_u22_d22c | G_hm2_u31_d31c | G_hm2_u31_d32c | G_hm2_u32_d31c
      | G_hm2_u32_d32c | G_hm2_sv1_e11c | G_hm2_sv1_e12c | G_hm2_sv2_e21c
      | G_hm2_sv2_e22c | G_hm2_sv3_e31c | G_hm2_sv3_e32c | G_d11_hm2c_u11c
      | G_d11_hm2c_u12c | G_d12_hm2c_u11c | G_d12_hm2c_u12c | G_d21_hm2c_u21c
      | G_d21_hm2c_u22c | G_d22_hm2c_u21c | G_d22_hm2c_u22c | G_d31_hm2c_u31c
      | G_d31_hm2c_u32c | G_d32_hm2c_u31c | G_d32_hm2c_u32c | G_e11_hm2c_sv1c
      | G_e12_hm2c_sv1c | G_e21_hm2c_sv2c | G_e22_hm2c_sv2c | G_e31_hm2c_sv3c
      | G_e32_hm2c_sv3c | G_ah2_ah2_wmc_wm_1 | G_ah2_ah2_z_1_z_1 | G_ah2_hm2_wmc_a_1
      | G_ah2_hm2_wmc_z_1 | G_ah2_hm2c_a_1_wm_1 | G_ah2_hm2c_wm_1_z_1
      | G_h1_h1_wmc_wm_1 | G_h1_h2_wmc_wm_1 | G_h2_h2_wmc_wm_1 | G_h1_h1_z_1_z_1
      | G_h1_h2_z_1_z_1 | G_h2_h2_z_1_z_1 | G_h1_hm2_wmc_a_1 | G_h2_hm2_wmc_a_1
      | G_h1_hm2_wmc_z_1 | G_h2_hm2_wmc_z_1 | G_hm2_hm2c_a_1_a_1 | G_hm2_hm2c_a_1_z_1
      | G_hm2_hm2c_wmc_wm_1 | G_hm2_hm2c_z_1_z_1 | G_d11_d11c_g_1_g_1
      | G_d11_d12c_g_1_g_1 | G_d12_d11c_g_1_g_1 | G_d12_d12c_g_1_g_1
      | G_d21_d21c_g_1_g_1 | G_d21_d22c_g_1_g_1 | G_d22_d21c_g_1_g_1
      | G_d22_d22c_g_1_g_1 | G_d31_d31c_g_1_g_1 | G_d31_d32c_g_1_g_1
      | G_d32_d31c_g_1_g_1 | G_d32_d32c_g_1_g_1 | G_d11_d11c_g_1_a_1
      | G_d11_d12c_g_1_a_1 | G_d12_d11c_g_1_a_1 | G_d12_d12c_g_1_a_1
      | G_d21_d21c_g_1_a_1 | G_d21_d22c_g_1_a_1 | G_d22_d21c_g_1_a_1
      | G_d22_d22c_g_1_a_1 | G_d31_d31c_g_1_a_1 | G_d31_d32c_g_1_a_1
      | G_d32_d31c_g_1_a_1 | G_d32_d32c_g_1_a_1 | G_d11_d11c_g_1_z_1
      | G_d11_d12c_g_1_z_1 | G_d12_d11c_g_1_z_1 | G_d12_d12c_g_1_z_1
      | G_d21_d21c_g_1_z_1 | G_d21_d22c_g_1_z_1 | G_d22_d21c_g_1_z_1
      | G_d22_d22c_g_1_z_1 | G_d31_d31c_g_1_z_1 | G_d31_d32c_g_1_z_1
      | G_d32_d31c_g_1_z_1 | G_d32_d32c_g_1_z_1 | G_d11_u11c_wmc_g_1
      | G_d11_u12c_wmc_g_1 | G_d12_u11c_wmc_g_1 | G_d12_u12c_wmc_g_1
      | G_d21_u21c_wmc_g_1 | G_d21_u22c_wmc_g_1 | G_d22_u21c_wmc_g_1
      | G_d22_u22c_wmc_g_1 | G_d31_u31c_wmc_g_1 | G_d31_u32c_wmc_g_1
      | G_d32_u31c_wmc_g_1 | G_d32_u32c_wmc_g_1 | G_d11_d11c_a_1_a_1
      | G_d11_d12c_a_1_a_1 | G_d12_d11c_a_1_a_1 | G_d12_d12c_a_1_a_1
      | G_d21_d21c_a_1_a_1 | G_d21_d22c_a_1_a_1 | G_d22_d21c_a_1_a_1
      | G_d22_d22c_a_1_a_1 | G_d31_d31c_a_1_a_1 | G_d31_d32c_a_1_a_1
      | G_d32_d31c_a_1_a_1 | G_d32_d32c_a_1_a_1 | G_d11_d11c_a_1_z_1
      | G_d11_d12c_a_1_z_1 | G_d12_d11c_a_1_z_1 | G_d12_d12c_a_1_z_1
      | G_d21_d21c_a_1_z_1 | G_d21_d22c_a_1_z_1 | G_d22_d21c_a_1_z_1
      | G_d22_d22c_a_1_z_1 | G_d31_d31c_a_1_z_1 | G_d31_d32c_a_1_z_1
      | G_d32_d31c_a_1_z_1 | G_d32_d32c_a_1_z_1 | G_d11_u11c_wmc_a_1
      | G_d11_u12c_wmc_a_1 | G_d12_u11c_wmc_a_1 | G_d12_u12c_wmc_a_1
      | G_d21_u21c_wmc_a_1 | G_d21_u22c_wmc_a_1 | G_d22_u21c_wmc_a_1
      | G_d22_u22c_wmc_a_1 | G_d31_u31c_wmc_a_1 | G_d31_u32c_wmc_a_1
      | G_d32_u31c_wmc_a_1 | G_d32_u32c_wmc_a_1 | G_d11_d11c_wmc_wm_1
      | G_d11_d12c_wmc_wm_1 | G_d12_d11c_wmc_wm_1 | G_d12_d12c_wmc_wm_1
      | G_d21_d21c_wmc_wm_1 | G_d21_d22c_wmc_wm_1 | G_d22_d21c_wmc_wm_1
      | G_d22_d22c_wmc_wm_1 | G_d31_d31c_wmc_wm_1 | G_d31_d32c_wmc_wm_1
      | G_d32_d31c_wmc_wm_1 | G_d32_d32c_wmc_wm_1 | G_d11_d11c_z_1_z_1
      | G_d11_d12c_z_1_z_1 | G_d12_d11c_z_1_z_1 | G_d12_d12c_z_1_z_1
      | G_d21_d21c_z_1_z_1 | G_d21_d22c_z_1_z_1 | G_d22_d21c_z_1_z_1
      | G_d22_d22c_z_1_z_1 | G_d31_d31c_z_1_z_1 | G_d31_d32c_z_1_z_1
      | G_d32_d31c_z_1_z_1 | G_d32_d32c_z_1_z_1 | G_d11_u11c_wmc_z_1
      | G_d11_u12c_wmc_z_1 | G_d12_u11c_wmc_z_1 | G_d12_u12c_wmc_z_1
      | G_d21_u21c_wmc_z_1 | G_d21_u22c_wmc_z_1 | G_d22_u21c_wmc_z_1
      | G_d22_u22c_wmc_z_1 | G_d31_u31c_wmc_z_1 | G_d31_u32c_wmc_z_1
      | G_d32_u31c_wmc_z_1 | G_d32_u32c_wmc_z_1 | G_e11_e11c_a_1_a_1
      | G_e11_e12c_a_1_a_1 | G_e12_e11c_a_1_a_1 | G_e12_e12c_a_1_a_1
      | G_e21_e21c_a_1_a_1 | G_e21_e22c_a_1_a_1 | G_e22_e21c_a_1_a_1
      | G_e22_e22c_a_1_a_1 | G_e31_e31c_a_1_a_1 | G_e31_e32c_a_1_a_1
      | G_e32_e31c_a_1_a_1 | G_e32_e32c_a_1_a_1 | G_e11_e11c_a_1_z_1
      | G_e11_e12c_a_1_z_1 | G_e12_e11c_a_1_z_1 | G_e12_e12c_a_1_z_1
      | G_e21_e21c_a_1_z_1 | G_e21_e22c_a_1_z_1 | G_e22_e21c_a_1_z_1
      | G_e22_e22c_a_1_z_1 | G_e31_e31c_a_1_z_1 | G_e31_e32c_a_1_z_1
      | G_e32_e31c_a_1_z_1 | G_e32_e32c_a_1_z_1 | G_e11_sv1c_wmc_a_1
      | G_e12_sv1c_wmc_a_1 | G_e21_sv2c_wmc_a_1 | G_e22_sv2c_wmc_a_1
      | G_e31_sv3c_wmc_a_1 | G_e32_sv3c_wmc_a_1 | G_e11_e11c_wmc_wm_1
      | G_e11_e12c_wmc_wm_1 | G_e12_e11c_wmc_wm_1 | G_e12_e12c_wmc_wm_1
      | G_e21_e21c_wmc_wm_1 | G_e21_e22c_wmc_wm_1 | G_e22_e21c_wmc_wm_1
      | G_e22_e22c_wmc_wm_1 | G_e31_e31c_wmc_wm_1 | G_e31_e32c_wmc_wm_1
      | G_e32_e31c_wmc_wm_1 | G_e32_e32c_wmc_wm_1 | G_e11_e11c_z_1_z_1
      | G_e11_e12c_z_1_z_1 | G_e12_e11c_z_1_z_1 | G_e12_e12c_z_1_z_1
      | G_e21_e21c_z_1_z_1 | G_e21_e22c_z_1_z_1 | G_e22_e21c_z_1_z_1
      | G_e22_e22c_z_1_z_1 | G_e31_e31c_z_1_z_1 | G_e31_e32c_z_1_z_1
      | G_e32_e31c_z_1_z_1 | G_e32_e32c_z_1_z_1 | G_e11_sv1c_wmc_z_1
      | G_e12_sv1c_wmc_z_1 | G_e21_sv2c_wmc_z_1 | G_e22_sv2c_wmc_z_1
      | G_e31_sv3c_wmc_z_1 | G_e32_sv3c_wmc_z_1 | G_u11_u11c_g_1_g_1
      | G_u11_u12c_g_1_g_1 | G_u12_u11c_g_1_g_1 | G_u12_u12c_g_1_g_1
      | G_u21_u21c_g_1_g_1 | G_u21_u22c_g_1_g_1 | G_u22_u21c_g_1_g_1
      | G_u22_u22c_g_1_g_1 | G_u31_u31c_g_1_g_1 | G_u31_u32c_g_1_g_1
      | G_u32_u31c_g_1_g_1 | G_u32_u32c_g_1_g_1 | G_u11_u11c_g_1_a_1
      | G_u11_u12c_g_1_a_1 | G_u12_u11c_g_1_a_1 | G_u12_u12c_g_1_a_1
      | G_u21_u21c_g_1_a_1 | G_u21_u22c_g_1_a_1 | G_u22_u21c_g_1_a_1
      | G_u22_u22c_g_1_a_1 | G_u31_u31c_g_1_a_1 | G_u31_u32c_g_1_a_1
      | G_u32_u31c_g_1_a_1 | G_u32_u32c_g_1_a_1 | G_u11_d11c_g_1_wm_1
      | G_u11_d12c_g_1_wm_1 | G_u12_d11c_g_1_wm_1 | G_u12_d12c_g_1_wm_1
      | G_u21_d21c_g_1_wm_1 | G_u21_d22c_g_1_wm_1 | G_u22_d21c_g_1_wm_1
      | G_u22_d22c_g_1_wm_1 | G_u31_d31c_g_1_wm_1 | G_u31_d32c_g_1_wm_1
      | G_u32_d31c_g_1_wm_1 | G_u32_d32c_g_1_wm_1 | G_u11_u11c_g_1_z_1
      | G_u11_u12c_g_1_z_1 | G_u12_u11c_g_1_z_1 | G_u12_u12c_g_1_z_1
      | G_u21_u21c_g_1_z_1 | G_u21_u22c_g_1_z_1 | G_u22_u21c_g_1_z_1
      | G_u22_u22c_g_1_z_1 | G_u31_u31c_g_1_z_1 | G_u31_u32c_g_1_z_1
      | G_u32_u31c_g_1_z_1 | G_u32_u32c_g_1_z_1 | G_u11_u11c_a_1_a_1
      | G_u11_u12c_a_1_a_1 | G_u12_u11c_a_1_a_1 | G_u12_u12c_a_1_a_1
      | G_u21_u21c_a_1_a_1 | G_u21_u22c_a_1_a_1 | G_u22_u21c_a_1_a_1
      | G_u22_u22c_a_1_a_1 | G_u31_u31c_a_1_a_1 | G_u31_u32c_a_1_a_1
      | G_u32_u31c_a_1_a_1 | G_u32_u32c_a_1_a_1 | G_u11_d11c_a_1_wm_1
      | G_u11_d12c_a_1_wm_1 | G_u12_d11c_a_1_wm_1 | G_u12_d12c_a_1_wm_1
      | G_u21_d21c_a_1_wm_1 | G_u21_d22c_a_1_wm_1 | G_u22_d21c_a_1_wm_1
      | G_u22_d22c_a_1_wm_1 | G_u31_d31c_a_1_wm_1 | G_u31_d32c_a_1_wm_1
      | G_u32_d31c_a_1_wm_1 | G_u32_d32c_a_1_wm_1 | G_u11_u11c_a_1_z_1
      | G_u11_u12c_a_1_z_1 | G_u12_u11c_a_1_z_1 | G_u12_u12c_a_1_z_1
      | G_u21_u21c_a_1_z_1 | G_u21_u22c_a_1_z_1 | G_u22_u21c_a_1_z_1
      | G_u22_u22c_a_1_z_1 | G_u31_u31c_a_1_z_1 | G_u31_u32c_a_1_z_1
      | G_u32_u31c_a_1_z_1 | G_u32_u32c_a_1_z_1 | G_u11_d11c_wm_1_z_1
      | G_u11_d12c_wm_1_z_1 | G_u12_d11c_wm_1_z_1 | G_u12_d12c_wm_1_z_1
      | G_u21_d21c_wm_1_z_1 | G_u21_d22c_wm_1_z_1 | G_u22_d21c_wm_1_z_1
      | G_u22_d22c_wm_1_z_1 | G_u31_d31c_wm_1_z_1 | G_u31_d32c_wm_1_z_1
      | G_u32_d31c_wm_1_z_1 | G_u32_d32c_wm_1_z_1 | G_u11_u11c_wmc_wm_1
      | G_u11_u12c_wmc_wm_1 | G_u12_u11c_wmc_wm_1 | G_u12_u12c_wmc_wm_1
      | G_u21_u21c_wmc_wm_1 | G_u21_u22c_wmc_wm_1 | G_u22_u21c_wmc_wm_1
      | G_u22_u22c_wmc_wm_1 | G_u31_u31c_wmc_wm_1 | G_u31_u32c_wmc_wm_1
      | G_u32_u31c_wmc_wm_1 | G_u32_u32c_wmc_wm_1 | G_u11_u11c_z_1_z_1
      | G_u11_u12c_z_1_z_1 | G_u12_u11c_z_1_z_1 | G_u12_u12c_z_1_z_1
      | G_u21_u21c_z_1_z_1 | G_u21_u22c_z_1_z_1 | G_u22_u21c_z_1_z_1
      | G_u22_u22c_z_1_z_1 | G_u31_u31c_z_1_z_1 | G_u31_u32c_z_1_z_1
      | G_u32_u31c_z_1_z_1 | G_u32_u32c_z_1_z_1 | G_sv1_e11c_a_1_wm_1
      | G_sv1_e12c_a_1_wm_1 | G_sv2_e21c_a_1_wm_1 | G_sv2_e22c_a_1_wm_1
      | G_sv3_e31c_a_1_wm_1 | G_sv3_e32c_a_1_wm_1 | G_sv1_e11c_wm_1_z_1
      | G_sv1_e12c_wm_1_z_1 | G_sv2_e21c_wm_1_z_1 | G_sv2_e22c_wm_1_z_1
      | G_sv3_e31c_wm_1_z_1 | G_sv3_e32c_wm_1_z_1 | G_sv1_sv1c_wmc_wm_1
      | G_sv1_sv1c_z_1_z_1 | G_z_1_ah2_h1 | G_z_1_ah2_h2 | G_wmc_ah2_hm2
      | G_wmc_h1_hm2 | G_wmc_h2_hm2 | G_wm_1_h1_hm2c | G_wm_1_h2_hm2c
      | G_a_1_hm2_hm2c | G_z_1_hm2_hm2c | G_g_1_d11_d11c | G_a_1_d11_d11c
      | G_a_1_d11_d12c | G_a_1_d12_d11c | G_a_1_d12_d12c | G_a_1_d21_d21c
      | G_a_1_d21_d22c | G_a_1_d22_d21c | G_a_1_d22_d22c | G_a_1_d31_d31c
      | G_a_1_d31_d32c | G_a_1_d32_d31c | G_a_1_d32_d32c | G_z_1_d11_d11c
      | G_z_1_d11_d12c | G_z_1_d12_d11c | G_z_1_d12_d12c | G_z_1_d21_d21c
      | G_z_1_d21_d22c | G_z_1_d22_d21c | G_z_1_d22_d22c | G_z_1_d31_d31c
      | G_z_1_d31_d32c | G_z_1_d32_d31c | G_z_1_d32_d32c | G_wmc_d11_u11c
      | G_wmc_d11_u12c | G_wmc_d12_u11c | G_wmc_d12_u12c | G_wmc_d21_u21c
      | G_wmc_d21_u22c | G_wmc_d22_u21c | G_wmc_d22_u22c | G_wmc_d31_u31c
      | G_wmc_d31_u32c | G_wmc_d32_u31c | G_wmc_d32_u32c | G_a_1_e11_e11c
      | G_a_1_e11_e12c | G_a_1_e12_e11c | G_a_1_e12_e12c | G_a_1_e21_e21c
      | G_a_1_e21_e22c | G_a_1_e22_e21c | G_a_1_e22_e22c | G_a_1_e31_e31c
      | G_a_1_e31_e32c | G_a_1_e32_e31c | G_a_1_e32_e32c | G_z_1_e11_e11c
      | G_z_1_e11_e12c | G_z_1_e12_e11c | G_z_1_e12_e12c | G_z_1_e21_e21c
      | G_z_1_e21_e22c | G_z_1_e22_e21c | G_z_1_e22_e22c | G_z_1_e31_e31c
      | G_z_1_e31_e32c | G_z_1_e32_e31c | G_z_1_e32_e32c | G_wmc_e11_sv1c
      | G_wmc_e12_sv1c | G_wmc_e21_sv2c | G_wmc_e22_sv2c | G_wmc_e31_sv3c
      | G_wmc_e32_sv3c | G_a_1_u11_u11c | G_a_1_u11_u12c | G_a_1_u12_u11c
      | G_a_1_u12_u12c | G_a_1_u21_u21c | G_a_1_u21_u22c | G_a_1_u22_u21c
      | G_a_1_u22_u22c | G_a_1_u31_u31c | G_a_1_u31_u32c | G_a_1_u32_u31c
      | G_a_1_u32_u32c | G_wm_1_u11_d11c | G_wm_1_u11_d12c | G_wm_1_u12_d11c
      | G_wm_1_u12_d12c | G_wm_1_u21_d21c | G_wm_1_u21_d22c | G_wm_1_u22_d21c
      | G_wm_1_u22_d22c | G_wm_1_u31_d31c | G_wm_1_u31_d32c | G_wm_1_u32_d31c
      | G_wm_1_u32_d32c | G_z_1_u11_u11c | G_z_1_u11_u12c | G_z_1_u12_u11c
      | G_z_1_u12_u12c | G_z_1_u21_u21c | G_z_1_u21_u22c | G_z_1_u22_u21c
      | G_z_1_u22_u22c | G_z_1_u31_u31c | G_z_1_u31_u32c | G_z_1_u32_u31c
      | G_z_1_u32_u32c | G_wm_1_sv1_e11c | G_wm_1_sv1_e12c | G_wm_1_sv2_e21c
      | G_wm_1_sv2_e22c | G_wm_1_sv3_e31c | G_wm_1_sv3_e32c | G_z_1_sv1_sv1c
      | G_h1_wmc_wm_1 | G_h2_wmc_wm_1 | G_h1_z_1_z_1 | G_h2_z_1_z_1 | G_hm2_wmc_a_1
      | G_hm2_wmc_z_1 | G_c1bar_ah2_c1 | G_c1bar_ah2_c2 | G_c2bar_ah2_c1
      | G_c2bar_ah2_c2 | G_n1_ah2_n1 | G_n1_ah2_n2 | G_n1_ah2_n3 | G_n1_ah2_n4
      | G_n2_ah2_n2 | G_n2_ah2_n3 | G_n2_ah2_n4 | G_n3_ah2_n3 | G_n3_ah2_n4
      | G_n4_ah2_n4 | G_fd1bar_ah2_fd1 | G_fd2bar_ah2_fd2 | G_fd3bar_ah2_fd3
      | G_fe1bar_ah2_fe1 | G_fe2bar_ah2_fe2 | G_fe3bar_ah2_fe3 | G_fu1bar_ah2_fu1
      | G_fu2bar_ah2_fu2 | G_fu3bar_ah2_fu3 | G_n1_hm2c_c1 | G_n1_hm2c_c2
      | G_n2_hm2c_c1 | G_n2_hm2c_c2 | G_n3_hm2c_c1 | G_n3_hm2c_c2 | G_n4_hm2c_c1
      | G_n4_hm2c_c2 | G_c1_d11c_fu1 | G_c1_d12c_fu1 | G_c1_d21c_fu2 | G_c1_d22c_fu2
      | G_c1_d31c_fu3 | G_c1_d32c_fu3 | G_c2_d11c_fu1 | G_c2_d12c_fu1 | G_c2_d21c_fu2
      | G_c2_d22c_fu2 | G_c2_d31c_fu3 | G_c2_d32c_fu3 | G_c1_e11c_nu1 | G_c1_e12c_nu1
      | G_c1_e21c_nu2 | G_c1_e22c_nu2 | G_c1_e31c_nu3 | G_c1_e32c_nu3 | G_c2_e11c_nu1
      | G_c2_e12c_nu1 | G_c2_e21c_nu2 | G_c2_e22c_nu2 | G_c2_e31c_nu3 | G_c2_e32c_nu3
      | G_c1bar_h1_c1 | G_c1bar_h2_c1 | G_c1bar_h1_c2 | G_c1bar_h2_c2 | G_c2bar_h1_c1
      | G_c2bar_h2_c1 | G_c2bar_h1_c2 | G_c2bar_h2_c2 | G_fd1bar_u11_c1
      | G_fd1bar_u12_c1 | G_fd1bar_u11_c2 | G_fd1bar_u12_c2 | G_fd2bar_u21_c1
      | G_fd2bar_u22_c1 | G_fd2bar_u21_c2 | G_fd2bar_u22_c2 | G_fd3bar_u31_c1
      | G_fd3bar_u32_c1 | G_fd3bar_u31_c2 | G_fd3bar_u32_c2 | G_fe1bar_sv1_c1
      | G_fe1bar_sv1_c2 | G_fe2bar_sv2_c1 | G_fe2bar_sv2_c2 | G_fe3bar_sv3_c1
      | G_fe3bar_sv3_c2 | G_n1_h1_n1 | G_n1_h2_n1 | G_n1_h1_n2 | G_n1_h2_n2
      | G_n1_h1_n3 | G_n1_h2_n3 | G_n1_h1_n4 | G_n1_h2_n4 | G_n2_h1_n2 | G_n2_h2_n2
      | G_n2_h1_n3 | G_n2_h2_n3 | G_n2_h1_n4 | G_n2_h2_n4 | G_n3_h1_n3 | G_n3_h2_n3
      | G_n3_h1_n4 | G_n3_h2_n4 | G_n4_h1_n4 | G_n4_h2_n4 | G_n1_d11c_fd1
      | G_n1_d12c_fd1 | G_n1_d21c_fd2 | G_n1_d22c_fd2 | G_n1_d31c_fd3 | G_n1_d32c_fd3
      | G_n2_d11c_fd1 | G_n2_d12c_fd1 | G_n2_d21c_fd2 | G_n2_d22c_fd2 | G_n2_d31c_fd3
      | G_n2_d32c_fd3 | G_n3_d11c_fd1 | G_n3_d12c_fd1 | G_n3_d21c_fd2 | G_n3_d22c_fd2
      | G_n3_d31c_fd3 | G_n3_d32c_fd3 | G_n4_d11c_fd1 | G_n4_d12c_fd1 | G_n4_d21c_fd2
      | G_n4_d22c_fd2 | G_n4_d31c_fd3 | G_n4_d32c_fd3 | G_n1_e11c_fe1 | G_n1_e12c_fe1
      | G_n1_e21c_fe2 | G_n1_e22c_fe2 | G_n1_e31c_fe3 | G_n1_e32c_fe3 | G_n2_e11c_fe1
      | G_n2_e12c_fe1 | G_n2_e21c_fe2 | G_n2_e22c_fe2 | G_n2_e31c_fe3 | G_n2_e32c_fe3
      | G_n3_e11c_fe1 | G_n3_e12c_fe1 | G_n3_e21c_fe2 | G_n3_e22c_fe2 | G_n3_e31c_fe3
      | G_n3_e32c_fe3 | G_n4_e11c_fe1 | G_n4_e12c_fe1 | G_n4_e21c_fe2 | G_n4_e22c_fe2
      | G_n4_e31c_fe3 | G_n4_e32c_fe3 | G_n1_u11c_fu1 | G_n1_u12c_fu1 | G_n1_u21c_fu2
      | G_n1_u22c_fu2 | G_n1_u31c_fu3 | G_n1_u32c_fu3 | G_n2_u11c_fu1 | G_n2_u12c_fu1
      | G_n2_u21c_fu2 | G_n2_u22c_fu2 | G_n2_u31c_fu3 | G_n2_u32c_fu3 | G_n3_u11c_fu1
      | G_n3_u12c_fu1 | G_n3_u21c_fu2 | G_n3_u22c_fu2 | G_n3_u31c_fu3 | G_n3_u32c_fu3
      | G_n4_u11c_fu1 | G_n4_u12c_fu1 | G_n4_u21c_fu2 | G_n4_u22c_fu2 | G_n4_u31c_fu3
      | G_n4_u32c_fu3 | G_n1_sv1c_nu1 | G_n2_sv1c_nu1 | G_n3_sv1c_nu1 | G_n4_sv1c_nu1
      | G_c1bar_hm2_n1 | G_c1bar_hm2_n2 | G_c1bar_hm2_n3 | G_c1bar_hm2_n4
      | G_c2bar_hm2_n1 | G_c2bar_hm2_n2 | G_c2bar_hm2_n3 | G_c2bar_hm2_n4
      | G_fd1bar_d11_n1 | G_fd1bar_d12_n1 | G_fd1bar_d11_n2 | G_fd1bar_d12_n2
      | G_fd1bar_d11_n3 | G_fd1bar_d12_n3 | G_fd1bar_d11_n4 | G_fd1bar_d12_n4
      | G_fd2bar_d21_n1 | G_fd2bar_d22_n1 | G_fd2bar_d21_n2 | G_fd2bar_d22_n2
      | G_fd2bar_d21_n3 | G_fd2bar_d22_n3 | G_fd2bar_d21_n4 | G_fd2bar_d22_n4
      | G_fd3bar_d31_n1 | G_fd3bar_d32_n1 | G_fd3bar_d31_n2 | G_fd3bar_d32_n2
      | G_fd3bar_d31_n3 | G_fd3bar_d32_n3 | G_fd3bar_d31_n4 | G_fd3bar_d32_n4
      | G_fe1bar_e11_n1 | G_fe1bar_e12_n1 | G_fe1bar_e11_n2 | G_fe1bar_e12_n2
      | G_fe1bar_e11_n3 | G_fe1bar_e12_n3 | G_fe1bar_e11_n4 | G_fe1bar_e12_n4
      | G_fe2bar_e21_n1 | G_fe2bar_e22_n1 | G_fe2bar_e21_n2 | G_fe2bar_e22_n2
      | G_fe2bar_e21_n3 | G_fe2bar_e22_n3 | G_fe2bar_e21_n4 | G_fe2bar_e22_n4
      | G_fe3bar_e31_n1 | G_fe3bar_e32_n1 | G_fe3bar_e31_n2 | G_fe3bar_e32_n2
      | G_fe3bar_e31_n3 | G_fe3bar_e32_n3 | G_fe3bar_e31_n4 | G_fe3bar_e32_n4
      | G_fu1bar_u11_n1 | G_fu1bar_u12_n1 | G_fu1bar_u11_n2 | G_fu1bar_u12_n2
      | G_fu1bar_u11_n3 | G_fu1bar_u12_n3 | G_fu1bar_u11_n4 | G_fu1bar_u12_n4
      | G_fu2bar_u21_n1 | G_fu2bar_u22_n1 | G_fu2bar_u21_n2 | G_fu2bar_u22_n2
      | G_fu2bar_u21_n3 | G_fu2bar_u22_n3 | G_fu2bar_u21_n4 | G_fu2bar_u22_n4
      | G_fu3bar_u31_n1 | G_fu3bar_u32_n1 | G_fu3bar_u31_n2 | G_fu3bar_u32_n2
      | G_fu3bar_u31_n3 | G_fu3bar_u32_n3 | G_fu3bar_u31_n4 | G_fu3bar_u32_n4
      | G_nu1bar_sv1_n1 | G_nu1bar_sv1_n2 | G_nu1bar_sv1_n3 | G_nu1bar_sv1_n4
      | G_go_1_d11c_fd1 | G_go_1_d12c_fd1 | G_go_1_d21c_fd2 | G_go_1_d22c_fd2
      | G_go_1_d31c_fd3 | G_go_1_d32c_fd3 | G_fd1bar_h1_fd1 | G_fd1bar_h2_fd1
      | G_fd2bar_h1_fd2 | G_fd2bar_h2_fd2 | G_fd3bar_h1_fd3 | G_fd3bar_h2_fd3
      | G_c1bar_u11c_fd1 | G_c1bar_u12c_fd1 | G_c1bar_u21c_fd2 | G_c1bar_u22c_fd2
      | G_c1bar_u31c_fd3 | G_c1bar_u32c_fd3 | G_c2bar_u11c_fd1 | G_c2bar_u12c_fd1
      | G_c2bar_u21c_fd2 | G_c2bar_u22c_fd2 | G_c2bar_u31c_fd3 | G_c2bar_u32c_fd3
      | G_fu1bar_hm2c_fd1 | G_fu2bar_hm2c_fd2 | G_fu3bar_hm2c_fd3 | G_fe1bar_h1_fe1
      | G_fe1bar_h2_fe1 | G_fe2bar_h1_fe2 | G_fe2bar_h2_fe2 | G_fe3bar_h1_fe3
      | G_fe3bar_h2_fe3 | G_c1bar_sv1c_fe1 | G_c1bar_sv2c_fe2 | G_c1bar_sv3c_fe3
      | G_c2bar_sv1c_fe1 | G_c2bar_sv2c_fe2 | G_c2bar_sv3c_fe3 | G_nu1bar_hm2c_fe1
      | G_nu2bar_hm2c_fe2 | G_nu3bar_hm2c_fe3 | G_go_1_u11c_fu1 | G_go_1_u12c_fu1
      | G_go_1_u21c_fu2 | G_go_1_u22c_fu2 | G_go_1_u31c_fu3 | G_go_1_u32c_fu3
      | G_fu1bar_h1_fu1 | G_fu1bar_h2_fu1 | G_fu2bar_h1_fu2 | G_fu2bar_h2_fu2
      | G_fu3bar_h1_fu3 | G_fu3bar_h2_fu3 | G_fd1bar_hm2_fu1 | G_fd2bar_hm2_fu2
      | G_fd3bar_hm2_fu3 | G_fe1bar_hm2_nu1 | G_fe2bar_hm2_nu2 | G_fe3bar_hm2_nu3
      | G_fd1bar_d11_go_1 | G_fd1bar_d12_go_1 | G_fd2bar_d21_go_1 | G_fd2bar_d22_go_1
      | G_fd3bar_d31_go_1 | G_fd3bar_d32_go_1 | G_fu1bar_u11_go_1 | G_fu1bar_u12_go_1
      | G_fu2bar_u21_go_1 | G_fu2bar_u22_go_1 | G_fu3bar_u31_go_1 | G_fu3bar_u32_go_1
      | G_c1bar_d11_fu1bar | G_c1bar_d12_fu1bar | G_c1bar_d21_fu2bar
      | G_c1bar_d22_fu2bar | G_c1bar_d31_fu3bar | G_c1bar_d32_fu3bar
      | G_c2bar_d11_fu1bar | G_c2bar_d12_fu1bar | G_c2bar_d21_fu2bar
      | G_c2bar_d22_fu2bar | G_c2bar_d31_fu3bar | G_c2bar_d32_fu3bar
      | G_c1bar_e11_nu1bar | G_c1bar_e12_nu1bar | G_c1bar_e21_nu2bar
      | G_c1bar_e22_nu2bar | G_c1bar_e31_nu3bar | G_c1bar_e32_nu3bar
      | G_c2bar_e11_nu1bar | G_c2bar_e12_nu1bar | G_c2bar_e21_nu2bar
      | G_c2bar_e22_nu2bar | G_c2bar_e31_nu3bar | G_c2bar_e32_nu3bar | G_n1_wmc_c1
      | G_n1_wmc_c2 | G_n2_wmc_c1 | G_n2_wmc_c2 | G_n3_wmc_c1 | G_n3_wmc_c2
      | G_n4_wmc_c1 | G_n4_wmc_c2 | G_c1bar_a_1_c1 | G_c1bar_a_1_c2 | G_c2bar_a_1_c1
      | G_c2bar_a_1_c2 | G_c1bar_z_1_c1 | G_c1bar_z_1_c2 | G_c2bar_z_1_c1
      | G_c2bar_z_1_c2 | G_n1_z_1_n1 | G_n1_z_1_n2 | G_n1_z_1_n3 | G_n1_z_1_n4
      | G_n2_z_1_n2 | G_n2_z_1_n3 | G_n2_z_1_n4 | G_n3_z_1_n3 | G_n3_z_1_n4
      | G_n4_z_1_n4 | G_c1bar_wm_1_n1 | G_c1bar_wm_1_n2 | G_c1bar_wm_1_n3
      | G_c1bar_wm_1_n4 | G_c2bar_wm_1_n1 | G_c2bar_wm_1_n2 | G_c2bar_wm_1_n3
      | G_c2bar_wm_1_n4 | G_fd1bar_g_1_fd1 | G_fd1bar_a_1_fd1 | G_fd1bar_z_1_fd1
      | G_fu1bar_wmc_fd1 | G_fe1bar_a_1_fe1 | G_fe1bar_z_1_fe1 | G_fu1bar_a_1_fu1
      | G_fu1bar_z_1_fu1 | G_nu1bar_z_1_nu1 | G_go_1_g_1_go_1 | G_g_1_g_1_g_1
      | G_wmc_a_1_wm_1 | G_wmc_wm_1_z_1 | G_g_1_g_1_g_1_g_1 | G_wmc_a_1_a_1_wm_1
      | G_wmc_a_1_wm_1_z_1 | G_wmc_wmc_wm_1_wm_1 | G_wmc_wm_1_z_1_z_1

   let parameters () = {input = []; derived = []; derived_arrays = []}

   let constant_symbol = function
      | G_ah2_ah2_h1 -> "G_ah2_ah2_h1" | G_ah2_ah2_h2 -> "G_ah2_ah2_h2"
      | G_ah2_d11_d11c -> "G_ah2_d11_d11c" | G_ah2_d11_d12c -> "G_ah2_d11_d12c"
      | G_ah2_d12_d11c -> "G_ah2_d12_d11c" | G_ah2_d12_d12c -> "G_ah2_d12_d12c"
      | G_ah2_d21_d21c -> "G_ah2_d21_d21c" | G_ah2_d21_d22c -> "G_ah2_d21_d22c"
      | G_ah2_d22_d21c -> "G_ah2_d22_d21c" | G_ah2_d22_d22c -> "G_ah2_d22_d22c"
      | G_ah2_d31_d31c -> "G_ah2_d31_d31c" | G_ah2_d31_d32c -> "G_ah2_d31_d32c"
      | G_ah2_d32_d31c -> "G_ah2_d32_d31c" | G_ah2_d32_d32c -> "G_ah2_d32_d32c"
      | G_ah2_e11_e11c -> "G_ah2_e11_e11c" | G_ah2_e11_e12c -> "G_ah2_e11_e12c"
      | G_ah2_e12_e11c -> "G_ah2_e12_e11c" | G_ah2_e12_e12c -> "G_ah2_e12_e12c"
      | G_ah2_e21_e21c -> "G_ah2_e21_e21c" | G_ah2_e21_e22c -> "G_ah2_e21_e22c"
      | G_ah2_e22_e21c -> "G_ah2_e22_e21c" | G_ah2_e22_e22c -> "G_ah2_e22_e22c"
      | G_ah2_e31_e31c -> "G_ah2_e31_e31c" | G_ah2_e31_e32c -> "G_ah2_e31_e32c"
      | G_ah2_e32_e31c -> "G_ah2_e32_e31c" | G_ah2_e32_e32c -> "G_ah2_e32_e32c"
      | G_ah2_u11_u11c -> "G_ah2_u11_u11c" | G_ah2_u11_u12c -> "G_ah2_u11_u12c"
      | G_ah2_u12_u11c -> "G_ah2_u12_u11c" | G_ah2_u12_u12c -> "G_ah2_u12_u12c"
      | G_ah2_u21_u21c -> "G_ah2_u21_u21c" | G_ah2_u21_u22c -> "G_ah2_u21_u22c"
      | G_ah2_u22_u21c -> "G_ah2_u22_u21c" | G_ah2_u22_u22c -> "G_ah2_u22_u22c"
      | G_ah2_u31_u31c -> "G_ah2_u31_u31c" | G_ah2_u31_u32c -> "G_ah2_u31_u32c"
      | G_ah2_u32_u31c -> "G_ah2_u32_u31c" | G_ah2_u32_u32c -> "G_ah2_u32_u32c"
      | G_h1_h1_h1 -> "G_h1_h1_h1" | G_h1_h1_h2 -> "G_h1_h1_h2"
      | G_h1_h2_h2 -> "G_h1_h2_h2" | G_h2_h2_h2 -> "G_h2_h2_h2"
      | G_h1_hm2_hm2c -> "G_h1_hm2_hm2c" | G_h2_hm2_hm2c -> "G_h2_hm2_hm2c"
      | G_h1_d11_d11c -> "G_h1_d11_d11c" | G_h1_d11_d12c -> "G_h1_d11_d12c"
      | G_h1_d12_d11c -> "G_h1_d12_d11c" | G_h1_d12_d12c -> "G_h1_d12_d12c"
      | G_h1_d21_d21c -> "G_h1_d21_d21c" | G_h1_d21_d22c -> "G_h1_d21_d22c"
      | G_h1_d22_d21c -> "G_h1_d22_d21c" | G_h1_d22_d22c -> "G_h1_d22_d22c"
      | G_h1_d31_d31c -> "G_h1_d31_d31c" | G_h1_d31_d32c -> "G_h1_d31_d32c"
      | G_h1_d32_d31c -> "G_h1_d32_d31c" | G_h1_d32_d32c -> "G_h1_d32_d32c"
      | G_h2_d11_d11c -> "G_h2_d11_d11c" | G_h2_d11_d12c -> "G_h2_d11_d12c"
      | G_h2_d12_d11c -> "G_h2_d12_d11c" | G_h2_d12_d12c -> "G_h2_d12_d12c"
      | G_h2_d21_d21c -> "G_h2_d21_d21c" | G_h2_d21_d22c -> "G_h2_d21_d22c"
      | G_h2_d22_d21c -> "G_h2_d22_d21c" | G_h2_d22_d22c -> "G_h2_d22_d22c"
      | G_h2_d31_d31c -> "G_h2_d31_d31c" | G_h2_d31_d32c -> "G_h2_d31_d32c"
      | G_h2_d32_d31c -> "G_h2_d32_d31c" | G_h2_d32_d32c -> "G_h2_d32_d32c"
      | G_h1_e11_e11c -> "G_h1_e11_e11c" | G_h1_e11_e12c -> "G_h1_e11_e12c"
      | G_h1_e12_e11c -> "G_h1_e12_e11c" | G_h1_e12_e12c -> "G_h1_e12_e12c"
      | G_h1_e21_e21c -> "G_h1_e21_e21c" | G_h1_e21_e22c -> "G_h1_e21_e22c"
      | G_h1_e22_e21c -> "G_h1_e22_e21c" | G_h1_e22_e22c -> "G_h1_e22_e22c"
      | G_h1_e31_e31c -> "G_h1_e31_e31c" | G_h1_e31_e32c -> "G_h1_e31_e32c"
      | G_h1_e32_e31c -> "G_h1_e32_e31c" | G_h1_e32_e32c -> "G_h1_e32_e32c"
      | G_h2_e11_e11c -> "G_h2_e11_e11c" | G_h2_e11_e12c -> "G_h2_e11_e12c"
      | G_h2_e12_e11c -> "G_h2_e12_e11c" | G_h2_e12_e12c -> "G_h2_e12_e12c"
      | G_h2_e21_e21c -> "G_h2_e21_e21c" | G_h2_e21_e22c -> "G_h2_e21_e22c"
      | G_h2_e22_e21c -> "G_h2_e22_e21c" | G_h2_e22_e22c -> "G_h2_e22_e22c"
      | G_h2_e31_e31c -> "G_h2_e31_e31c" | G_h2_e31_e32c -> "G_h2_e31_e32c"
      | G_h2_e32_e31c -> "G_h2_e32_e31c" | G_h2_e32_e32c -> "G_h2_e32_e32c"
      | G_h1_u11_u11c -> "G_h1_u11_u11c" | G_h1_u11_u12c -> "G_h1_u11_u12c"
      | G_h1_u12_u11c -> "G_h1_u12_u11c" | G_h1_u12_u12c -> "G_h1_u12_u12c"
      | G_h1_u21_u21c -> "G_h1_u21_u21c" | G_h1_u21_u22c -> "G_h1_u21_u22c"
      | G_h1_u22_u21c -> "G_h1_u22_u21c" | G_h1_u22_u22c -> "G_h1_u22_u22c"
      | G_h1_u31_u31c -> "G_h1_u31_u31c" | G_h1_u31_u32c -> "G_h1_u31_u32c"
      | G_h1_u32_u31c -> "G_h1_u32_u31c" | G_h1_u32_u32c -> "G_h1_u32_u32c"
      | G_h2_u11_u11c -> "G_h2_u11_u11c" | G_h2_u11_u12c -> "G_h2_u11_u12c"
      | G_h2_u12_u11c -> "G_h2_u12_u11c" | G_h2_u12_u12c -> "G_h2_u12_u12c"
      | G_h2_u21_u21c -> "G_h2_u21_u21c" | G_h2_u21_u22c -> "G_h2_u21_u22c"
      | G_h2_u22_u21c -> "G_h2_u22_u21c" | G_h2_u22_u22c -> "G_h2_u22_u22c"
      | G_h2_u31_u31c -> "G_h2_u31_u31c" | G_h2_u31_u32c -> "G_h2_u31_u32c"
      | G_h2_u32_u31c -> "G_h2_u32_u31c" | G_h2_u32_u32c -> "G_h2_u32_u32c"
      | G_h1_sv1_sv1c -> "G_h1_sv1_sv1c" | G_h2_sv1_sv1c -> "G_h2_sv1_sv1c"
      | G_hm2_u11_d11c -> "G_hm2_u11_d11c" | G_hm2_u11_d12c -> "G_hm2_u11_d12c"
      | G_hm2_u12_d11c -> "G_hm2_u12_d11c" | G_hm2_u12_d12c -> "G_hm2_u12_d12c"
      | G_hm2_u21_d21c -> "G_hm2_u21_d21c" | G_hm2_u21_d22c -> "G_hm2_u21_d22c"
      | G_hm2_u22_d21c -> "G_hm2_u22_d21c" | G_hm2_u22_d22c -> "G_hm2_u22_d22c"
      | G_hm2_u31_d31c -> "G_hm2_u31_d31c" | G_hm2_u31_d32c -> "G_hm2_u31_d32c"
      | G_hm2_u32_d31c -> "G_hm2_u32_d31c" | G_hm2_u32_d32c -> "G_hm2_u32_d32c"
      | G_hm2_sv1_e11c -> "G_hm2_sv1_e11c" | G_hm2_sv1_e12c -> "G_hm2_sv1_e12c"
      | G_hm2_sv2_e21c -> "G_hm2_sv2_e21c" | G_hm2_sv2_e22c -> "G_hm2_sv2_e22c"
      | G_hm2_sv3_e31c -> "G_hm2_sv3_e31c" | G_hm2_sv3_e32c -> "G_hm2_sv3_e32c"
      | G_d11_hm2c_u11c -> "G_d11_hm2c_u11c" | G_d11_hm2c_u12c -> "G_d11_hm2c_u12c"
      | G_d12_hm2c_u11c -> "G_d12_hm2c_u11c" | G_d12_hm2c_u12c -> "G_d12_hm2c_u12c"
      | G_d21_hm2c_u21c -> "G_d21_hm2c_u21c" | G_d21_hm2c_u22c -> "G_d21_hm2c_u22c"
      | G_d22_hm2c_u21c -> "G_d22_hm2c_u21c" | G_d22_hm2c_u22c -> "G_d22_hm2c_u22c"
      | G_d31_hm2c_u31c -> "G_d31_hm2c_u31c" | G_d31_hm2c_u32c -> "G_d31_hm2c_u32c"
      | G_d32_hm2c_u31c -> "G_d32_hm2c_u31c" | G_d32_hm2c_u32c -> "G_d32_hm2c_u32c"
      | G_e11_hm2c_sv1c -> "G_e11_hm2c_sv1c" | G_e12_hm2c_sv1c -> "G_e12_hm2c_sv1c"
      | G_e21_hm2c_sv2c -> "G_e21_hm2c_sv2c" | G_e22_hm2c_sv2c -> "G_e22_hm2c_sv2c"
      | G_e31_hm2c_sv3c -> "G_e31_hm2c_sv3c" | G_e32_hm2c_sv3c -> "G_e32_hm2c_sv3c"
      | G_ah2_ah2_wmc_wm_1 -> "G_ah2_ah2_wmc_wm_1"
      | G_ah2_ah2_z_1_z_1 -> "G_ah2_ah2_z_1_z_1"
      | G_ah2_hm2_wmc_a_1 -> "G_ah2_hm2_wmc_a_1"
      | G_ah2_hm2_wmc_z_1 -> "G_ah2_hm2_wmc_z_1"
      | G_ah2_hm2c_a_1_wm_1 -> "G_ah2_hm2c_a_1_wm_1"
      | G_ah2_hm2c_wm_1_z_1 -> "G_ah2_hm2c_wm_1_z_1"
      | G_h1_h1_wmc_wm_1 -> "G_h1_h1_wmc_wm_1"
      | G_h1_h2_wmc_wm_1 -> "G_h1_h2_wmc_wm_1"
      | G_h2_h2_wmc_wm_1 -> "G_h2_h2_wmc_wm_1" | G_h1_h1_z_1_z_1 -> "G_h1_h1_z_1_z_1"
      | G_h1_h2_z_1_z_1 -> "G_h1_h2_z_1_z_1" | G_h2_h2_z_1_z_1 -> "G_h2_h2_z_1_z_1"
      | G_h1_hm2_wmc_a_1 -> "G_h1_hm2_wmc_a_1"
      | G_h2_hm2_wmc_a_1 -> "G_h2_hm2_wmc_a_1"
      | G_h1_hm2_wmc_z_1 -> "G_h1_hm2_wmc_z_1"
      | G_h2_hm2_wmc_z_1 -> "G_h2_hm2_wmc_z_1"
      | G_hm2_hm2c_a_1_a_1 -> "G_hm2_hm2c_a_1_a_1"
      | G_hm2_hm2c_a_1_z_1 -> "G_hm2_hm2c_a_1_z_1"
      | G_hm2_hm2c_wmc_wm_1 -> "G_hm2_hm2c_wmc_wm_1"
      | G_hm2_hm2c_z_1_z_1 -> "G_hm2_hm2c_z_1_z_1"
      | G_d11_d11c_g_1_g_1 -> "G_d11_d11c_g_1_g_1"
      | G_d11_d12c_g_1_g_1 -> "G_d11_d12c_g_1_g_1"
      | G_d12_d11c_g_1_g_1 -> "G_d12_d11c_g_1_g_1"
      | G_d12_d12c_g_1_g_1 -> "G_d12_d12c_g_1_g_1"
      | G_d21_d21c_g_1_g_1 -> "G_d21_d21c_g_1_g_1"
      | G_d21_d22c_g_1_g_1 -> "G_d21_d22c_g_1_g_1"
      | G_d22_d21c_g_1_g_1 -> "G_d22_d21c_g_1_g_1"
      | G_d22_d22c_g_1_g_1 -> "G_d22_d22c_g_1_g_1"
      | G_d31_d31c_g_1_g_1 -> "G_d31_d31c_g_1_g_1"
      | G_d31_d32c_g_1_g_1 -> "G_d31_d32c_g_1_g_1"
      | G_d32_d31c_g_1_g_1 -> "G_d32_d31c_g_1_g_1"
      | G_d32_d32c_g_1_g_1 -> "G_d32_d32c_g_1_g_1"
      | G_d11_d11c_g_1_a_1 -> "G_d11_d11c_g_1_a_1"
      | G_d11_d12c_g_1_a_1 -> "G_d11_d12c_g_1_a_1"
      | G_d12_d11c_g_1_a_1 -> "G_d12_d11c_g_1_a_1"
      | G_d12_d12c_g_1_a_1 -> "G_d12_d12c_g_1_a_1"
      | G_d21_d21c_g_1_a_1 -> "G_d21_d21c_g_1_a_1"
      | G_d21_d22c_g_1_a_1 -> "G_d21_d22c_g_1_a_1"
      | G_d22_d21c_g_1_a_1 -> "G_d22_d21c_g_1_a_1"
      | G_d22_d22c_g_1_a_1 -> "G_d22_d22c_g_1_a_1"
      | G_d31_d31c_g_1_a_1 -> "G_d31_d31c_g_1_a_1"
      | G_d31_d32c_g_1_a_1 -> "G_d31_d32c_g_1_a_1"
      | G_d32_d31c_g_1_a_1 -> "G_d32_d31c_g_1_a_1"
      | G_d32_d32c_g_1_a_1 -> "G_d32_d32c_g_1_a_1"
      | G_d11_d11c_g_1_z_1 -> "G_d11_d11c_g_1_z_1"
      | G_d11_d12c_g_1_z_1 -> "G_d11_d12c_g_1_z_1"
      | G_d12_d11c_g_1_z_1 -> "G_d12_d11c_g_1_z_1"
      | G_d12_d12c_g_1_z_1 -> "G_d12_d12c_g_1_z_1"
      | G_d21_d21c_g_1_z_1 -> "G_d21_d21c_g_1_z_1"
      | G_d21_d22c_g_1_z_1 -> "G_d21_d22c_g_1_z_1"
      | G_d22_d21c_g_1_z_1 -> "G_d22_d21c_g_1_z_1"
      | G_d22_d22c_g_1_z_1 -> "G_d22_d22c_g_1_z_1"
      | G_d31_d31c_g_1_z_1 -> "G_d31_d31c_g_1_z_1"
      | G_d31_d32c_g_1_z_1 -> "G_d31_d32c_g_1_z_1"
      | G_d32_d31c_g_1_z_1 -> "G_d32_d31c_g_1_z_1"
      | G_d32_d32c_g_1_z_1 -> "G_d32_d32c_g_1_z_1"
      | G_d11_u11c_wmc_g_1 -> "G_d11_u11c_wmc_g_1"
      | G_d11_u12c_wmc_g_1 -> "G_d11_u12c_wmc_g_1"
      | G_d12_u11c_wmc_g_1 -> "G_d12_u11c_wmc_g_1"
      | G_d12_u12c_wmc_g_1 -> "G_d12_u12c_wmc_g_1"
      | G_d21_u21c_wmc_g_1 -> "G_d21_u21c_wmc_g_1"
      | G_d21_u22c_wmc_g_1 -> "G_d21_u22c_wmc_g_1"
      | G_d22_u21c_wmc_g_1 -> "G_d22_u21c_wmc_g_1"
      | G_d22_u22c_wmc_g_1 -> "G_d22_u22c_wmc_g_1"
      | G_d31_u31c_wmc_g_1 -> "G_d31_u31c_wmc_g_1"
      | G_d31_u32c_wmc_g_1 -> "G_d31_u32c_wmc_g_1"
      | G_d32_u31c_wmc_g_1 -> "G_d32_u31c_wmc_g_1"
      | G_d32_u32c_wmc_g_1 -> "G_d32_u32c_wmc_g_1"
      | G_d11_d11c_a_1_a_1 -> "G_d11_d11c_a_1_a_1"
      | G_d11_d12c_a_1_a_1 -> "G_d11_d12c_a_1_a_1"
      | G_d12_d11c_a_1_a_1 -> "G_d12_d11c_a_1_a_1"
      | G_d12_d12c_a_1_a_1 -> "G_d12_d12c_a_1_a_1"
      | G_d21_d21c_a_1_a_1 -> "G_d21_d21c_a_1_a_1"
      | G_d21_d22c_a_1_a_1 -> "G_d21_d22c_a_1_a_1"
      | G_d22_d21c_a_1_a_1 -> "G_d22_d21c_a_1_a_1"
      | G_d22_d22c_a_1_a_1 -> "G_d22_d22c_a_1_a_1"
      | G_d31_d31c_a_1_a_1 -> "G_d31_d31c_a_1_a_1"
      | G_d31_d32c_a_1_a_1 -> "G_d31_d32c_a_1_a_1"
      | G_d32_d31c_a_1_a_1 -> "G_d32_d31c_a_1_a_1"
      | G_d32_d32c_a_1_a_1 -> "G_d32_d32c_a_1_a_1"
      | G_d11_d11c_a_1_z_1 -> "G_d11_d11c_a_1_z_1"
      | G_d11_d12c_a_1_z_1 -> "G_d11_d12c_a_1_z_1"
      | G_d12_d11c_a_1_z_1 -> "G_d12_d11c_a_1_z_1"
      | G_d12_d12c_a_1_z_1 -> "G_d12_d12c_a_1_z_1"
      | G_d21_d21c_a_1_z_1 -> "G_d21_d21c_a_1_z_1"
      | G_d21_d22c_a_1_z_1 -> "G_d21_d22c_a_1_z_1"
      | G_d22_d21c_a_1_z_1 -> "G_d22_d21c_a_1_z_1"
      | G_d22_d22c_a_1_z_1 -> "G_d22_d22c_a_1_z_1"
      | G_d31_d31c_a_1_z_1 -> "G_d31_d31c_a_1_z_1"
      | G_d31_d32c_a_1_z_1 -> "G_d31_d32c_a_1_z_1"
      | G_d32_d31c_a_1_z_1 -> "G_d32_d31c_a_1_z_1"
      | G_d32_d32c_a_1_z_1 -> "G_d32_d32c_a_1_z_1"
      | G_d11_u11c_wmc_a_1 -> "G_d11_u11c_wmc_a_1"
      | G_d11_u12c_wmc_a_1 -> "G_d11_u12c_wmc_a_1"
      | G_d12_u11c_wmc_a_1 -> "G_d12_u11c_wmc_a_1"
      | G_d12_u12c_wmc_a_1 -> "G_d12_u12c_wmc_a_1"
      | G_d21_u21c_wmc_a_1 -> "G_d21_u21c_wmc_a_1"
      | G_d21_u22c_wmc_a_1 -> "G_d21_u22c_wmc_a_1"
      | G_d22_u21c_wmc_a_1 -> "G_d22_u21c_wmc_a_1"
      | G_d22_u22c_wmc_a_1 -> "G_d22_u22c_wmc_a_1"
      | G_d31_u31c_wmc_a_1 -> "G_d31_u31c_wmc_a_1"
      | G_d31_u32c_wmc_a_1 -> "G_d31_u32c_wmc_a_1"
      | G_d32_u31c_wmc_a_1 -> "G_d32_u31c_wmc_a_1"
      | G_d32_u32c_wmc_a_1 -> "G_d32_u32c_wmc_a_1"
      | G_d11_d11c_wmc_wm_1 -> "G_d11_d11c_wmc_wm_1"
      | G_d11_d12c_wmc_wm_1 -> "G_d11_d12c_wmc_wm_1"
      | G_d12_d11c_wmc_wm_1 -> "G_d12_d11c_wmc_wm_1"
      | G_d12_d12c_wmc_wm_1 -> "G_d12_d12c_wmc_wm_1"
      | G_d21_d21c_wmc_wm_1 -> "G_d21_d21c_wmc_wm_1"
      | G_d21_d22c_wmc_wm_1 -> "G_d21_d22c_wmc_wm_1"
      | G_d22_d21c_wmc_wm_1 -> "G_d22_d21c_wmc_wm_1"
      | G_d22_d22c_wmc_wm_1 -> "G_d22_d22c_wmc_wm_1"
      | G_d31_d31c_wmc_wm_1 -> "G_d31_d31c_wmc_wm_1"
      | G_d31_d32c_wmc_wm_1 -> "G_d31_d32c_wmc_wm_1"
      | G_d32_d31c_wmc_wm_1 -> "G_d32_d31c_wmc_wm_1"
      | G_d32_d32c_wmc_wm_1 -> "G_d32_d32c_wmc_wm_1"
      | G_d11_d11c_z_1_z_1 -> "G_d11_d11c_z_1_z_1"
      | G_d11_d12c_z_1_z_1 -> "G_d11_d12c_z_1_z_1"
      | G_d12_d11c_z_1_z_1 -> "G_d12_d11c_z_1_z_1"
      | G_d12_d12c_z_1_z_1 -> "G_d12_d12c_z_1_z_1"
      | G_d21_d21c_z_1_z_1 -> "G_d21_d21c_z_1_z_1"
      | G_d21_d22c_z_1_z_1 -> "G_d21_d22c_z_1_z_1"
      | G_d22_d21c_z_1_z_1 -> "G_d22_d21c_z_1_z_1"
      | G_d22_d22c_z_1_z_1 -> "G_d22_d22c_z_1_z_1"
      | G_d31_d31c_z_1_z_1 -> "G_d31_d31c_z_1_z_1"
      | G_d31_d32c_z_1_z_1 -> "G_d31_d32c_z_1_z_1"
      | G_d32_d31c_z_1_z_1 -> "G_d32_d31c_z_1_z_1"
      | G_d32_d32c_z_1_z_1 -> "G_d32_d32c_z_1_z_1"
      | G_d11_u11c_wmc_z_1 -> "G_d11_u11c_wmc_z_1"
      | G_d11_u12c_wmc_z_1 -> "G_d11_u12c_wmc_z_1"
      | G_d12_u11c_wmc_z_1 -> "G_d12_u11c_wmc_z_1"
      | G_d12_u12c_wmc_z_1 -> "G_d12_u12c_wmc_z_1"
      | G_d21_u21c_wmc_z_1 -> "G_d21_u21c_wmc_z_1"
      | G_d21_u22c_wmc_z_1 -> "G_d21_u22c_wmc_z_1"
      | G_d22_u21c_wmc_z_1 -> "G_d22_u21c_wmc_z_1"
      | G_d22_u22c_wmc_z_1 -> "G_d22_u22c_wmc_z_1"
      | G_d31_u31c_wmc_z_1 -> "G_d31_u31c_wmc_z_1"
      | G_d31_u32c_wmc_z_1 -> "G_d31_u32c_wmc_z_1"
      | G_d32_u31c_wmc_z_1 -> "G_d32_u31c_wmc_z_1"
      | G_d32_u32c_wmc_z_1 -> "G_d32_u32c_wmc_z_1"
      | G_e11_e11c_a_1_a_1 -> "G_e11_e11c_a_1_a_1"
      | G_e11_e12c_a_1_a_1 -> "G_e11_e12c_a_1_a_1"
      | G_e12_e11c_a_1_a_1 -> "G_e12_e11c_a_1_a_1"
      | G_e12_e12c_a_1_a_1 -> "G_e12_e12c_a_1_a_1"
      | G_e21_e21c_a_1_a_1 -> "G_e21_e21c_a_1_a_1"
      | G_e21_e22c_a_1_a_1 -> "G_e21_e22c_a_1_a_1"
      | G_e22_e21c_a_1_a_1 -> "G_e22_e21c_a_1_a_1"
      | G_e22_e22c_a_1_a_1 -> "G_e22_e22c_a_1_a_1"
      | G_e31_e31c_a_1_a_1 -> "G_e31_e31c_a_1_a_1"
      | G_e31_e32c_a_1_a_1 -> "G_e31_e32c_a_1_a_1"
      | G_e32_e31c_a_1_a_1 -> "G_e32_e31c_a_1_a_1"
      | G_e32_e32c_a_1_a_1 -> "G_e32_e32c_a_1_a_1"
      | G_e11_e11c_a_1_z_1 -> "G_e11_e11c_a_1_z_1"
      | G_e11_e12c_a_1_z_1 -> "G_e11_e12c_a_1_z_1"
      | G_e12_e11c_a_1_z_1 -> "G_e12_e11c_a_1_z_1"
      | G_e12_e12c_a_1_z_1 -> "G_e12_e12c_a_1_z_1"
      | G_e21_e21c_a_1_z_1 -> "G_e21_e21c_a_1_z_1"
      | G_e21_e22c_a_1_z_1 -> "G_e21_e22c_a_1_z_1"
      | G_e22_e21c_a_1_z_1 -> "G_e22_e21c_a_1_z_1"
      | G_e22_e22c_a_1_z_1 -> "G_e22_e22c_a_1_z_1"
      | G_e31_e31c_a_1_z_1 -> "G_e31_e31c_a_1_z_1"
      | G_e31_e32c_a_1_z_1 -> "G_e31_e32c_a_1_z_1"
      | G_e32_e31c_a_1_z_1 -> "G_e32_e31c_a_1_z_1"
      | G_e32_e32c_a_1_z_1 -> "G_e32_e32c_a_1_z_1"
      | G_e11_sv1c_wmc_a_1 -> "G_e11_sv1c_wmc_a_1"
      | G_e12_sv1c_wmc_a_1 -> "G_e12_sv1c_wmc_a_1"
      | G_e21_sv2c_wmc_a_1 -> "G_e21_sv2c_wmc_a_1"
      | G_e22_sv2c_wmc_a_1 -> "G_e22_sv2c_wmc_a_1"
      | G_e31_sv3c_wmc_a_1 -> "G_e31_sv3c_wmc_a_1"
      | G_e32_sv3c_wmc_a_1 -> "G_e32_sv3c_wmc_a_1"
      | G_e11_e11c_wmc_wm_1 -> "G_e11_e11c_wmc_wm_1"
      | G_e11_e12c_wmc_wm_1 -> "G_e11_e12c_wmc_wm_1"
      | G_e12_e11c_wmc_wm_1 -> "G_e12_e11c_wmc_wm_1"
      | G_e12_e12c_wmc_wm_1 -> "G_e12_e12c_wmc_wm_1"
      | G_e21_e21c_wmc_wm_1 -> "G_e21_e21c_wmc_wm_1"
      | G_e21_e22c_wmc_wm_1 -> "G_e21_e22c_wmc_wm_1"
      | G_e22_e21c_wmc_wm_1 -> "G_e22_e21c_wmc_wm_1"
      | G_e22_e22c_wmc_wm_1 -> "G_e22_e22c_wmc_wm_1"
      | G_e31_e31c_wmc_wm_1 -> "G_e31_e31c_wmc_wm_1"
      | G_e31_e32c_wmc_wm_1 -> "G_e31_e32c_wmc_wm_1"
      | G_e32_e31c_wmc_wm_1 -> "G_e32_e31c_wmc_wm_1"
      | G_e32_e32c_wmc_wm_1 -> "G_e32_e32c_wmc_wm_1"
      | G_e11_e11c_z_1_z_1 -> "G_e11_e11c_z_1_z_1"
      | G_e11_e12c_z_1_z_1 -> "G_e11_e12c_z_1_z_1"
      | G_e12_e11c_z_1_z_1 -> "G_e12_e11c_z_1_z_1"
      | G_e12_e12c_z_1_z_1 -> "G_e12_e12c_z_1_z_1"
      | G_e21_e21c_z_1_z_1 -> "G_e21_e21c_z_1_z_1"
      | G_e21_e22c_z_1_z_1 -> "G_e21_e22c_z_1_z_1"
      | G_e22_e21c_z_1_z_1 -> "G_e22_e21c_z_1_z_1"
      | G_e22_e22c_z_1_z_1 -> "G_e22_e22c_z_1_z_1"
      | G_e31_e31c_z_1_z_1 -> "G_e31_e31c_z_1_z_1"
      | G_e31_e32c_z_1_z_1 -> "G_e31_e32c_z_1_z_1"
      | G_e32_e31c_z_1_z_1 -> "G_e32_e31c_z_1_z_1"
      | G_e32_e32c_z_1_z_1 -> "G_e32_e32c_z_1_z_1"
      | G_e11_sv1c_wmc_z_1 -> "G_e11_sv1c_wmc_z_1"
      | G_e12_sv1c_wmc_z_1 -> "G_e12_sv1c_wmc_z_1"
      | G_e21_sv2c_wmc_z_1 -> "G_e21_sv2c_wmc_z_1"
      | G_e22_sv2c_wmc_z_1 -> "G_e22_sv2c_wmc_z_1"
      | G_e31_sv3c_wmc_z_1 -> "G_e31_sv3c_wmc_z_1"
      | G_e32_sv3c_wmc_z_1 -> "G_e32_sv3c_wmc_z_1"
      | G_u11_u11c_g_1_g_1 -> "G_u11_u11c_g_1_g_1"
      | G_u11_u12c_g_1_g_1 -> "G_u11_u12c_g_1_g_1"
      | G_u12_u11c_g_1_g_1 -> "G_u12_u11c_g_1_g_1"
      | G_u12_u12c_g_1_g_1 -> "G_u12_u12c_g_1_g_1"
      | G_u21_u21c_g_1_g_1 -> "G_u21_u21c_g_1_g_1"
      | G_u21_u22c_g_1_g_1 -> "G_u21_u22c_g_1_g_1"
      | G_u22_u21c_g_1_g_1 -> "G_u22_u21c_g_1_g_1"
      | G_u22_u22c_g_1_g_1 -> "G_u22_u22c_g_1_g_1"
      | G_u31_u31c_g_1_g_1 -> "G_u31_u31c_g_1_g_1"
      | G_u31_u32c_g_1_g_1 -> "G_u31_u32c_g_1_g_1"
      | G_u32_u31c_g_1_g_1 -> "G_u32_u31c_g_1_g_1"
      | G_u32_u32c_g_1_g_1 -> "G_u32_u32c_g_1_g_1"
      | G_u11_u11c_g_1_a_1 -> "G_u11_u11c_g_1_a_1"
      | G_u11_u12c_g_1_a_1 -> "G_u11_u12c_g_1_a_1"
      | G_u12_u11c_g_1_a_1 -> "G_u12_u11c_g_1_a_1"
      | G_u12_u12c_g_1_a_1 -> "G_u12_u12c_g_1_a_1"
      | G_u21_u21c_g_1_a_1 -> "G_u21_u21c_g_1_a_1"
      | G_u21_u22c_g_1_a_1 -> "G_u21_u22c_g_1_a_1"
      | G_u22_u21c_g_1_a_1 -> "G_u22_u21c_g_1_a_1"
      | G_u22_u22c_g_1_a_1 -> "G_u22_u22c_g_1_a_1"
      | G_u31_u31c_g_1_a_1 -> "G_u31_u31c_g_1_a_1"
      | G_u31_u32c_g_1_a_1 -> "G_u31_u32c_g_1_a_1"
      | G_u32_u31c_g_1_a_1 -> "G_u32_u31c_g_1_a_1"
      | G_u32_u32c_g_1_a_1 -> "G_u32_u32c_g_1_a_1"
      | G_u11_d11c_g_1_wm_1 -> "G_u11_d11c_g_1_wm_1"
      | G_u11_d12c_g_1_wm_1 -> "G_u11_d12c_g_1_wm_1"
      | G_u12_d11c_g_1_wm_1 -> "G_u12_d11c_g_1_wm_1"
      | G_u12_d12c_g_1_wm_1 -> "G_u12_d12c_g_1_wm_1"
      | G_u21_d21c_g_1_wm_1 -> "G_u21_d21c_g_1_wm_1"
      | G_u21_d22c_g_1_wm_1 -> "G_u21_d22c_g_1_wm_1"
      | G_u22_d21c_g_1_wm_1 -> "G_u22_d21c_g_1_wm_1"
      | G_u22_d22c_g_1_wm_1 -> "G_u22_d22c_g_1_wm_1"
      | G_u31_d31c_g_1_wm_1 -> "G_u31_d31c_g_1_wm_1"
      | G_u31_d32c_g_1_wm_1 -> "G_u31_d32c_g_1_wm_1"
      | G_u32_d31c_g_1_wm_1 -> "G_u32_d31c_g_1_wm_1"
      | G_u32_d32c_g_1_wm_1 -> "G_u32_d32c_g_1_wm_1"
      | G_u11_u11c_g_1_z_1 -> "G_u11_u11c_g_1_z_1"
      | G_u11_u12c_g_1_z_1 -> "G_u11_u12c_g_1_z_1"
      | G_u12_u11c_g_1_z_1 -> "G_u12_u11c_g_1_z_1"
      | G_u12_u12c_g_1_z_1 -> "G_u12_u12c_g_1_z_1"
      | G_u21_u21c_g_1_z_1 -> "G_u21_u21c_g_1_z_1"
      | G_u21_u22c_g_1_z_1 -> "G_u21_u22c_g_1_z_1"
      | G_u22_u21c_g_1_z_1 -> "G_u22_u21c_g_1_z_1"
      | G_u22_u22c_g_1_z_1 -> "G_u22_u22c_g_1_z_1"
      | G_u31_u31c_g_1_z_1 -> "G_u31_u31c_g_1_z_1"
      | G_u31_u32c_g_1_z_1 -> "G_u31_u32c_g_1_z_1"
      | G_u32_u31c_g_1_z_1 -> "G_u32_u31c_g_1_z_1"
      | G_u32_u32c_g_1_z_1 -> "G_u32_u32c_g_1_z_1"
      | G_u11_u11c_a_1_a_1 -> "G_u11_u11c_a_1_a_1"
      | G_u11_u12c_a_1_a_1 -> "G_u11_u12c_a_1_a_1"
      | G_u12_u11c_a_1_a_1 -> "G_u12_u11c_a_1_a_1"
      | G_u12_u12c_a_1_a_1 -> "G_u12_u12c_a_1_a_1"
      | G_u21_u21c_a_1_a_1 -> "G_u21_u21c_a_1_a_1"
      | G_u21_u22c_a_1_a_1 -> "G_u21_u22c_a_1_a_1"
      | G_u22_u21c_a_1_a_1 -> "G_u22_u21c_a_1_a_1"
      | G_u22_u22c_a_1_a_1 -> "G_u22_u22c_a_1_a_1"
      | G_u31_u31c_a_1_a_1 -> "G_u31_u31c_a_1_a_1"
      | G_u31_u32c_a_1_a_1 -> "G_u31_u32c_a_1_a_1"
      | G_u32_u31c_a_1_a_1 -> "G_u32_u31c_a_1_a_1"
      | G_u32_u32c_a_1_a_1 -> "G_u32_u32c_a_1_a_1"
      | G_u11_d11c_a_1_wm_1 -> "G_u11_d11c_a_1_wm_1"
      | G_u11_d12c_a_1_wm_1 -> "G_u11_d12c_a_1_wm_1"
      | G_u12_d11c_a_1_wm_1 -> "G_u12_d11c_a_1_wm_1"
      | G_u12_d12c_a_1_wm_1 -> "G_u12_d12c_a_1_wm_1"
      | G_u21_d21c_a_1_wm_1 -> "G_u21_d21c_a_1_wm_1"
      | G_u21_d22c_a_1_wm_1 -> "G_u21_d22c_a_1_wm_1"
      | G_u22_d21c_a_1_wm_1 -> "G_u22_d21c_a_1_wm_1"
      | G_u22_d22c_a_1_wm_1 -> "G_u22_d22c_a_1_wm_1"
      | G_u31_d31c_a_1_wm_1 -> "G_u31_d31c_a_1_wm_1"
      | G_u31_d32c_a_1_wm_1 -> "G_u31_d32c_a_1_wm_1"
      | G_u32_d31c_a_1_wm_1 -> "G_u32_d31c_a_1_wm_1"
      | G_u32_d32c_a_1_wm_1 -> "G_u32_d32c_a_1_wm_1"
      | G_u11_u11c_a_1_z_1 -> "G_u11_u11c_a_1_z_1"
      | G_u11_u12c_a_1_z_1 -> "G_u11_u12c_a_1_z_1"
      | G_u12_u11c_a_1_z_1 -> "G_u12_u11c_a_1_z_1"
      | G_u12_u12c_a_1_z_1 -> "G_u12_u12c_a_1_z_1"
      | G_u21_u21c_a_1_z_1 -> "G_u21_u21c_a_1_z_1"
      | G_u21_u22c_a_1_z_1 -> "G_u21_u22c_a_1_z_1"
      | G_u22_u21c_a_1_z_1 -> "G_u22_u21c_a_1_z_1"
      | G_u22_u22c_a_1_z_1 -> "G_u22_u22c_a_1_z_1"
      | G_u31_u31c_a_1_z_1 -> "G_u31_u31c_a_1_z_1"
      | G_u31_u32c_a_1_z_1 -> "G_u31_u32c_a_1_z_1"
      | G_u32_u31c_a_1_z_1 -> "G_u32_u31c_a_1_z_1"
      | G_u32_u32c_a_1_z_1 -> "G_u32_u32c_a_1_z_1"
      | G_u11_d11c_wm_1_z_1 -> "G_u11_d11c_wm_1_z_1"
      | G_u11_d12c_wm_1_z_1 -> "G_u11_d12c_wm_1_z_1"
      | G_u12_d11c_wm_1_z_1 -> "G_u12_d11c_wm_1_z_1"
      | G_u12_d12c_wm_1_z_1 -> "G_u12_d12c_wm_1_z_1"
      | G_u21_d21c_wm_1_z_1 -> "G_u21_d21c_wm_1_z_1"
      | G_u21_d22c_wm_1_z_1 -> "G_u21_d22c_wm_1_z_1"
      | G_u22_d21c_wm_1_z_1 -> "G_u22_d21c_wm_1_z_1"
      | G_u22_d22c_wm_1_z_1 -> "G_u22_d22c_wm_1_z_1"
      | G_u31_d31c_wm_1_z_1 -> "G_u31_d31c_wm_1_z_1"
      | G_u31_d32c_wm_1_z_1 -> "G_u31_d32c_wm_1_z_1"
      | G_u32_d31c_wm_1_z_1 -> "G_u32_d31c_wm_1_z_1"
      | G_u32_d32c_wm_1_z_1 -> "G_u32_d32c_wm_1_z_1"
      | G_u11_u11c_wmc_wm_1 -> "G_u11_u11c_wmc_wm_1"
      | G_u11_u12c_wmc_wm_1 -> "G_u11_u12c_wmc_wm_1"
      | G_u12_u11c_wmc_wm_1 -> "G_u12_u11c_wmc_wm_1"
      | G_u12_u12c_wmc_wm_1 -> "G_u12_u12c_wmc_wm_1"
      | G_u21_u21c_wmc_wm_1 -> "G_u21_u21c_wmc_wm_1"
      | G_u21_u22c_wmc_wm_1 -> "G_u21_u22c_wmc_wm_1"
      | G_u22_u21c_wmc_wm_1 -> "G_u22_u21c_wmc_wm_1"
      | G_u22_u22c_wmc_wm_1 -> "G_u22_u22c_wmc_wm_1"
      | G_u31_u31c_wmc_wm_1 -> "G_u31_u31c_wmc_wm_1"
      | G_u31_u32c_wmc_wm_1 -> "G_u31_u32c_wmc_wm_1"
      | G_u32_u31c_wmc_wm_1 -> "G_u32_u31c_wmc_wm_1"
      | G_u32_u32c_wmc_wm_1 -> "G_u32_u32c_wmc_wm_1"
      | G_u11_u11c_z_1_z_1 -> "G_u11_u11c_z_1_z_1"
      | G_u11_u12c_z_1_z_1 -> "G_u11_u12c_z_1_z_1"
      | G_u12_u11c_z_1_z_1 -> "G_u12_u11c_z_1_z_1"
      | G_u12_u12c_z_1_z_1 -> "G_u12_u12c_z_1_z_1"
      | G_u21_u21c_z_1_z_1 -> "G_u21_u21c_z_1_z_1"
      | G_u21_u22c_z_1_z_1 -> "G_u21_u22c_z_1_z_1"
      | G_u22_u21c_z_1_z_1 -> "G_u22_u21c_z_1_z_1"
      | G_u22_u22c_z_1_z_1 -> "G_u22_u22c_z_1_z_1"
      | G_u31_u31c_z_1_z_1 -> "G_u31_u31c_z_1_z_1"
      | G_u31_u32c_z_1_z_1 -> "G_u31_u32c_z_1_z_1"
      | G_u32_u31c_z_1_z_1 -> "G_u32_u31c_z_1_z_1"
      | G_u32_u32c_z_1_z_1 -> "G_u32_u32c_z_1_z_1"
      | G_sv1_e11c_a_1_wm_1 -> "G_sv1_e11c_a_1_wm_1"
      | G_sv1_e12c_a_1_wm_1 -> "G_sv1_e12c_a_1_wm_1"
      | G_sv2_e21c_a_1_wm_1 -> "G_sv2_e21c_a_1_wm_1"
      | G_sv2_e22c_a_1_wm_1 -> "G_sv2_e22c_a_1_wm_1"
      | G_sv3_e31c_a_1_wm_1 -> "G_sv3_e31c_a_1_wm_1"
      | G_sv3_e32c_a_1_wm_1 -> "G_sv3_e32c_a_1_wm_1"
      | G_sv1_e11c_wm_1_z_1 -> "G_sv1_e11c_wm_1_z_1"
      | G_sv1_e12c_wm_1_z_1 -> "G_sv1_e12c_wm_1_z_1"
      | G_sv2_e21c_wm_1_z_1 -> "G_sv2_e21c_wm_1_z_1"
      | G_sv2_e22c_wm_1_z_1 -> "G_sv2_e22c_wm_1_z_1"
      | G_sv3_e31c_wm_1_z_1 -> "G_sv3_e31c_wm_1_z_1"
      | G_sv3_e32c_wm_1_z_1 -> "G_sv3_e32c_wm_1_z_1"
      | G_sv1_sv1c_wmc_wm_1 -> "G_sv1_sv1c_wmc_wm_1"
      | G_sv1_sv1c_z_1_z_1 -> "G_sv1_sv1c_z_1_z_1" | G_z_1_ah2_h1 -> "G_z_1_ah2_h1"
      | G_z_1_ah2_h2 -> "G_z_1_ah2_h2" | G_wmc_ah2_hm2 -> "G_wmc_ah2_hm2"
      | G_wmc_h1_hm2 -> "G_wmc_h1_hm2" | G_wmc_h2_hm2 -> "G_wmc_h2_hm2"
      | G_wm_1_h1_hm2c -> "G_wm_1_h1_hm2c" | G_wm_1_h2_hm2c -> "G_wm_1_h2_hm2c"
      | G_a_1_hm2_hm2c -> "G_a_1_hm2_hm2c" | G_z_1_hm2_hm2c -> "G_z_1_hm2_hm2c"
      | G_g_1_d11_d11c -> "G_g_1_d11_d11c" | G_a_1_d11_d11c -> "G_a_1_d11_d11c"
      | G_a_1_d11_d12c -> "G_a_1_d11_d12c" | G_a_1_d12_d11c -> "G_a_1_d12_d11c"
      | G_a_1_d12_d12c -> "G_a_1_d12_d12c" | G_a_1_d21_d21c -> "G_a_1_d21_d21c"
      | G_a_1_d21_d22c -> "G_a_1_d21_d22c" | G_a_1_d22_d21c -> "G_a_1_d22_d21c"
      | G_a_1_d22_d22c -> "G_a_1_d22_d22c" | G_a_1_d31_d31c -> "G_a_1_d31_d31c"
      | G_a_1_d31_d32c -> "G_a_1_d31_d32c" | G_a_1_d32_d31c -> "G_a_1_d32_d31c"
      | G_a_1_d32_d32c -> "G_a_1_d32_d32c" | G_z_1_d11_d11c -> "G_z_1_d11_d11c"
      | G_z_1_d11_d12c -> "G_z_1_d11_d12c" | G_z_1_d12_d11c -> "G_z_1_d12_d11c"
      | G_z_1_d12_d12c -> "G_z_1_d12_d12c" | G_z_1_d21_d21c -> "G_z_1_d21_d21c"
      | G_z_1_d21_d22c -> "G_z_1_d21_d22c" | G_z_1_d22_d21c -> "G_z_1_d22_d21c"
      | G_z_1_d22_d22c -> "G_z_1_d22_d22c" | G_z_1_d31_d31c -> "G_z_1_d31_d31c"
      | G_z_1_d31_d32c -> "G_z_1_d31_d32c" | G_z_1_d32_d31c -> "G_z_1_d32_d31c"
      | G_z_1_d32_d32c -> "G_z_1_d32_d32c" | G_wmc_d11_u11c -> "G_wmc_d11_u11c"
      | G_wmc_d11_u12c -> "G_wmc_d11_u12c" | G_wmc_d12_u11c -> "G_wmc_d12_u11c"
      | G_wmc_d12_u12c -> "G_wmc_d12_u12c" | G_wmc_d21_u21c -> "G_wmc_d21_u21c"
      | G_wmc_d21_u22c -> "G_wmc_d21_u22c" | G_wmc_d22_u21c -> "G_wmc_d22_u21c"
      | G_wmc_d22_u22c -> "G_wmc_d22_u22c" | G_wmc_d31_u31c -> "G_wmc_d31_u31c"
      | G_wmc_d31_u32c -> "G_wmc_d31_u32c" | G_wmc_d32_u31c -> "G_wmc_d32_u31c"
      | G_wmc_d32_u32c -> "G_wmc_d32_u32c" | G_a_1_e11_e11c -> "G_a_1_e11_e11c"
      | G_a_1_e11_e12c -> "G_a_1_e11_e12c" | G_a_1_e12_e11c -> "G_a_1_e12_e11c"
      | G_a_1_e12_e12c -> "G_a_1_e12_e12c" | G_a_1_e21_e21c -> "G_a_1_e21_e21c"
      | G_a_1_e21_e22c -> "G_a_1_e21_e22c" | G_a_1_e22_e21c -> "G_a_1_e22_e21c"
      | G_a_1_e22_e22c -> "G_a_1_e22_e22c" | G_a_1_e31_e31c -> "G_a_1_e31_e31c"
      | G_a_1_e31_e32c -> "G_a_1_e31_e32c" | G_a_1_e32_e31c -> "G_a_1_e32_e31c"
      | G_a_1_e32_e32c -> "G_a_1_e32_e32c" | G_z_1_e11_e11c -> "G_z_1_e11_e11c"
      | G_z_1_e11_e12c -> "G_z_1_e11_e12c" | G_z_1_e12_e11c -> "G_z_1_e12_e11c"
      | G_z_1_e12_e12c -> "G_z_1_e12_e12c" | G_z_1_e21_e21c -> "G_z_1_e21_e21c"
      | G_z_1_e21_e22c -> "G_z_1_e21_e22c" | G_z_1_e22_e21c -> "G_z_1_e22_e21c"
      | G_z_1_e22_e22c -> "G_z_1_e22_e22c" | G_z_1_e31_e31c -> "G_z_1_e31_e31c"
      | G_z_1_e31_e32c -> "G_z_1_e31_e32c" | G_z_1_e32_e31c -> "G_z_1_e32_e31c"
      | G_z_1_e32_e32c -> "G_z_1_e32_e32c" | G_wmc_e11_sv1c -> "G_wmc_e11_sv1c"
      | G_wmc_e12_sv1c -> "G_wmc_e12_sv1c" | G_wmc_e21_sv2c -> "G_wmc_e21_sv2c"
      | G_wmc_e22_sv2c -> "G_wmc_e22_sv2c" | G_wmc_e31_sv3c -> "G_wmc_e31_sv3c"
      | G_wmc_e32_sv3c -> "G_wmc_e32_sv3c" | G_a_1_u11_u11c -> "G_a_1_u11_u11c"
      | G_a_1_u11_u12c -> "G_a_1_u11_u12c" | G_a_1_u12_u11c -> "G_a_1_u12_u11c"
      | G_a_1_u12_u12c -> "G_a_1_u12_u12c" | G_a_1_u21_u21c -> "G_a_1_u21_u21c"
      | G_a_1_u21_u22c -> "G_a_1_u21_u22c" | G_a_1_u22_u21c -> "G_a_1_u22_u21c"
      | G_a_1_u22_u22c -> "G_a_1_u22_u22c" | G_a_1_u31_u31c -> "G_a_1_u31_u31c"
      | G_a_1_u31_u32c -> "G_a_1_u31_u32c" | G_a_1_u32_u31c -> "G_a_1_u32_u31c"
      | G_a_1_u32_u32c -> "G_a_1_u32_u32c" | G_wm_1_u11_d11c -> "G_wm_1_u11_d11c"
      | G_wm_1_u11_d12c -> "G_wm_1_u11_d12c" | G_wm_1_u12_d11c -> "G_wm_1_u12_d11c"
      | G_wm_1_u12_d12c -> "G_wm_1_u12_d12c" | G_wm_1_u21_d21c -> "G_wm_1_u21_d21c"
      | G_wm_1_u21_d22c -> "G_wm_1_u21_d22c" | G_wm_1_u22_d21c -> "G_wm_1_u22_d21c"
      | G_wm_1_u22_d22c -> "G_wm_1_u22_d22c" | G_wm_1_u31_d31c -> "G_wm_1_u31_d31c"
      | G_wm_1_u31_d32c -> "G_wm_1_u31_d32c" | G_wm_1_u32_d31c -> "G_wm_1_u32_d31c"
      | G_wm_1_u32_d32c -> "G_wm_1_u32_d32c" | G_z_1_u11_u11c -> "G_z_1_u11_u11c"
      | G_z_1_u11_u12c -> "G_z_1_u11_u12c" | G_z_1_u12_u11c -> "G_z_1_u12_u11c"
      | G_z_1_u12_u12c -> "G_z_1_u12_u12c" | G_z_1_u21_u21c -> "G_z_1_u21_u21c"
      | G_z_1_u21_u22c -> "G_z_1_u21_u22c" | G_z_1_u22_u21c -> "G_z_1_u22_u21c"
      | G_z_1_u22_u22c -> "G_z_1_u22_u22c" | G_z_1_u31_u31c -> "G_z_1_u31_u31c"
      | G_z_1_u31_u32c -> "G_z_1_u31_u32c" | G_z_1_u32_u31c -> "G_z_1_u32_u31c"
      | G_z_1_u32_u32c -> "G_z_1_u32_u32c" | G_wm_1_sv1_e11c -> "G_wm_1_sv1_e11c"
      | G_wm_1_sv1_e12c -> "G_wm_1_sv1_e12c" | G_wm_1_sv2_e21c -> "G_wm_1_sv2_e21c"
      | G_wm_1_sv2_e22c -> "G_wm_1_sv2_e22c" | G_wm_1_sv3_e31c -> "G_wm_1_sv3_e31c"
      | G_wm_1_sv3_e32c -> "G_wm_1_sv3_e32c" | G_z_1_sv1_sv1c -> "G_z_1_sv1_sv1c"
      | G_h1_wmc_wm_1 -> "G_h1_wmc_wm_1" | G_h2_wmc_wm_1 -> "G_h2_wmc_wm_1"
      | G_h1_z_1_z_1 -> "G_h1_z_1_z_1" | G_h2_z_1_z_1 -> "G_h2_z_1_z_1"
      | G_hm2_wmc_a_1 -> "G_hm2_wmc_a_1" | G_hm2_wmc_z_1 -> "G_hm2_wmc_z_1"
      | G_c1bar_ah2_c1 -> "G_c1bar_ah2_c1" | G_c1bar_ah2_c2 -> "G_c1bar_ah2_c2"
      | G_c2bar_ah2_c1 -> "G_c2bar_ah2_c1" | G_c2bar_ah2_c2 -> "G_c2bar_ah2_c2"
      | G_n1_ah2_n1 -> "G_n1_ah2_n1" | G_n1_ah2_n2 -> "G_n1_ah2_n2"
      | G_n1_ah2_n3 -> "G_n1_ah2_n3" | G_n1_ah2_n4 -> "G_n1_ah2_n4"
      | G_n2_ah2_n2 -> "G_n2_ah2_n2" | G_n2_ah2_n3 -> "G_n2_ah2_n3"
      | G_n2_ah2_n4 -> "G_n2_ah2_n4" | G_n3_ah2_n3 -> "G_n3_ah2_n3"
      | G_n3_ah2_n4 -> "G_n3_ah2_n4" | G_n4_ah2_n4 -> "G_n4_ah2_n4"
      | G_fd1bar_ah2_fd1 -> "G_fd1bar_ah2_fd1"
      | G_fd2bar_ah2_fd2 -> "G_fd2bar_ah2_fd2"
      | G_fd3bar_ah2_fd3 -> "G_fd3bar_ah2_fd3"
      | G_fe1bar_ah2_fe1 -> "G_fe1bar_ah2_fe1"
      | G_fe2bar_ah2_fe2 -> "G_fe2bar_ah2_fe2"
      | G_fe3bar_ah2_fe3 -> "G_fe3bar_ah2_fe3"
      | G_fu1bar_ah2_fu1 -> "G_fu1bar_ah2_fu1"
      | G_fu2bar_ah2_fu2 -> "G_fu2bar_ah2_fu2"
      | G_fu3bar_ah2_fu3 -> "G_fu3bar_ah2_fu3" | G_n1_hm2c_c1 -> "G_n1_hm2c_c1"
      | G_n1_hm2c_c2 -> "G_n1_hm2c_c2" | G_n2_hm2c_c1 -> "G_n2_hm2c_c1"
      | G_n2_hm2c_c2 -> "G_n2_hm2c_c2" | G_n3_hm2c_c1 -> "G_n3_hm2c_c1"
      | G_n3_hm2c_c2 -> "G_n3_hm2c_c2" | G_n4_hm2c_c1 -> "G_n4_hm2c_c1"
      | G_n4_hm2c_c2 -> "G_n4_hm2c_c2" | G_c1_d11c_fu1 -> "G_c1_d11c_fu1"
      | G_c1_d12c_fu1 -> "G_c1_d12c_fu1" | G_c1_d21c_fu2 -> "G_c1_d21c_fu2"
      | G_c1_d22c_fu2 -> "G_c1_d22c_fu2" | G_c1_d31c_fu3 -> "G_c1_d31c_fu3"
      | G_c1_d32c_fu3 -> "G_c1_d32c_fu3" | G_c2_d11c_fu1 -> "G_c2_d11c_fu1"
      | G_c2_d12c_fu1 -> "G_c2_d12c_fu1" | G_c2_d21c_fu2 -> "G_c2_d21c_fu2"
      | G_c2_d22c_fu2 -> "G_c2_d22c_fu2" | G_c2_d31c_fu3 -> "G_c2_d31c_fu3"
      | G_c2_d32c_fu3 -> "G_c2_d32c_fu3" | G_c1_e11c_nu1 -> "G_c1_e11c_nu1"
      | G_c1_e12c_nu1 -> "G_c1_e12c_nu1" | G_c1_e21c_nu2 -> "G_c1_e21c_nu2"
      | G_c1_e22c_nu2 -> "G_c1_e22c_nu2" | G_c1_e31c_nu3 -> "G_c1_e31c_nu3"
      | G_c1_e32c_nu3 -> "G_c1_e32c_nu3" | G_c2_e11c_nu1 -> "G_c2_e11c_nu1"
      | G_c2_e12c_nu1 -> "G_c2_e12c_nu1" | G_c2_e21c_nu2 -> "G_c2_e21c_nu2"
      | G_c2_e22c_nu2 -> "G_c2_e22c_nu2" | G_c2_e31c_nu3 -> "G_c2_e31c_nu3"
      | G_c2_e32c_nu3 -> "G_c2_e32c_nu3" | G_c1bar_h1_c1 -> "G_c1bar_h1_c1"
      | G_c1bar_h2_c1 -> "G_c1bar_h2_c1" | G_c1bar_h1_c2 -> "G_c1bar_h1_c2"
      | G_c1bar_h2_c2 -> "G_c1bar_h2_c2" | G_c2bar_h1_c1 -> "G_c2bar_h1_c1"
      | G_c2bar_h2_c1 -> "G_c2bar_h2_c1" | G_c2bar_h1_c2 -> "G_c2bar_h1_c2"
      | G_c2bar_h2_c2 -> "G_c2bar_h2_c2" | G_fd1bar_u11_c1 -> "G_fd1bar_u11_c1"
      | G_fd1bar_u12_c1 -> "G_fd1bar_u12_c1" | G_fd1bar_u11_c2 -> "G_fd1bar_u11_c2"
      | G_fd1bar_u12_c2 -> "G_fd1bar_u12_c2" | G_fd2bar_u21_c1 -> "G_fd2bar_u21_c1"
      | G_fd2bar_u22_c1 -> "G_fd2bar_u22_c1" | G_fd2bar_u21_c2 -> "G_fd2bar_u21_c2"
      | G_fd2bar_u22_c2 -> "G_fd2bar_u22_c2" | G_fd3bar_u31_c1 -> "G_fd3bar_u31_c1"
      | G_fd3bar_u32_c1 -> "G_fd3bar_u32_c1" | G_fd3bar_u31_c2 -> "G_fd3bar_u31_c2"
      | G_fd3bar_u32_c2 -> "G_fd3bar_u32_c2" | G_fe1bar_sv1_c1 -> "G_fe1bar_sv1_c1"
      | G_fe1bar_sv1_c2 -> "G_fe1bar_sv1_c2" | G_fe2bar_sv2_c1 -> "G_fe2bar_sv2_c1"
      | G_fe2bar_sv2_c2 -> "G_fe2bar_sv2_c2" | G_fe3bar_sv3_c1 -> "G_fe3bar_sv3_c1"
      | G_fe3bar_sv3_c2 -> "G_fe3bar_sv3_c2" | G_n1_h1_n1 -> "G_n1_h1_n1"
      | G_n1_h2_n1 -> "G_n1_h2_n1" | G_n1_h1_n2 -> "G_n1_h1_n2"
      | G_n1_h2_n2 -> "G_n1_h2_n2" | G_n1_h1_n3 -> "G_n1_h1_n3"
      | G_n1_h2_n3 -> "G_n1_h2_n3" | G_n1_h1_n4 -> "G_n1_h1_n4"
      | G_n1_h2_n4 -> "G_n1_h2_n4" | G_n2_h1_n2 -> "G_n2_h1_n2"
      | G_n2_h2_n2 -> "G_n2_h2_n2" | G_n2_h1_n3 -> "G_n2_h1_n3"
      | G_n2_h2_n3 -> "G_n2_h2_n3" | G_n2_h1_n4 -> "G_n2_h1_n4"
      | G_n2_h2_n4 -> "G_n2_h2_n4" | G_n3_h1_n3 -> "G_n3_h1_n3"
      | G_n3_h2_n3 -> "G_n3_h2_n3" | G_n3_h1_n4 -> "G_n3_h1_n4"
      | G_n3_h2_n4 -> "G_n3_h2_n4" | G_n4_h1_n4 -> "G_n4_h1_n4"
      | G_n4_h2_n4 -> "G_n4_h2_n4" | G_n1_d11c_fd1 -> "G_n1_d11c_fd1"
      | G_n1_d12c_fd1 -> "G_n1_d12c_fd1" | G_n1_d21c_fd2 -> "G_n1_d21c_fd2"
      | G_n1_d22c_fd2 -> "G_n1_d22c_fd2" | G_n1_d31c_fd3 -> "G_n1_d31c_fd3"
      | G_n1_d32c_fd3 -> "G_n1_d32c_fd3" | G_n2_d11c_fd1 -> "G_n2_d11c_fd1"
      | G_n2_d12c_fd1 -> "G_n2_d12c_fd1" | G_n2_d21c_fd2 -> "G_n2_d21c_fd2"
      | G_n2_d22c_fd2 -> "G_n2_d22c_fd2" | G_n2_d31c_fd3 -> "G_n2_d31c_fd3"
      | G_n2_d32c_fd3 -> "G_n2_d32c_fd3" | G_n3_d11c_fd1 -> "G_n3_d11c_fd1"
      | G_n3_d12c_fd1 -> "G_n3_d12c_fd1" | G_n3_d21c_fd2 -> "G_n3_d21c_fd2"
      | G_n3_d22c_fd2 -> "G_n3_d22c_fd2" | G_n3_d31c_fd3 -> "G_n3_d31c_fd3"
      | G_n3_d32c_fd3 -> "G_n3_d32c_fd3" | G_n4_d11c_fd1 -> "G_n4_d11c_fd1"
      | G_n4_d12c_fd1 -> "G_n4_d12c_fd1" | G_n4_d21c_fd2 -> "G_n4_d21c_fd2"
      | G_n4_d22c_fd2 -> "G_n4_d22c_fd2" | G_n4_d31c_fd3 -> "G_n4_d31c_fd3"
      | G_n4_d32c_fd3 -> "G_n4_d32c_fd3" | G_n1_e11c_fe1 -> "G_n1_e11c_fe1"
      | G_n1_e12c_fe1 -> "G_n1_e12c_fe1" | G_n1_e21c_fe2 -> "G_n1_e21c_fe2"
      | G_n1_e22c_fe2 -> "G_n1_e22c_fe2" | G_n1_e31c_fe3 -> "G_n1_e31c_fe3"
      | G_n1_e32c_fe3 -> "G_n1_e32c_fe3" | G_n2_e11c_fe1 -> "G_n2_e11c_fe1"
      | G_n2_e12c_fe1 -> "G_n2_e12c_fe1" | G_n2_e21c_fe2 -> "G_n2_e21c_fe2"
      | G_n2_e22c_fe2 -> "G_n2_e22c_fe2" | G_n2_e31c_fe3 -> "G_n2_e31c_fe3"
      | G_n2_e32c_fe3 -> "G_n2_e32c_fe3" | G_n3_e11c_fe1 -> "G_n3_e11c_fe1"
      | G_n3_e12c_fe1 -> "G_n3_e12c_fe1" | G_n3_e21c_fe2 -> "G_n3_e21c_fe2"
      | G_n3_e22c_fe2 -> "G_n3_e22c_fe2" | G_n3_e31c_fe3 -> "G_n3_e31c_fe3"
      | G_n3_e32c_fe3 -> "G_n3_e32c_fe3" | G_n4_e11c_fe1 -> "G_n4_e11c_fe1"
      | G_n4_e12c_fe1 -> "G_n4_e12c_fe1" | G_n4_e21c_fe2 -> "G_n4_e21c_fe2"
      | G_n4_e22c_fe2 -> "G_n4_e22c_fe2" | G_n4_e31c_fe3 -> "G_n4_e31c_fe3"
      | G_n4_e32c_fe3 -> "G_n4_e32c_fe3" | G_n1_u11c_fu1 -> "G_n1_u11c_fu1"
      | G_n1_u12c_fu1 -> "G_n1_u12c_fu1" | G_n1_u21c_fu2 -> "G_n1_u21c_fu2"
      | G_n1_u22c_fu2 -> "G_n1_u22c_fu2" | G_n1_u31c_fu3 -> "G_n1_u31c_fu3"
      | G_n1_u32c_fu3 -> "G_n1_u32c_fu3" | G_n2_u11c_fu1 -> "G_n2_u11c_fu1"
      | G_n2_u12c_fu1 -> "G_n2_u12c_fu1" | G_n2_u21c_fu2 -> "G_n2_u21c_fu2"
      | G_n2_u22c_fu2 -> "G_n2_u22c_fu2" | G_n2_u31c_fu3 -> "G_n2_u31c_fu3"
      | G_n2_u32c_fu3 -> "G_n2_u32c_fu3" | G_n3_u11c_fu1 -> "G_n3_u11c_fu1"
      | G_n3_u12c_fu1 -> "G_n3_u12c_fu1" | G_n3_u21c_fu2 -> "G_n3_u21c_fu2"
      | G_n3_u22c_fu2 -> "G_n3_u22c_fu2" | G_n3_u31c_fu3 -> "G_n3_u31c_fu3"
      | G_n3_u32c_fu3 -> "G_n3_u32c_fu3" | G_n4_u11c_fu1 -> "G_n4_u11c_fu1"
      | G_n4_u12c_fu1 -> "G_n4_u12c_fu1" | G_n4_u21c_fu2 -> "G_n4_u21c_fu2"
      | G_n4_u22c_fu2 -> "G_n4_u22c_fu2" | G_n4_u31c_fu3 -> "G_n4_u31c_fu3"
      | G_n4_u32c_fu3 -> "G_n4_u32c_fu3" | G_n1_sv1c_nu1 -> "G_n1_sv1c_nu1"
      | G_n2_sv1c_nu1 -> "G_n2_sv1c_nu1" | G_n3_sv1c_nu1 -> "G_n3_sv1c_nu1"
      | G_n4_sv1c_nu1 -> "G_n4_sv1c_nu1" | G_c1bar_hm2_n1 -> "G_c1bar_hm2_n1"
      | G_c1bar_hm2_n2 -> "G_c1bar_hm2_n2" | G_c1bar_hm2_n3 -> "G_c1bar_hm2_n3"
      | G_c1bar_hm2_n4 -> "G_c1bar_hm2_n4" | G_c2bar_hm2_n1 -> "G_c2bar_hm2_n1"
      | G_c2bar_hm2_n2 -> "G_c2bar_hm2_n2" | G_c2bar_hm2_n3 -> "G_c2bar_hm2_n3"
      | G_c2bar_hm2_n4 -> "G_c2bar_hm2_n4" | G_fd1bar_d11_n1 -> "G_fd1bar_d11_n1"
      | G_fd1bar_d12_n1 -> "G_fd1bar_d12_n1" | G_fd1bar_d11_n2 -> "G_fd1bar_d11_n2"
      | G_fd1bar_d12_n2 -> "G_fd1bar_d12_n2" | G_fd1bar_d11_n3 -> "G_fd1bar_d11_n3"
      | G_fd1bar_d12_n3 -> "G_fd1bar_d12_n3" | G_fd1bar_d11_n4 -> "G_fd1bar_d11_n4"
      | G_fd1bar_d12_n4 -> "G_fd1bar_d12_n4" | G_fd2bar_d21_n1 -> "G_fd2bar_d21_n1"
      | G_fd2bar_d22_n1 -> "G_fd2bar_d22_n1" | G_fd2bar_d21_n2 -> "G_fd2bar_d21_n2"
      | G_fd2bar_d22_n2 -> "G_fd2bar_d22_n2" | G_fd2bar_d21_n3 -> "G_fd2bar_d21_n3"
      | G_fd2bar_d22_n3 -> "G_fd2bar_d22_n3" | G_fd2bar_d21_n4 -> "G_fd2bar_d21_n4"
      | G_fd2bar_d22_n4 -> "G_fd2bar_d22_n4" | G_fd3bar_d31_n1 -> "G_fd3bar_d31_n1"
      | G_fd3bar_d32_n1 -> "G_fd3bar_d32_n1" | G_fd3bar_d31_n2 -> "G_fd3bar_d31_n2"
      | G_fd3bar_d32_n2 -> "G_fd3bar_d32_n2" | G_fd3bar_d31_n3 -> "G_fd3bar_d31_n3"
      | G_fd3bar_d32_n3 -> "G_fd3bar_d32_n3" | G_fd3bar_d31_n4 -> "G_fd3bar_d31_n4"
      | G_fd3bar_d32_n4 -> "G_fd3bar_d32_n4" | G_fe1bar_e11_n1 -> "G_fe1bar_e11_n1"
      | G_fe1bar_e12_n1 -> "G_fe1bar_e12_n1" | G_fe1bar_e11_n2 -> "G_fe1bar_e11_n2"
      | G_fe1bar_e12_n2 -> "G_fe1bar_e12_n2" | G_fe1bar_e11_n3 -> "G_fe1bar_e11_n3"
      | G_fe1bar_e12_n3 -> "G_fe1bar_e12_n3" | G_fe1bar_e11_n4 -> "G_fe1bar_e11_n4"
      | G_fe1bar_e12_n4 -> "G_fe1bar_e12_n4" | G_fe2bar_e21_n1 -> "G_fe2bar_e21_n1"
      | G_fe2bar_e22_n1 -> "G_fe2bar_e22_n1" | G_fe2bar_e21_n2 -> "G_fe2bar_e21_n2"
      | G_fe2bar_e22_n2 -> "G_fe2bar_e22_n2" | G_fe2bar_e21_n3 -> "G_fe2bar_e21_n3"
      | G_fe2bar_e22_n3 -> "G_fe2bar_e22_n3" | G_fe2bar_e21_n4 -> "G_fe2bar_e21_n4"
      | G_fe2bar_e22_n4 -> "G_fe2bar_e22_n4" | G_fe3bar_e31_n1 -> "G_fe3bar_e31_n1"
      | G_fe3bar_e32_n1 -> "G_fe3bar_e32_n1" | G_fe3bar_e31_n2 -> "G_fe3bar_e31_n2"
      | G_fe3bar_e32_n2 -> "G_fe3bar_e32_n2" | G_fe3bar_e31_n3 -> "G_fe3bar_e31_n3"
      | G_fe3bar_e32_n3 -> "G_fe3bar_e32_n3" | G_fe3bar_e31_n4 -> "G_fe3bar_e31_n4"
      | G_fe3bar_e32_n4 -> "G_fe3bar_e32_n4" | G_fu1bar_u11_n1 -> "G_fu1bar_u11_n1"
      | G_fu1bar_u12_n1 -> "G_fu1bar_u12_n1" | G_fu1bar_u11_n2 -> "G_fu1bar_u11_n2"
      | G_fu1bar_u12_n2 -> "G_fu1bar_u12_n2" | G_fu1bar_u11_n3 -> "G_fu1bar_u11_n3"
      | G_fu1bar_u12_n3 -> "G_fu1bar_u12_n3" | G_fu1bar_u11_n4 -> "G_fu1bar_u11_n4"
      | G_fu1bar_u12_n4 -> "G_fu1bar_u12_n4" | G_fu2bar_u21_n1 -> "G_fu2bar_u21_n1"
      | G_fu2bar_u22_n1 -> "G_fu2bar_u22_n1" | G_fu2bar_u21_n2 -> "G_fu2bar_u21_n2"
      | G_fu2bar_u22_n2 -> "G_fu2bar_u22_n2" | G_fu2bar_u21_n3 -> "G_fu2bar_u21_n3"
      | G_fu2bar_u22_n3 -> "G_fu2bar_u22_n3" | G_fu2bar_u21_n4 -> "G_fu2bar_u21_n4"
      | G_fu2bar_u22_n4 -> "G_fu2bar_u22_n4" | G_fu3bar_u31_n1 -> "G_fu3bar_u31_n1"
      | G_fu3bar_u32_n1 -> "G_fu3bar_u32_n1" | G_fu3bar_u31_n2 -> "G_fu3bar_u31_n2"
      | G_fu3bar_u32_n2 -> "G_fu3bar_u32_n2" | G_fu3bar_u31_n3 -> "G_fu3bar_u31_n3"
      | G_fu3bar_u32_n3 -> "G_fu3bar_u32_n3" | G_fu3bar_u31_n4 -> "G_fu3bar_u31_n4"
      | G_fu3bar_u32_n4 -> "G_fu3bar_u32_n4" | G_nu1bar_sv1_n1 -> "G_nu1bar_sv1_n1"
      | G_nu1bar_sv1_n2 -> "G_nu1bar_sv1_n2" | G_nu1bar_sv1_n3 -> "G_nu1bar_sv1_n3"
      | G_nu1bar_sv1_n4 -> "G_nu1bar_sv1_n4" | G_go_1_d11c_fd1 -> "G_go_1_d11c_fd1"
      | G_go_1_d12c_fd1 -> "G_go_1_d12c_fd1" | G_go_1_d21c_fd2 -> "G_go_1_d21c_fd2"
      | G_go_1_d22c_fd2 -> "G_go_1_d22c_fd2" | G_go_1_d31c_fd3 -> "G_go_1_d31c_fd3"
      | G_go_1_d32c_fd3 -> "G_go_1_d32c_fd3" | G_fd1bar_h1_fd1 -> "G_fd1bar_h1_fd1"
      | G_fd1bar_h2_fd1 -> "G_fd1bar_h2_fd1" | G_fd2bar_h1_fd2 -> "G_fd2bar_h1_fd2"
      | G_fd2bar_h2_fd2 -> "G_fd2bar_h2_fd2" | G_fd3bar_h1_fd3 -> "G_fd3bar_h1_fd3"
      | G_fd3bar_h2_fd3 -> "G_fd3bar_h2_fd3" | G_c1bar_u11c_fd1 -> "G_c1bar_u11c_fd1"
      | G_c1bar_u12c_fd1 -> "G_c1bar_u12c_fd1"
      | G_c1bar_u21c_fd2 -> "G_c1bar_u21c_fd2"
      | G_c1bar_u22c_fd2 -> "G_c1bar_u22c_fd2"
      | G_c1bar_u31c_fd3 -> "G_c1bar_u31c_fd3"
      | G_c1bar_u32c_fd3 -> "G_c1bar_u32c_fd3"
      | G_c2bar_u11c_fd1 -> "G_c2bar_u11c_fd1"
      | G_c2bar_u12c_fd1 -> "G_c2bar_u12c_fd1"
      | G_c2bar_u21c_fd2 -> "G_c2bar_u21c_fd2"
      | G_c2bar_u22c_fd2 -> "G_c2bar_u22c_fd2"
      | G_c2bar_u31c_fd3 -> "G_c2bar_u31c_fd3"
      | G_c2bar_u32c_fd3 -> "G_c2bar_u32c_fd3"
      | G_fu1bar_hm2c_fd1 -> "G_fu1bar_hm2c_fd1"
      | G_fu2bar_hm2c_fd2 -> "G_fu2bar_hm2c_fd2"
      | G_fu3bar_hm2c_fd3 -> "G_fu3bar_hm2c_fd3"
      | G_fe1bar_h1_fe1 -> "G_fe1bar_h1_fe1" | G_fe1bar_h2_fe1 -> "G_fe1bar_h2_fe1"
      | G_fe2bar_h1_fe2 -> "G_fe2bar_h1_fe2" | G_fe2bar_h2_fe2 -> "G_fe2bar_h2_fe2"
      | G_fe3bar_h1_fe3 -> "G_fe3bar_h1_fe3" | G_fe3bar_h2_fe3 -> "G_fe3bar_h2_fe3"
      | G_c1bar_sv1c_fe1 -> "G_c1bar_sv1c_fe1"
      | G_c1bar_sv2c_fe2 -> "G_c1bar_sv2c_fe2"
      | G_c1bar_sv3c_fe3 -> "G_c1bar_sv3c_fe3"
      | G_c2bar_sv1c_fe1 -> "G_c2bar_sv1c_fe1"
      | G_c2bar_sv2c_fe2 -> "G_c2bar_sv2c_fe2"
      | G_c2bar_sv3c_fe3 -> "G_c2bar_sv3c_fe3"
      | G_nu1bar_hm2c_fe1 -> "G_nu1bar_hm2c_fe1"
      | G_nu2bar_hm2c_fe2 -> "G_nu2bar_hm2c_fe2"
      | G_nu3bar_hm2c_fe3 -> "G_nu3bar_hm2c_fe3"
      | G_go_1_u11c_fu1 -> "G_go_1_u11c_fu1" | G_go_1_u12c_fu1 -> "G_go_1_u12c_fu1"
      | G_go_1_u21c_fu2 -> "G_go_1_u21c_fu2" | G_go_1_u22c_fu2 -> "G_go_1_u22c_fu2"
      | G_go_1_u31c_fu3 -> "G_go_1_u31c_fu3" | G_go_1_u32c_fu3 -> "G_go_1_u32c_fu3"
      | G_fu1bar_h1_fu1 -> "G_fu1bar_h1_fu1" | G_fu1bar_h2_fu1 -> "G_fu1bar_h2_fu1"
      | G_fu2bar_h1_fu2 -> "G_fu2bar_h1_fu2" | G_fu2bar_h2_fu2 -> "G_fu2bar_h2_fu2"
      | G_fu3bar_h1_fu3 -> "G_fu3bar_h1_fu3" | G_fu3bar_h2_fu3 -> "G_fu3bar_h2_fu3"
      | G_fd1bar_hm2_fu1 -> "G_fd1bar_hm2_fu1"
      | G_fd2bar_hm2_fu2 -> "G_fd2bar_hm2_fu2"
      | G_fd3bar_hm2_fu3 -> "G_fd3bar_hm2_fu3"
      | G_fe1bar_hm2_nu1 -> "G_fe1bar_hm2_nu1"
      | G_fe2bar_hm2_nu2 -> "G_fe2bar_hm2_nu2"
      | G_fe3bar_hm2_nu3 -> "G_fe3bar_hm2_nu3"
      | G_fd1bar_d11_go_1 -> "G_fd1bar_d11_go_1"
      | G_fd1bar_d12_go_1 -> "G_fd1bar_d12_go_1"
      | G_fd2bar_d21_go_1 -> "G_fd2bar_d21_go_1"
      | G_fd2bar_d22_go_1 -> "G_fd2bar_d22_go_1"
      | G_fd3bar_d31_go_1 -> "G_fd3bar_d31_go_1"
      | G_fd3bar_d32_go_1 -> "G_fd3bar_d32_go_1"
      | G_fu1bar_u11_go_1 -> "G_fu1bar_u11_go_1"
      | G_fu1bar_u12_go_1 -> "G_fu1bar_u12_go_1"
      | G_fu2bar_u21_go_1 -> "G_fu2bar_u21_go_1"
      | G_fu2bar_u22_go_1 -> "G_fu2bar_u22_go_1"
      | G_fu3bar_u31_go_1 -> "G_fu3bar_u31_go_1"
      | G_fu3bar_u32_go_1 -> "G_fu3bar_u32_go_1"
      | G_c1bar_d11_fu1bar -> "G_c1bar_d11_fu1bar"
      | G_c1bar_d12_fu1bar -> "G_c1bar_d12_fu1bar"
      | G_c1bar_d21_fu2bar -> "G_c1bar_d21_fu2bar"
      | G_c1bar_d22_fu2bar -> "G_c1bar_d22_fu2bar"
      | G_c1bar_d31_fu3bar -> "G_c1bar_d31_fu3bar"
      | G_c1bar_d32_fu3bar -> "G_c1bar_d32_fu3bar"
      | G_c2bar_d11_fu1bar -> "G_c2bar_d11_fu1bar"
      | G_c2bar_d12_fu1bar -> "G_c2bar_d12_fu1bar"
      | G_c2bar_d21_fu2bar -> "G_c2bar_d21_fu2bar"
      | G_c2bar_d22_fu2bar -> "G_c2bar_d22_fu2bar"
      | G_c2bar_d31_fu3bar -> "G_c2bar_d31_fu3bar"
      | G_c2bar_d32_fu3bar -> "G_c2bar_d32_fu3bar"
      | G_c1bar_e11_nu1bar -> "G_c1bar_e11_nu1bar"
      | G_c1bar_e12_nu1bar -> "G_c1bar_e12_nu1bar"
      | G_c1bar_e21_nu2bar -> "G_c1bar_e21_nu2bar"
      | G_c1bar_e22_nu2bar -> "G_c1bar_e22_nu2bar"
      | G_c1bar_e31_nu3bar -> "G_c1bar_e31_nu3bar"
      | G_c1bar_e32_nu3bar -> "G_c1bar_e32_nu3bar"
      | G_c2bar_e11_nu1bar -> "G_c2bar_e11_nu1bar"
      | G_c2bar_e12_nu1bar -> "G_c2bar_e12_nu1bar"
      | G_c2bar_e21_nu2bar -> "G_c2bar_e21_nu2bar"
      | G_c2bar_e22_nu2bar -> "G_c2bar_e22_nu2bar"
      | G_c2bar_e31_nu3bar -> "G_c2bar_e31_nu3bar"
      | G_c2bar_e32_nu3bar -> "G_c2bar_e32_nu3bar" | G_n1_wmc_c1 -> "G_n1_wmc_c1"
      | G_n1_wmc_c2 -> "G_n1_wmc_c2" | G_n2_wmc_c1 -> "G_n2_wmc_c1"
      | G_n2_wmc_c2 -> "G_n2_wmc_c2" | G_n3_wmc_c1 -> "G_n3_wmc_c1"
      | G_n3_wmc_c2 -> "G_n3_wmc_c2" | G_n4_wmc_c1 -> "G_n4_wmc_c1"
      | G_n4_wmc_c2 -> "G_n4_wmc_c2" | G_c1bar_a_1_c1 -> "G_c1bar_a_1_c1"
      | G_c1bar_a_1_c2 -> "G_c1bar_a_1_c2" | G_c2bar_a_1_c1 -> "G_c2bar_a_1_c1"
      | G_c2bar_a_1_c2 -> "G_c2bar_a_1_c2" | G_c1bar_z_1_c1 -> "G_c1bar_z_1_c1"
      | G_c1bar_z_1_c2 -> "G_c1bar_z_1_c2" | G_c2bar_z_1_c1 -> "G_c2bar_z_1_c1"
      | G_c2bar_z_1_c2 -> "G_c2bar_z_1_c2" | G_n1_z_1_n1 -> "G_n1_z_1_n1"
      | G_n1_z_1_n2 -> "G_n1_z_1_n2" | G_n1_z_1_n3 -> "G_n1_z_1_n3"
      | G_n1_z_1_n4 -> "G_n1_z_1_n4" | G_n2_z_1_n2 -> "G_n2_z_1_n2"
      | G_n2_z_1_n3 -> "G_n2_z_1_n3" | G_n2_z_1_n4 -> "G_n2_z_1_n4"
      | G_n3_z_1_n3 -> "G_n3_z_1_n3" | G_n3_z_1_n4 -> "G_n3_z_1_n4"
      | G_n4_z_1_n4 -> "G_n4_z_1_n4" | G_c1bar_wm_1_n1 -> "G_c1bar_wm_1_n1"
      | G_c1bar_wm_1_n2 -> "G_c1bar_wm_1_n2" | G_c1bar_wm_1_n3 -> "G_c1bar_wm_1_n3"
      | G_c1bar_wm_1_n4 -> "G_c1bar_wm_1_n4" | G_c2bar_wm_1_n1 -> "G_c2bar_wm_1_n1"
      | G_c2bar_wm_1_n2 -> "G_c2bar_wm_1_n2" | G_c2bar_wm_1_n3 -> "G_c2bar_wm_1_n3"
      | G_c2bar_wm_1_n4 -> "G_c2bar_wm_1_n4" | G_fd1bar_g_1_fd1 -> "G_fd1bar_g_1_fd1"
      | G_fd1bar_a_1_fd1 -> "G_fd1bar_a_1_fd1"
      | G_fd1bar_z_1_fd1 -> "G_fd1bar_z_1_fd1"
      | G_fu1bar_wmc_fd1 -> "G_fu1bar_wmc_fd1"
      | G_fe1bar_a_1_fe1 -> "G_fe1bar_a_1_fe1"
      | G_fe1bar_z_1_fe1 -> "G_fe1bar_z_1_fe1"
      | G_fu1bar_a_1_fu1 -> "G_fu1bar_a_1_fu1"
      | G_fu1bar_z_1_fu1 -> "G_fu1bar_z_1_fu1"
      | G_nu1bar_z_1_nu1 -> "G_nu1bar_z_1_nu1" | G_go_1_g_1_go_1 -> "G_go_1_g_1_go_1"
      | G_g_1_g_1_g_1 -> "G_g_1_g_1_g_1" | G_wmc_a_1_wm_1 -> "G_wmc_a_1_wm_1"
      | G_wmc_wm_1_z_1 -> "G_wmc_wm_1_z_1" | G_g_1_g_1_g_1_g_1 -> "G_g_1_g_1_g_1_g_1"
      | G_wmc_a_1_a_1_wm_1 -> "G_wmc_a_1_a_1_wm_1"
      | G_wmc_a_1_wm_1_z_1 -> "G_wmc_a_1_wm_1_z_1"
      | G_wmc_wmc_wm_1_wm_1 -> "G_wmc_wmc_wm_1_wm_1"
      | G_wmc_wm_1_z_1_z_1 -> "G_wmc_wm_1_z_1_z_1"

   (* Vertices and fusions *)

   let max_degree () = 4

   let vertices_3 = [
      (FRS (S2_Ah Ah2), FRS (S2_Ah Ah2), FRS (S1_H H1)),
       Scalar_Scalar_Scalar 1,
       G_ah2_ah2_h1
      ;
      (FRS (S2_Ah Ah2), FRS (S2_Ah Ah2), FRS (S1_H H2)),
       Scalar_Scalar_Scalar 1,
       G_ah2_ah2_h2
      ;
      (FRS (S2_Ah Ah2), FRS (S14_D D11), FRS (S14_D D11c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_d11_d11c
      ;
      (FRS (S2_Ah Ah2), FRS (S14_D D11), FRS (S14_D D12c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_d11_d12c
      ;
      (FRS (S2_Ah Ah2), FRS (S14_D D12), FRS (S14_D D11c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_d12_d11c
      ;
      (FRS (S2_Ah Ah2), FRS (S14_D D12), FRS (S14_D D12c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_d12_d12c
      ;
      (FRS (S2_Ah Ah2), FRS (S14_D D21), FRS (S14_D D21c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_d21_d21c
      ;
      (FRS (S2_Ah Ah2), FRS (S14_D D21), FRS (S14_D D22c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_d21_d22c
      ;
      (FRS (S2_Ah Ah2), FRS (S14_D D22), FRS (S14_D D21c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_d22_d21c
      ;
      (FRS (S2_Ah Ah2), FRS (S14_D D22), FRS (S14_D D22c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_d22_d22c
      ;
      (FRS (S2_Ah Ah2), FRS (S14_D D31), FRS (S14_D D31c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_d31_d31c
      ;
      (FRS (S2_Ah Ah2), FRS (S14_D D31), FRS (S14_D D32c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_d31_d32c
      ;
      (FRS (S2_Ah Ah2), FRS (S14_D D32), FRS (S14_D D31c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_d32_d31c
      ;
      (FRS (S2_Ah Ah2), FRS (S14_D D32), FRS (S14_D D32c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_d32_d32c
      ;
      (FRS (S2_Ah Ah2), FRS (S12_E E11), FRS (S12_E E11c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_e11_e11c
      ;
      (FRS (S2_Ah Ah2), FRS (S12_E E11), FRS (S12_E E12c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_e11_e12c
      ;
      (FRS (S2_Ah Ah2), FRS (S12_E E12), FRS (S12_E E11c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_e12_e11c
      ;
      (FRS (S2_Ah Ah2), FRS (S12_E E12), FRS (S12_E E12c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_e12_e12c
      ;
      (FRS (S2_Ah Ah2), FRS (S12_E E21), FRS (S12_E E21c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_e21_e21c
      ;
      (FRS (S2_Ah Ah2), FRS (S12_E E21), FRS (S12_E E22c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_e21_e22c
      ;
      (FRS (S2_Ah Ah2), FRS (S12_E E22), FRS (S12_E E21c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_e22_e21c
      ;
      (FRS (S2_Ah Ah2), FRS (S12_E E22), FRS (S12_E E22c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_e22_e22c
      ;
      (FRS (S2_Ah Ah2), FRS (S12_E E31), FRS (S12_E E31c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_e31_e31c
      ;
      (FRS (S2_Ah Ah2), FRS (S12_E E31), FRS (S12_E E32c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_e31_e32c
      ;
      (FRS (S2_Ah Ah2), FRS (S12_E E32), FRS (S12_E E31c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_e32_e31c
      ;
      (FRS (S2_Ah Ah2), FRS (S12_E E32), FRS (S12_E E32c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_e32_e32c
      ;
      (FRS (S2_Ah Ah2), FRS (S13_U U11), FRS (S13_U U11c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_u11_u11c
      ;
      (FRS (S2_Ah Ah2), FRS (S13_U U11), FRS (S13_U U12c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_u11_u12c
      ;
      (FRS (S2_Ah Ah2), FRS (S13_U U12), FRS (S13_U U11c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_u12_u11c
      ;
      (FRS (S2_Ah Ah2), FRS (S13_U U12), FRS (S13_U U12c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_u12_u12c
      ;
      (FRS (S2_Ah Ah2), FRS (S13_U U21), FRS (S13_U U21c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_u21_u21c
      ;
      (FRS (S2_Ah Ah2), FRS (S13_U U21), FRS (S13_U U22c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_u21_u22c
      ;
      (FRS (S2_Ah Ah2), FRS (S13_U U22), FRS (S13_U U21c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_u22_u21c
      ;
      (FRS (S2_Ah Ah2), FRS (S13_U U22), FRS (S13_U U22c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_u22_u22c
      ;
      (FRS (S2_Ah Ah2), FRS (S13_U U31), FRS (S13_U U31c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_u31_u31c
      ;
      (FRS (S2_Ah Ah2), FRS (S13_U U31), FRS (S13_U U32c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_u31_u32c
      ;
      (FRS (S2_Ah Ah2), FRS (S13_U U32), FRS (S13_U U31c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_u32_u31c
      ;
      (FRS (S2_Ah Ah2), FRS (S13_U U32), FRS (S13_U U32c)),
       Scalar_Scalar_Scalar 1,
       G_ah2_u32_u32c
      ;
      (FRS (S1_H H1), FRS (S1_H H1), FRS (S1_H H1)),
       Scalar_Scalar_Scalar 1,
       G_h1_h1_h1
      ;
      (FRS (S1_H H1), FRS (S1_H H1), FRS (S1_H H2)),
       Scalar_Scalar_Scalar 1,
       G_h1_h1_h2
      ;
      (FRS (S1_H H1), FRS (S1_H H2), FRS (S1_H H2)),
       Scalar_Scalar_Scalar 1,
       G_h1_h2_h2
      ;
      (FRS (S1_H H2), FRS (S1_H H2), FRS (S1_H H2)),
       Scalar_Scalar_Scalar 1,
       G_h2_h2_h2
      ;
      (FRS (S1_H H1), FRS (S3_Hm Hm2), FRS (S3_Hm Hm2c)),
       Scalar_Scalar_Scalar 1,
       G_h1_hm2_hm2c
      ;
      (FRS (S1_H H2), FRS (S3_Hm Hm2), FRS (S3_Hm Hm2c)),
       Scalar_Scalar_Scalar 1,
       G_h2_hm2_hm2c
      ;
      (FRS (S1_H H1), FRS (S14_D D11), FRS (S14_D D11c)),
       Scalar_Scalar_Scalar 1,
       G_h1_d11_d11c
      ;
      (FRS (S1_H H1), FRS (S14_D D11), FRS (S14_D D12c)),
       Scalar_Scalar_Scalar 1,
       G_h1_d11_d12c
      ;
      (FRS (S1_H H1), FRS (S14_D D12), FRS (S14_D D11c)),
       Scalar_Scalar_Scalar 1,
       G_h1_d12_d11c
      ;
      (FRS (S1_H H1), FRS (S14_D D12), FRS (S14_D D12c)),
       Scalar_Scalar_Scalar 1,
       G_h1_d12_d12c
      ;
      (FRS (S1_H H1), FRS (S14_D D21), FRS (S14_D D21c)),
       Scalar_Scalar_Scalar 1,
       G_h1_d21_d21c
      ;
      (FRS (S1_H H1), FRS (S14_D D21), FRS (S14_D D22c)),
       Scalar_Scalar_Scalar 1,
       G_h1_d21_d22c
      ;
      (FRS (S1_H H1), FRS (S14_D D22), FRS (S14_D D21c)),
       Scalar_Scalar_Scalar 1,
       G_h1_d22_d21c
      ;
      (FRS (S1_H H1), FRS (S14_D D22), FRS (S14_D D22c)),
       Scalar_Scalar_Scalar 1,
       G_h1_d22_d22c
      ;
      (FRS (S1_H H1), FRS (S14_D D31), FRS (S14_D D31c)),
       Scalar_Scalar_Scalar 1,
       G_h1_d31_d31c
      ;
      (FRS (S1_H H1), FRS (S14_D D31), FRS (S14_D D32c)),
       Scalar_Scalar_Scalar 1,
       G_h1_d31_d32c
      ;
      (FRS (S1_H H1), FRS (S14_D D32), FRS (S14_D D31c)),
       Scalar_Scalar_Scalar 1,
       G_h1_d32_d31c
      ;
      (FRS (S1_H H1), FRS (S14_D D32), FRS (S14_D D32c)),
       Scalar_Scalar_Scalar 1,
       G_h1_d32_d32c
      ;
      (FRS (S1_H H2), FRS (S14_D D11), FRS (S14_D D11c)),
       Scalar_Scalar_Scalar 1,
       G_h2_d11_d11c
      ;
      (FRS (S1_H H2), FRS (S14_D D11), FRS (S14_D D12c)),
       Scalar_Scalar_Scalar 1,
       G_h2_d11_d12c
      ;
      (FRS (S1_H H2), FRS (S14_D D12), FRS (S14_D D11c)),
       Scalar_Scalar_Scalar 1,
       G_h2_d12_d11c
      ;
      (FRS (S1_H H2), FRS (S14_D D12), FRS (S14_D D12c)),
       Scalar_Scalar_Scalar 1,
       G_h2_d12_d12c
      ;
      (FRS (S1_H H2), FRS (S14_D D21), FRS (S14_D D21c)),
       Scalar_Scalar_Scalar 1,
       G_h2_d21_d21c
      ;
      (FRS (S1_H H2), FRS (S14_D D21), FRS (S14_D D22c)),
       Scalar_Scalar_Scalar 1,
       G_h2_d21_d22c
      ;
      (FRS (S1_H H2), FRS (S14_D D22), FRS (S14_D D21c)),
       Scalar_Scalar_Scalar 1,
       G_h2_d22_d21c
      ;
      (FRS (S1_H H2), FRS (S14_D D22), FRS (S14_D D22c)),
       Scalar_Scalar_Scalar 1,
       G_h2_d22_d22c
      ;
      (FRS (S1_H H2), FRS (S14_D D31), FRS (S14_D D31c)),
       Scalar_Scalar_Scalar 1,
       G_h2_d31_d31c
      ;
      (FRS (S1_H H2), FRS (S14_D D31), FRS (S14_D D32c)),
       Scalar_Scalar_Scalar 1,
       G_h2_d31_d32c
      ;
      (FRS (S1_H H2), FRS (S14_D D32), FRS (S14_D D31c)),
       Scalar_Scalar_Scalar 1,
       G_h2_d32_d31c
      ;
      (FRS (S1_H H2), FRS (S14_D D32), FRS (S14_D D32c)),
       Scalar_Scalar_Scalar 1,
       G_h2_d32_d32c
      ;
      (FRS (S1_H H1), FRS (S12_E E11), FRS (S12_E E11c)),
       Scalar_Scalar_Scalar 1,
       G_h1_e11_e11c
      ;
      (FRS (S1_H H1), FRS (S12_E E11), FRS (S12_E E12c)),
       Scalar_Scalar_Scalar 1,
       G_h1_e11_e12c
      ;
      (FRS (S1_H H1), FRS (S12_E E12), FRS (S12_E E11c)),
       Scalar_Scalar_Scalar 1,
       G_h1_e12_e11c
      ;
      (FRS (S1_H H1), FRS (S12_E E12), FRS (S12_E E12c)),
       Scalar_Scalar_Scalar 1,
       G_h1_e12_e12c
      ;
      (FRS (S1_H H1), FRS (S12_E E21), FRS (S12_E E21c)),
       Scalar_Scalar_Scalar 1,
       G_h1_e21_e21c
      ;
      (FRS (S1_H H1), FRS (S12_E E21), FRS (S12_E E22c)),
       Scalar_Scalar_Scalar 1,
       G_h1_e21_e22c
      ;
      (FRS (S1_H H1), FRS (S12_E E22), FRS (S12_E E21c)),
       Scalar_Scalar_Scalar 1,
       G_h1_e22_e21c
      ;
      (FRS (S1_H H1), FRS (S12_E E22), FRS (S12_E E22c)),
       Scalar_Scalar_Scalar 1,
       G_h1_e22_e22c
      ;
      (FRS (S1_H H1), FRS (S12_E E31), FRS (S12_E E31c)),
       Scalar_Scalar_Scalar 1,
       G_h1_e31_e31c
      ;
      (FRS (S1_H H1), FRS (S12_E E31), FRS (S12_E E32c)),
       Scalar_Scalar_Scalar 1,
       G_h1_e31_e32c
      ;
      (FRS (S1_H H1), FRS (S12_E E32), FRS (S12_E E31c)),
       Scalar_Scalar_Scalar 1,
       G_h1_e32_e31c
      ;
      (FRS (S1_H H1), FRS (S12_E E32), FRS (S12_E E32c)),
       Scalar_Scalar_Scalar 1,
       G_h1_e32_e32c
      ;
      (FRS (S1_H H2), FRS (S12_E E11), FRS (S12_E E11c)),
       Scalar_Scalar_Scalar 1,
       G_h2_e11_e11c
      ;
      (FRS (S1_H H2), FRS (S12_E E11), FRS (S12_E E12c)),
       Scalar_Scalar_Scalar 1,
       G_h2_e11_e12c
      ;
      (FRS (S1_H H2), FRS (S12_E E12), FRS (S12_E E11c)),
       Scalar_Scalar_Scalar 1,
       G_h2_e12_e11c
      ;
      (FRS (S1_H H2), FRS (S12_E E12), FRS (S12_E E12c)),
       Scalar_Scalar_Scalar 1,
       G_h2_e12_e12c
      ;
      (FRS (S1_H H2), FRS (S12_E E21), FRS (S12_E E21c)),
       Scalar_Scalar_Scalar 1,
       G_h2_e21_e21c
      ;
      (FRS (S1_H H2), FRS (S12_E E21), FRS (S12_E E22c)),
       Scalar_Scalar_Scalar 1,
       G_h2_e21_e22c
      ;
      (FRS (S1_H H2), FRS (S12_E E22), FRS (S12_E E21c)),
       Scalar_Scalar_Scalar 1,
       G_h2_e22_e21c
      ;
      (FRS (S1_H H2), FRS (S12_E E22), FRS (S12_E E22c)),
       Scalar_Scalar_Scalar 1,
       G_h2_e22_e22c
      ;
      (FRS (S1_H H2), FRS (S12_E E31), FRS (S12_E E31c)),
       Scalar_Scalar_Scalar 1,
       G_h2_e31_e31c
      ;
      (FRS (S1_H H2), FRS (S12_E E31), FRS (S12_E E32c)),
       Scalar_Scalar_Scalar 1,
       G_h2_e31_e32c
      ;
      (FRS (S1_H H2), FRS (S12_E E32), FRS (S12_E E31c)),
       Scalar_Scalar_Scalar 1,
       G_h2_e32_e31c
      ;
      (FRS (S1_H H2), FRS (S12_E E32), FRS (S12_E E32c)),
       Scalar_Scalar_Scalar 1,
       G_h2_e32_e32c
      ;
      (FRS (S1_H H1), FRS (S13_U U11), FRS (S13_U U11c)),
       Scalar_Scalar_Scalar 1,
       G_h1_u11_u11c
      ;
      (FRS (S1_H H1), FRS (S13_U U11), FRS (S13_U U12c)),
       Scalar_Scalar_Scalar 1,
       G_h1_u11_u12c
      ;
      (FRS (S1_H H1), FRS (S13_U U12), FRS (S13_U U11c)),
       Scalar_Scalar_Scalar 1,
       G_h1_u12_u11c
      ;
      (FRS (S1_H H1), FRS (S13_U U12), FRS (S13_U U12c)),
       Scalar_Scalar_Scalar 1,
       G_h1_u12_u12c
      ;
      (FRS (S1_H H1), FRS (S13_U U21), FRS (S13_U U21c)),
       Scalar_Scalar_Scalar 1,
       G_h1_u21_u21c
      ;
      (FRS (S1_H H1), FRS (S13_U U21), FRS (S13_U U22c)),
       Scalar_Scalar_Scalar 1,
       G_h1_u21_u22c
      ;
      (FRS (S1_H H1), FRS (S13_U U22), FRS (S13_U U21c)),
       Scalar_Scalar_Scalar 1,
       G_h1_u22_u21c
      ;
      (FRS (S1_H H1), FRS (S13_U U22), FRS (S13_U U22c)),
       Scalar_Scalar_Scalar 1,
       G_h1_u22_u22c
      ;
      (FRS (S1_H H1), FRS (S13_U U31), FRS (S13_U U31c)),
       Scalar_Scalar_Scalar 1,
       G_h1_u31_u31c
      ;
      (FRS (S1_H H1), FRS (S13_U U31), FRS (S13_U U32c)),
       Scalar_Scalar_Scalar 1,
       G_h1_u31_u32c
      ;
      (FRS (S1_H H1), FRS (S13_U U32), FRS (S13_U U31c)),
       Scalar_Scalar_Scalar 1,
       G_h1_u32_u31c
      ;
      (FRS (S1_H H1), FRS (S13_U U32), FRS (S13_U U32c)),
       Scalar_Scalar_Scalar 1,
       G_h1_u32_u32c
      ;
      (FRS (S1_H H2), FRS (S13_U U11), FRS (S13_U U11c)),
       Scalar_Scalar_Scalar 1,
       G_h2_u11_u11c
      ;
      (FRS (S1_H H2), FRS (S13_U U11), FRS (S13_U U12c)),
       Scalar_Scalar_Scalar 1,
       G_h2_u11_u12c
      ;
      (FRS (S1_H H2), FRS (S13_U U12), FRS (S13_U U11c)),
       Scalar_Scalar_Scalar 1,
       G_h2_u12_u11c
      ;
      (FRS (S1_H H2), FRS (S13_U U12), FRS (S13_U U12c)),
       Scalar_Scalar_Scalar 1,
       G_h2_u12_u12c
      ;
      (FRS (S1_H H2), FRS (S13_U U21), FRS (S13_U U21c)),
       Scalar_Scalar_Scalar 1,
       G_h2_u21_u21c
      ;
      (FRS (S1_H H2), FRS (S13_U U21), FRS (S13_U U22c)),
       Scalar_Scalar_Scalar 1,
       G_h2_u21_u22c
      ;
      (FRS (S1_H H2), FRS (S13_U U22), FRS (S13_U U21c)),
       Scalar_Scalar_Scalar 1,
       G_h2_u22_u21c
      ;
      (FRS (S1_H H2), FRS (S13_U U22), FRS (S13_U U22c)),
       Scalar_Scalar_Scalar 1,
       G_h2_u22_u22c
      ;
      (FRS (S1_H H2), FRS (S13_U U31), FRS (S13_U U31c)),
       Scalar_Scalar_Scalar 1,
       G_h2_u31_u31c
      ;
      (FRS (S1_H H2), FRS (S13_U U31), FRS (S13_U U32c)),
       Scalar_Scalar_Scalar 1,
       G_h2_u31_u32c
      ;
      (FRS (S1_H H2), FRS (S13_U U32), FRS (S13_U U31c)),
       Scalar_Scalar_Scalar 1,
       G_h2_u32_u31c
      ;
      (FRS (S1_H H2), FRS (S13_U U32), FRS (S13_U U32c)),
       Scalar_Scalar_Scalar 1,
       G_h2_u32_u32c
      ;
      (FRS (S1_H H1), FRS (S11_Sv Sv1), FRS (S11_Sv Sv1c)),
       Scalar_Scalar_Scalar 1,
       G_h1_sv1_sv1c
      ;
      (FRS (S1_H H1), FRS (S11_Sv Sv2), FRS (S11_Sv Sv2c)),
       Scalar_Scalar_Scalar 1,
       G_h1_sv1_sv1c
      ;
      (FRS (S1_H H1), FRS (S11_Sv Sv3), FRS (S11_Sv Sv3c)),
       Scalar_Scalar_Scalar 1,
       G_h1_sv1_sv1c
      ;
      (FRS (S1_H H2), FRS (S11_Sv Sv1), FRS (S11_Sv Sv1c)),
       Scalar_Scalar_Scalar 1,
       G_h2_sv1_sv1c
      ;
      (FRS (S1_H H2), FRS (S11_Sv Sv2), FRS (S11_Sv Sv2c)),
       Scalar_Scalar_Scalar 1,
       G_h2_sv1_sv1c
      ;
      (FRS (S1_H H2), FRS (S11_Sv Sv3), FRS (S11_Sv Sv3c)),
       Scalar_Scalar_Scalar 1,
       G_h2_sv1_sv1c
      ;
      (FRS (S3_Hm Hm2), FRS (S13_U U11), FRS (S14_D D11c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_u11_d11c
      ;
      (FRS (S3_Hm Hm2), FRS (S13_U U11), FRS (S14_D D12c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_u11_d12c
      ;
      (FRS (S3_Hm Hm2), FRS (S13_U U12), FRS (S14_D D11c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_u12_d11c
      ;
      (FRS (S3_Hm Hm2), FRS (S13_U U12), FRS (S14_D D12c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_u12_d12c
      ;
      (FRS (S3_Hm Hm2), FRS (S13_U U21), FRS (S14_D D21c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_u21_d21c
      ;
      (FRS (S3_Hm Hm2), FRS (S13_U U21), FRS (S14_D D22c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_u21_d22c
      ;
      (FRS (S3_Hm Hm2), FRS (S13_U U22), FRS (S14_D D21c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_u22_d21c
      ;
      (FRS (S3_Hm Hm2), FRS (S13_U U22), FRS (S14_D D22c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_u22_d22c
      ;
      (FRS (S3_Hm Hm2), FRS (S13_U U31), FRS (S14_D D31c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_u31_d31c
      ;
      (FRS (S3_Hm Hm2), FRS (S13_U U31), FRS (S14_D D32c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_u31_d32c
      ;
      (FRS (S3_Hm Hm2), FRS (S13_U U32), FRS (S14_D D31c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_u32_d31c
      ;
      (FRS (S3_Hm Hm2), FRS (S13_U U32), FRS (S14_D D32c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_u32_d32c
      ;
      (FRS (S3_Hm Hm2), FRS (S11_Sv Sv1), FRS (S12_E E11c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_sv1_e11c
      ;
      (FRS (S3_Hm Hm2), FRS (S11_Sv Sv1), FRS (S12_E E12c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_sv1_e12c
      ;
      (FRS (S3_Hm Hm2), FRS (S11_Sv Sv2), FRS (S12_E E21c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_sv2_e21c
      ;
      (FRS (S3_Hm Hm2), FRS (S11_Sv Sv2), FRS (S12_E E22c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_sv2_e22c
      ;
      (FRS (S3_Hm Hm2), FRS (S11_Sv Sv3), FRS (S12_E E31c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_sv3_e31c
      ;
      (FRS (S3_Hm Hm2), FRS (S11_Sv Sv3), FRS (S12_E E32c)),
       Scalar_Scalar_Scalar 1,
       G_hm2_sv3_e32c
      ;
      (FRS (S14_D D11), FRS (S3_Hm Hm2c), FRS (S13_U U11c)),
       Scalar_Scalar_Scalar 1,
       G_d11_hm2c_u11c
      ;
      (FRS (S14_D D11), FRS (S3_Hm Hm2c), FRS (S13_U U12c)),
       Scalar_Scalar_Scalar 1,
       G_d11_hm2c_u12c
      ;
      (FRS (S14_D D12), FRS (S3_Hm Hm2c), FRS (S13_U U11c)),
       Scalar_Scalar_Scalar 1,
       G_d12_hm2c_u11c
      ;
      (FRS (S14_D D12), FRS (S3_Hm Hm2c), FRS (S13_U U12c)),
       Scalar_Scalar_Scalar 1,
       G_d12_hm2c_u12c
      ;
      (FRS (S14_D D21), FRS (S3_Hm Hm2c), FRS (S13_U U21c)),
       Scalar_Scalar_Scalar 1,
       G_d21_hm2c_u21c
      ;
      (FRS (S14_D D21), FRS (S3_Hm Hm2c), FRS (S13_U U22c)),
       Scalar_Scalar_Scalar 1,
       G_d21_hm2c_u22c
      ;
      (FRS (S14_D D22), FRS (S3_Hm Hm2c), FRS (S13_U U21c)),
       Scalar_Scalar_Scalar 1,
       G_d22_hm2c_u21c
      ;
      (FRS (S14_D D22), FRS (S3_Hm Hm2c), FRS (S13_U U22c)),
       Scalar_Scalar_Scalar 1,
       G_d22_hm2c_u22c
      ;
      (FRS (S14_D D31), FRS (S3_Hm Hm2c), FRS (S13_U U31c)),
       Scalar_Scalar_Scalar 1,
       G_d31_hm2c_u31c
      ;
      (FRS (S14_D D31), FRS (S3_Hm Hm2c), FRS (S13_U U32c)),
       Scalar_Scalar_Scalar 1,
       G_d31_hm2c_u32c
      ;
      (FRS (S14_D D32), FRS (S3_Hm Hm2c), FRS (S13_U U31c)),
       Scalar_Scalar_Scalar 1,
       G_d32_hm2c_u31c
      ;
      (FRS (S14_D D32), FRS (S3_Hm Hm2c), FRS (S13_U U32c)),
       Scalar_Scalar_Scalar 1,
       G_d32_hm2c_u32c
      ;
      (FRS (S12_E E11), FRS (S3_Hm Hm2c), FRS (S11_Sv Sv1c)),
       Scalar_Scalar_Scalar 1,
       G_e11_hm2c_sv1c
      ;
      (FRS (S12_E E12), FRS (S3_Hm Hm2c), FRS (S11_Sv Sv1c)),
       Scalar_Scalar_Scalar 1,
       G_e12_hm2c_sv1c
      ;
      (FRS (S12_E E21), FRS (S3_Hm Hm2c), FRS (S11_Sv Sv2c)),
       Scalar_Scalar_Scalar 1,
       G_e21_hm2c_sv2c
      ;
      (FRS (S12_E E22), FRS (S3_Hm Hm2c), FRS (S11_Sv Sv2c)),
       Scalar_Scalar_Scalar 1,
       G_e22_hm2c_sv2c
      ;
      (FRS (S12_E E31), FRS (S3_Hm Hm2c), FRS (S11_Sv Sv3c)),
       Scalar_Scalar_Scalar 1,
       G_e31_hm2c_sv3c
      ;
      (FRS (S12_E E32), FRS (S3_Hm Hm2c), FRS (S11_Sv Sv3c)),
       Scalar_Scalar_Scalar 1,
       G_e32_hm2c_sv3c
      ;
      (FRV (V2_Z Z_1), FRS (S2_Ah Ah2), FRS (S1_H H1)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_ah2_h1
      ;
      (FRV (V2_Z Z_1), FRS (S2_Ah Ah2), FRS (S1_H H2)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_ah2_h2
      ;
      (FRV (V3_Wm Wmc), FRS (S2_Ah Ah2), FRS (S3_Hm Hm2)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_ah2_hm2
      ;
      (FRV (V3_Wm Wm_1), FRS (S2_Ah Ah2), FRS (S3_Hm Hm2c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_ah2_hm2
      ;
      (FRV (V3_Wm Wmc), FRS (S1_H H1), FRS (S3_Hm Hm2)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_h1_hm2
      ;
      (FRV (V3_Wm Wmc), FRS (S1_H H2), FRS (S3_Hm Hm2)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_h2_hm2
      ;
      (FRV (V3_Wm Wm_1), FRS (S1_H H1), FRS (S3_Hm Hm2c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_h1_hm2c
      ;
      (FRV (V3_Wm Wm_1), FRS (S1_H H2), FRS (S3_Hm Hm2c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_h2_hm2c
      ;
      (FRV (V1_A A_1), FRS (S3_Hm Hm2), FRS (S3_Hm Hm2c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_hm2_hm2c
      ;
      (FRV (V2_Z Z_1), FRS (S3_Hm Hm2), FRS (S3_Hm Hm2c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_hm2_hm2c
      ;
      (FRV (V1_A A_1), FRS (S14_D D11), FRS (S14_D D11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_d11_d11c
      ;
      (FRV (V1_A A_1), FRS (S14_D D11), FRS (S14_D D12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_d11_d12c
      ;
      (FRV (V1_A A_1), FRS (S14_D D12), FRS (S14_D D11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_d12_d11c
      ;
      (FRV (V1_A A_1), FRS (S14_D D12), FRS (S14_D D12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_d12_d12c
      ;
      (FRV (V1_A A_1), FRS (S14_D D21), FRS (S14_D D21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_d21_d21c
      ;
      (FRV (V1_A A_1), FRS (S14_D D21), FRS (S14_D D22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_d21_d22c
      ;
      (FRV (V1_A A_1), FRS (S14_D D22), FRS (S14_D D21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_d22_d21c
      ;
      (FRV (V1_A A_1), FRS (S14_D D22), FRS (S14_D D22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_d22_d22c
      ;
      (FRV (V1_A A_1), FRS (S14_D D31), FRS (S14_D D31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_d31_d31c
      ;
      (FRV (V1_A A_1), FRS (S14_D D31), FRS (S14_D D32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_d31_d32c
      ;
      (FRV (V1_A A_1), FRS (S14_D D32), FRS (S14_D D31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_d32_d31c
      ;
      (FRV (V1_A A_1), FRS (S14_D D32), FRS (S14_D D32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_d32_d32c
      ;
      (FRV (V2_Z Z_1), FRS (S14_D D11), FRS (S14_D D11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_d11_d11c
      ;
      (FRV (V2_Z Z_1), FRS (S14_D D11), FRS (S14_D D12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_d11_d12c
      ;
      (FRV (V2_Z Z_1), FRS (S14_D D12), FRS (S14_D D11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_d12_d11c
      ;
      (FRV (V2_Z Z_1), FRS (S14_D D12), FRS (S14_D D12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_d12_d12c
      ;
      (FRV (V2_Z Z_1), FRS (S14_D D21), FRS (S14_D D21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_d21_d21c
      ;
      (FRV (V2_Z Z_1), FRS (S14_D D21), FRS (S14_D D22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_d21_d22c
      ;
      (FRV (V2_Z Z_1), FRS (S14_D D22), FRS (S14_D D21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_d22_d21c
      ;
      (FRV (V2_Z Z_1), FRS (S14_D D22), FRS (S14_D D22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_d22_d22c
      ;
      (FRV (V2_Z Z_1), FRS (S14_D D31), FRS (S14_D D31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_d31_d31c
      ;
      (FRV (V2_Z Z_1), FRS (S14_D D31), FRS (S14_D D32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_d31_d32c
      ;
      (FRV (V2_Z Z_1), FRS (S14_D D32), FRS (S14_D D31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_d32_d31c
      ;
      (FRV (V2_Z Z_1), FRS (S14_D D32), FRS (S14_D D32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_d32_d32c
      ;
      (FRV (V3_Wm Wmc), FRS (S14_D D11), FRS (S13_U U11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_d11_u11c
      ;
      (FRV (V3_Wm Wmc), FRS (S14_D D11), FRS (S13_U U12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_d11_u12c
      ;
      (FRV (V3_Wm Wmc), FRS (S14_D D12), FRS (S13_U U11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_d12_u11c
      ;
      (FRV (V3_Wm Wmc), FRS (S14_D D12), FRS (S13_U U12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_d12_u12c
      ;
      (FRV (V3_Wm Wmc), FRS (S14_D D21), FRS (S13_U U21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_d21_u21c
      ;
      (FRV (V3_Wm Wmc), FRS (S14_D D21), FRS (S13_U U22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_d21_u22c
      ;
      (FRV (V3_Wm Wmc), FRS (S14_D D22), FRS (S13_U U21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_d22_u21c
      ;
      (FRV (V3_Wm Wmc), FRS (S14_D D22), FRS (S13_U U22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_d22_u22c
      ;
      (FRV (V3_Wm Wmc), FRS (S14_D D31), FRS (S13_U U31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_d31_u31c
      ;
      (FRV (V3_Wm Wmc), FRS (S14_D D31), FRS (S13_U U32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_d31_u32c
      ;
      (FRV (V3_Wm Wmc), FRS (S14_D D32), FRS (S13_U U31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_d32_u31c
      ;
      (FRV (V3_Wm Wmc), FRS (S14_D D32), FRS (S13_U U32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_d32_u32c
      ;
      (FRV (V1_A A_1), FRS (S12_E E11), FRS (S12_E E11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_e11_e11c
      ;
      (FRV (V1_A A_1), FRS (S12_E E11), FRS (S12_E E12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_e11_e12c
      ;
      (FRV (V1_A A_1), FRS (S12_E E12), FRS (S12_E E11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_e12_e11c
      ;
      (FRV (V1_A A_1), FRS (S12_E E12), FRS (S12_E E12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_e12_e12c
      ;
      (FRV (V1_A A_1), FRS (S12_E E21), FRS (S12_E E21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_e21_e21c
      ;
      (FRV (V1_A A_1), FRS (S12_E E21), FRS (S12_E E22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_e21_e22c
      ;
      (FRV (V1_A A_1), FRS (S12_E E22), FRS (S12_E E21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_e22_e21c
      ;
      (FRV (V1_A A_1), FRS (S12_E E22), FRS (S12_E E22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_e22_e22c
      ;
      (FRV (V1_A A_1), FRS (S12_E E31), FRS (S12_E E31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_e31_e31c
      ;
      (FRV (V1_A A_1), FRS (S12_E E31), FRS (S12_E E32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_e31_e32c
      ;
      (FRV (V1_A A_1), FRS (S12_E E32), FRS (S12_E E31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_e32_e31c
      ;
      (FRV (V1_A A_1), FRS (S12_E E32), FRS (S12_E E32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_e32_e32c
      ;
      (FRV (V2_Z Z_1), FRS (S12_E E11), FRS (S12_E E11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_e11_e11c
      ;
      (FRV (V2_Z Z_1), FRS (S12_E E11), FRS (S12_E E12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_e11_e12c
      ;
      (FRV (V2_Z Z_1), FRS (S12_E E12), FRS (S12_E E11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_e12_e11c
      ;
      (FRV (V2_Z Z_1), FRS (S12_E E12), FRS (S12_E E12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_e12_e12c
      ;
      (FRV (V2_Z Z_1), FRS (S12_E E21), FRS (S12_E E21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_e21_e21c
      ;
      (FRV (V2_Z Z_1), FRS (S12_E E21), FRS (S12_E E22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_e21_e22c
      ;
      (FRV (V2_Z Z_1), FRS (S12_E E22), FRS (S12_E E21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_e22_e21c
      ;
      (FRV (V2_Z Z_1), FRS (S12_E E22), FRS (S12_E E22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_e22_e22c
      ;
      (FRV (V2_Z Z_1), FRS (S12_E E31), FRS (S12_E E31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_e31_e31c
      ;
      (FRV (V2_Z Z_1), FRS (S12_E E31), FRS (S12_E E32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_e31_e32c
      ;
      (FRV (V2_Z Z_1), FRS (S12_E E32), FRS (S12_E E31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_e32_e31c
      ;
      (FRV (V2_Z Z_1), FRS (S12_E E32), FRS (S12_E E32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_e32_e32c
      ;
      (FRV (V3_Wm Wmc), FRS (S12_E E11), FRS (S11_Sv Sv1c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_e11_sv1c
      ;
      (FRV (V3_Wm Wmc), FRS (S12_E E12), FRS (S11_Sv Sv1c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_e12_sv1c
      ;
      (FRV (V3_Wm Wmc), FRS (S12_E E21), FRS (S11_Sv Sv2c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_e21_sv2c
      ;
      (FRV (V3_Wm Wmc), FRS (S12_E E22), FRS (S11_Sv Sv2c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_e22_sv2c
      ;
      (FRV (V3_Wm Wmc), FRS (S12_E E31), FRS (S11_Sv Sv3c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_e31_sv3c
      ;
      (FRV (V3_Wm Wmc), FRS (S12_E E32), FRS (S11_Sv Sv3c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wmc_e32_sv3c
      ;
      (FRV (V1_A A_1), FRS (S13_U U11), FRS (S13_U U11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_u11_u11c
      ;
      (FRV (V1_A A_1), FRS (S13_U U11), FRS (S13_U U12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_u11_u12c
      ;
      (FRV (V1_A A_1), FRS (S13_U U12), FRS (S13_U U11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_u12_u11c
      ;
      (FRV (V1_A A_1), FRS (S13_U U12), FRS (S13_U U12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_u12_u12c
      ;
      (FRV (V1_A A_1), FRS (S13_U U21), FRS (S13_U U21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_u21_u21c
      ;
      (FRV (V1_A A_1), FRS (S13_U U21), FRS (S13_U U22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_u21_u22c
      ;
      (FRV (V1_A A_1), FRS (S13_U U22), FRS (S13_U U21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_u22_u21c
      ;
      (FRV (V1_A A_1), FRS (S13_U U22), FRS (S13_U U22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_u22_u22c
      ;
      (FRV (V1_A A_1), FRS (S13_U U31), FRS (S13_U U31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_u31_u31c
      ;
      (FRV (V1_A A_1), FRS (S13_U U31), FRS (S13_U U32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_u31_u32c
      ;
      (FRV (V1_A A_1), FRS (S13_U U32), FRS (S13_U U31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_u32_u31c
      ;
      (FRV (V1_A A_1), FRS (S13_U U32), FRS (S13_U U32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_a_1_u32_u32c
      ;
      (FRV (V3_Wm Wm_1), FRS (S13_U U11), FRS (S14_D D11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_u11_d11c
      ;
      (FRV (V3_Wm Wm_1), FRS (S13_U U11), FRS (S14_D D12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_u11_d12c
      ;
      (FRV (V3_Wm Wm_1), FRS (S13_U U12), FRS (S14_D D11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_u12_d11c
      ;
      (FRV (V3_Wm Wm_1), FRS (S13_U U12), FRS (S14_D D12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_u12_d12c
      ;
      (FRV (V3_Wm Wm_1), FRS (S13_U U21), FRS (S14_D D21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_u21_d21c
      ;
      (FRV (V3_Wm Wm_1), FRS (S13_U U21), FRS (S14_D D22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_u21_d22c
      ;
      (FRV (V3_Wm Wm_1), FRS (S13_U U22), FRS (S14_D D21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_u22_d21c
      ;
      (FRV (V3_Wm Wm_1), FRS (S13_U U22), FRS (S14_D D22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_u22_d22c
      ;
      (FRV (V3_Wm Wm_1), FRS (S13_U U31), FRS (S14_D D31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_u31_d31c
      ;
      (FRV (V3_Wm Wm_1), FRS (S13_U U31), FRS (S14_D D32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_u31_d32c
      ;
      (FRV (V3_Wm Wm_1), FRS (S13_U U32), FRS (S14_D D31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_u32_d31c
      ;
      (FRV (V3_Wm Wm_1), FRS (S13_U U32), FRS (S14_D D32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_u32_d32c
      ;
      (FRV (V2_Z Z_1), FRS (S13_U U11), FRS (S13_U U11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_u11_u11c
      ;
      (FRV (V2_Z Z_1), FRS (S13_U U11), FRS (S13_U U12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_u11_u12c
      ;
      (FRV (V2_Z Z_1), FRS (S13_U U12), FRS (S13_U U11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_u12_u11c
      ;
      (FRV (V2_Z Z_1), FRS (S13_U U12), FRS (S13_U U12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_u12_u12c
      ;
      (FRV (V2_Z Z_1), FRS (S13_U U21), FRS (S13_U U21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_u21_u21c
      ;
      (FRV (V2_Z Z_1), FRS (S13_U U21), FRS (S13_U U22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_u21_u22c
      ;
      (FRV (V2_Z Z_1), FRS (S13_U U22), FRS (S13_U U21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_u22_u21c
      ;
      (FRV (V2_Z Z_1), FRS (S13_U U22), FRS (S13_U U22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_u22_u22c
      ;
      (FRV (V2_Z Z_1), FRS (S13_U U31), FRS (S13_U U31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_u31_u31c
      ;
      (FRV (V2_Z Z_1), FRS (S13_U U31), FRS (S13_U U32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_u31_u32c
      ;
      (FRV (V2_Z Z_1), FRS (S13_U U32), FRS (S13_U U31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_u32_u31c
      ;
      (FRV (V2_Z Z_1), FRS (S13_U U32), FRS (S13_U U32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_u32_u32c
      ;
      (FRV (V3_Wm Wm_1), FRS (S11_Sv Sv1), FRS (S12_E E11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_sv1_e11c
      ;
      (FRV (V3_Wm Wm_1), FRS (S11_Sv Sv1), FRS (S12_E E12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_sv1_e12c
      ;
      (FRV (V3_Wm Wm_1), FRS (S11_Sv Sv2), FRS (S12_E E21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_sv2_e21c
      ;
      (FRV (V3_Wm Wm_1), FRS (S11_Sv Sv2), FRS (S12_E E22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_sv2_e22c
      ;
      (FRV (V3_Wm Wm_1), FRS (S11_Sv Sv3), FRS (S12_E E31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_sv3_e31c
      ;
      (FRV (V3_Wm Wm_1), FRS (S11_Sv Sv3), FRS (S12_E E32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_wm_1_sv3_e32c
      ;
      (FRV (V2_Z Z_1), FRS (S11_Sv Sv1), FRS (S11_Sv Sv1c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_sv1_sv1c
      ;
      (FRV (V2_Z Z_1), FRS (S11_Sv Sv2), FRS (S11_Sv Sv2c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_sv1_sv1c
      ;
      (FRV (V2_Z Z_1), FRS (S11_Sv Sv3), FRS (S11_Sv Sv3c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_z_1_sv1_sv1c
      ;
      (FRS (S1_H H1), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar_Vector_Vector 1,
       G_h1_wmc_wm_1
      ;
      (FRS (S1_H H2), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar_Vector_Vector 1,
       G_h2_wmc_wm_1
      ;
      (FRS (S1_H H1), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar_Vector_Vector 1,
       G_h1_z_1_z_1
      ;
      (FRS (S1_H H2), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar_Vector_Vector 1,
       G_h2_z_1_z_1
      ;
      (FRS (S3_Hm Hm2), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar_Vector_Vector 1,
       G_hm2_wmc_a_1
      ;
      (FRS (S3_Hm Hm2), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar_Vector_Vector 1,
       G_hm2_wmc_z_1
      ;
      (FRS (S3_Hm Hm2c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar_Vector_Vector 1,
       G_hm2_wmc_a_1
      ;
      (FRS (S3_Hm Hm2c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar_Vector_Vector 1,
       G_hm2_wmc_z_1
      ;
      (FRF (F12_C C1bar), FRS (S2_Ah Ah2), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_ah2_c1
      ;
      (FRF (F12_C C1bar), FRS (S2_Ah Ah2), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_ah2_c2
      ;
      (FRF (F12_C C2bar), FRS (S2_Ah Ah2), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_ah2_c1
      ;
      (FRF (F12_C C2bar), FRS (S2_Ah Ah2), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_ah2_c2
      ;
      (FRF (F11_N N1), FRS (S2_Ah Ah2), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_ah2_n1
      ;
      (FRF (F11_N N1), FRS (S2_Ah Ah2), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_ah2_n2
      ;
      (FRF (F11_N N1), FRS (S2_Ah Ah2), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_ah2_n3
      ;
      (FRF (F11_N N1), FRS (S2_Ah Ah2), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_ah2_n4
      ;
      (FRF (F11_N N2), FRS (S2_Ah Ah2), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_ah2_n2
      ;
      (FRF (F11_N N2), FRS (S2_Ah Ah2), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_ah2_n3
      ;
      (FRF (F11_N N2), FRS (S2_Ah Ah2), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_ah2_n4
      ;
      (FRF (F11_N N3), FRS (S2_Ah Ah2), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_ah2_n3
      ;
      (FRF (F11_N N3), FRS (S2_Ah Ah2), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_ah2_n4
      ;
      (FRF (F11_N N4), FRS (S2_Ah Ah2), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_ah2_n4
      ;
      (FRF (F4_Fd Fd1bar), FRS (S2_Ah Ah2), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_ah2_fd1
      ;
      (FRF (F4_Fd Fd2bar), FRS (S2_Ah Ah2), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_ah2_fd2
      ;
      (FRF (F4_Fd Fd3bar), FRS (S2_Ah Ah2), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_ah2_fd3
      ;
      (FRF (F2_Fe Fe1bar), FRS (S2_Ah Ah2), FRF (F2_Fe Fe1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe1bar_ah2_fe1
      ;
      (FRF (F2_Fe Fe2bar), FRS (S2_Ah Ah2), FRF (F2_Fe Fe2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe2bar_ah2_fe2
      ;
      (FRF (F2_Fe Fe3bar), FRS (S2_Ah Ah2), FRF (F2_Fe Fe3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe3bar_ah2_fe3
      ;
      (FRF (F3_Fu Fu1bar), FRS (S2_Ah Ah2), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu1bar_ah2_fu1
      ;
      (FRF (F3_Fu Fu2bar), FRS (S2_Ah Ah2), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu2bar_ah2_fu2
      ;
      (FRF (F3_Fu Fu3bar), FRS (S2_Ah Ah2), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu3bar_ah2_fu3
      ;
      (FRF (F11_N N1), FRS (S3_Hm Hm2c), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_hm2c_c1
      ;
      (FRF (F11_N N1), FRS (S3_Hm Hm2c), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_hm2c_c2
      ;
      (FRF (F11_N N2), FRS (S3_Hm Hm2c), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_hm2c_c1
      ;
      (FRF (F11_N N2), FRS (S3_Hm Hm2c), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_hm2c_c2
      ;
      (FRF (F11_N N3), FRS (S3_Hm Hm2c), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_hm2c_c1
      ;
      (FRF (F11_N N3), FRS (S3_Hm Hm2c), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_hm2c_c2
      ;
      (FRF (F11_N N4), FRS (S3_Hm Hm2c), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_hm2c_c1
      ;
      (FRF (F11_N N4), FRS (S3_Hm Hm2c), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_hm2c_c2
      ;
      (FRF (F12_C C1), FRS (S14_D D11c), FRF (F3_Fu Fu1)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SLR, Coupling.Psi),
       G_c1_d11c_fu1
      ;
      (FRF (F12_C C1), FRS (S14_D D12c), FRF (F3_Fu Fu1)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SLR, Coupling.Psi),
       G_c1_d12c_fu1
      ;
      (FRF (F12_C C1), FRS (S14_D D21c), FRF (F3_Fu Fu2)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SLR, Coupling.Psi),
       G_c1_d21c_fu2
      ;
      (FRF (F12_C C1), FRS (S14_D D22c), FRF (F3_Fu Fu2)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SLR, Coupling.Psi),
       G_c1_d22c_fu2
      ;
      (FRF (F12_C C1), FRS (S14_D D31c), FRF (F3_Fu Fu3)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SLR, Coupling.Psi),
       G_c1_d31c_fu3
      ;
      (FRF (F12_C C1), FRS (S14_D D32c), FRF (F3_Fu Fu3)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SLR, Coupling.Psi),
       G_c1_d32c_fu3
      ;
      (FRF (F12_C C2), FRS (S14_D D11c), FRF (F3_Fu Fu1)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SLR, Coupling.Psi),
       G_c2_d11c_fu1
      ;
      (FRF (F12_C C2), FRS (S14_D D12c), FRF (F3_Fu Fu1)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SLR, Coupling.Psi),
       G_c2_d12c_fu1
      ;
      (FRF (F12_C C2), FRS (S14_D D21c), FRF (F3_Fu Fu2)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SLR, Coupling.Psi),
       G_c2_d21c_fu2
      ;
      (FRF (F12_C C2), FRS (S14_D D22c), FRF (F3_Fu Fu2)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SLR, Coupling.Psi),
       G_c2_d22c_fu2
      ;
      (FRF (F12_C C2), FRS (S14_D D31c), FRF (F3_Fu Fu3)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SLR, Coupling.Psi),
       G_c2_d31c_fu3
      ;
      (FRF (F12_C C2), FRS (S14_D D32c), FRF (F3_Fu Fu3)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SLR, Coupling.Psi),
       G_c2_d32c_fu3
      ;
      (FRF (F12_C C1), FRS (S12_E E11c), FRF (F1_Nu Nu1)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SL, Coupling.Psi),
       G_c1_e11c_nu1
      ;
      (FRF (F12_C C1), FRS (S12_E E12c), FRF (F1_Nu Nu1)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SL, Coupling.Psi),
       G_c1_e12c_nu1
      ;
      (FRF (F12_C C1), FRS (S12_E E21c), FRF (F1_Nu Nu2)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SL, Coupling.Psi),
       G_c1_e21c_nu2
      ;
      (FRF (F12_C C1), FRS (S12_E E22c), FRF (F1_Nu Nu2)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SL, Coupling.Psi),
       G_c1_e22c_nu2
      ;
      (FRF (F12_C C1), FRS (S12_E E31c), FRF (F1_Nu Nu3)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SL, Coupling.Psi),
       G_c1_e31c_nu3
      ;
      (FRF (F12_C C1), FRS (S12_E E32c), FRF (F1_Nu Nu3)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SL, Coupling.Psi),
       G_c1_e32c_nu3
      ;
      (FRF (F12_C C2), FRS (S12_E E11c), FRF (F1_Nu Nu1)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SL, Coupling.Psi),
       G_c2_e11c_nu1
      ;
      (FRF (F12_C C2), FRS (S12_E E12c), FRF (F1_Nu Nu1)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SL, Coupling.Psi),
       G_c2_e12c_nu1
      ;
      (FRF (F12_C C2), FRS (S12_E E21c), FRF (F1_Nu Nu2)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SL, Coupling.Psi),
       G_c2_e21c_nu2
      ;
      (FRF (F12_C C2), FRS (S12_E E22c), FRF (F1_Nu Nu2)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SL, Coupling.Psi),
       G_c2_e22c_nu2
      ;
      (FRF (F12_C C2), FRS (S12_E E31c), FRF (F1_Nu Nu3)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SL, Coupling.Psi),
       G_c2_e31c_nu3
      ;
      (FRF (F12_C C2), FRS (S12_E E32c), FRF (F1_Nu Nu3)),
       Coupling.PBP (1, Coupling.Psi, Coupling.SL, Coupling.Psi),
       G_c2_e32c_nu3
      ;
      (FRF (F12_C C1bar), FRS (S1_H H1), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_h1_c1
      ;
      (FRF (F12_C C1bar), FRS (S1_H H2), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_h2_c1
      ;
      (FRF (F12_C C1bar), FRS (S1_H H1), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_h1_c2
      ;
      (FRF (F12_C C1bar), FRS (S1_H H2), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_h2_c2
      ;
      (FRF (F12_C C2bar), FRS (S1_H H1), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_h1_c1
      ;
      (FRF (F12_C C2bar), FRS (S1_H H2), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_h2_c1
      ;
      (FRF (F12_C C2bar), FRS (S1_H H1), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_h1_c2
      ;
      (FRF (F12_C C2bar), FRS (S1_H H2), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_h2_c2
      ;
      (FRF (F4_Fd Fd1bar), FRS (S13_U U11), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_u11_c1
      ;
      (FRF (F4_Fd Fd1bar), FRS (S13_U U12), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_u12_c1
      ;
      (FRF (F4_Fd Fd1bar), FRS (S13_U U11), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_u11_c2
      ;
      (FRF (F4_Fd Fd1bar), FRS (S13_U U12), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_u12_c2
      ;
      (FRF (F4_Fd Fd2bar), FRS (S13_U U21), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_u21_c1
      ;
      (FRF (F4_Fd Fd2bar), FRS (S13_U U22), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_u22_c1
      ;
      (FRF (F4_Fd Fd2bar), FRS (S13_U U21), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_u21_c2
      ;
      (FRF (F4_Fd Fd2bar), FRS (S13_U U22), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_u22_c2
      ;
      (FRF (F4_Fd Fd3bar), FRS (S13_U U31), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_u31_c1
      ;
      (FRF (F4_Fd Fd3bar), FRS (S13_U U32), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_u32_c1
      ;
      (FRF (F4_Fd Fd3bar), FRS (S13_U U31), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_u31_c2
      ;
      (FRF (F4_Fd Fd3bar), FRS (S13_U U32), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_u32_c2
      ;
      (FRF (F2_Fe Fe1bar), FRS (S11_Sv Sv1), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe1bar_sv1_c1
      ;
      (FRF (F2_Fe Fe1bar), FRS (S11_Sv Sv1), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe1bar_sv1_c2
      ;
      (FRF (F2_Fe Fe2bar), FRS (S11_Sv Sv2), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe2bar_sv2_c1
      ;
      (FRF (F2_Fe Fe2bar), FRS (S11_Sv Sv2), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe2bar_sv2_c2
      ;
      (FRF (F2_Fe Fe3bar), FRS (S11_Sv Sv3), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe3bar_sv3_c1
      ;
      (FRF (F2_Fe Fe3bar), FRS (S11_Sv Sv3), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe3bar_sv3_c2
      ;
      (FRF (F11_N N1), FRS (S1_H H1), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_h1_n1
      ;
      (FRF (F11_N N1), FRS (S1_H H2), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_h2_n1
      ;
      (FRF (F11_N N1), FRS (S1_H H1), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_h1_n2
      ;
      (FRF (F11_N N1), FRS (S1_H H2), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_h2_n2
      ;
      (FRF (F11_N N1), FRS (S1_H H1), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_h1_n3
      ;
      (FRF (F11_N N1), FRS (S1_H H2), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_h2_n3
      ;
      (FRF (F11_N N1), FRS (S1_H H1), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_h1_n4
      ;
      (FRF (F11_N N1), FRS (S1_H H2), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_h2_n4
      ;
      (FRF (F11_N N2), FRS (S1_H H1), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_h1_n2
      ;
      (FRF (F11_N N2), FRS (S1_H H2), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_h2_n2
      ;
      (FRF (F11_N N2), FRS (S1_H H1), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_h1_n3
      ;
      (FRF (F11_N N2), FRS (S1_H H2), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_h2_n3
      ;
      (FRF (F11_N N2), FRS (S1_H H1), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_h1_n4
      ;
      (FRF (F11_N N2), FRS (S1_H H2), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_h2_n4
      ;
      (FRF (F11_N N3), FRS (S1_H H1), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_h1_n3
      ;
      (FRF (F11_N N3), FRS (S1_H H2), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_h2_n3
      ;
      (FRF (F11_N N3), FRS (S1_H H1), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_h1_n4
      ;
      (FRF (F11_N N3), FRS (S1_H H2), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_h2_n4
      ;
      (FRF (F11_N N4), FRS (S1_H H1), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_h1_n4
      ;
      (FRF (F11_N N4), FRS (S1_H H2), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_h2_n4
      ;
      (FRF (F11_N N1), FRS (S14_D D11c), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_d11c_fd1
      ;
      (FRF (F11_N N1), FRS (S14_D D12c), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_d12c_fd1
      ;
      (FRF (F11_N N1), FRS (S14_D D21c), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_d21c_fd2
      ;
      (FRF (F11_N N1), FRS (S14_D D22c), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_d22c_fd2
      ;
      (FRF (F11_N N1), FRS (S14_D D31c), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_d31c_fd3
      ;
      (FRF (F11_N N1), FRS (S14_D D32c), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_d32c_fd3
      ;
      (FRF (F11_N N2), FRS (S14_D D11c), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_d11c_fd1
      ;
      (FRF (F11_N N2), FRS (S14_D D12c), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_d12c_fd1
      ;
      (FRF (F11_N N2), FRS (S14_D D21c), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_d21c_fd2
      ;
      (FRF (F11_N N2), FRS (S14_D D22c), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_d22c_fd2
      ;
      (FRF (F11_N N2), FRS (S14_D D31c), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_d31c_fd3
      ;
      (FRF (F11_N N2), FRS (S14_D D32c), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_d32c_fd3
      ;
      (FRF (F11_N N3), FRS (S14_D D11c), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_d11c_fd1
      ;
      (FRF (F11_N N3), FRS (S14_D D12c), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_d12c_fd1
      ;
      (FRF (F11_N N3), FRS (S14_D D21c), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_d21c_fd2
      ;
      (FRF (F11_N N3), FRS (S14_D D22c), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_d22c_fd2
      ;
      (FRF (F11_N N3), FRS (S14_D D31c), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_d31c_fd3
      ;
      (FRF (F11_N N3), FRS (S14_D D32c), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_d32c_fd3
      ;
      (FRF (F11_N N4), FRS (S14_D D11c), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_d11c_fd1
      ;
      (FRF (F11_N N4), FRS (S14_D D12c), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_d12c_fd1
      ;
      (FRF (F11_N N4), FRS (S14_D D21c), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_d21c_fd2
      ;
      (FRF (F11_N N4), FRS (S14_D D22c), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_d22c_fd2
      ;
      (FRF (F11_N N4), FRS (S14_D D31c), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_d31c_fd3
      ;
      (FRF (F11_N N4), FRS (S14_D D32c), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_d32c_fd3
      ;
      (FRF (F11_N N1), FRS (S12_E E11c), FRF (F2_Fe Fe1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_e11c_fe1
      ;
      (FRF (F11_N N1), FRS (S12_E E12c), FRF (F2_Fe Fe1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_e12c_fe1
      ;
      (FRF (F11_N N1), FRS (S12_E E21c), FRF (F2_Fe Fe2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_e21c_fe2
      ;
      (FRF (F11_N N1), FRS (S12_E E22c), FRF (F2_Fe Fe2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_e22c_fe2
      ;
      (FRF (F11_N N1), FRS (S12_E E31c), FRF (F2_Fe Fe3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_e31c_fe3
      ;
      (FRF (F11_N N1), FRS (S12_E E32c), FRF (F2_Fe Fe3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_e32c_fe3
      ;
      (FRF (F11_N N2), FRS (S12_E E11c), FRF (F2_Fe Fe1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_e11c_fe1
      ;
      (FRF (F11_N N2), FRS (S12_E E12c), FRF (F2_Fe Fe1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_e12c_fe1
      ;
      (FRF (F11_N N2), FRS (S12_E E21c), FRF (F2_Fe Fe2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_e21c_fe2
      ;
      (FRF (F11_N N2), FRS (S12_E E22c), FRF (F2_Fe Fe2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_e22c_fe2
      ;
      (FRF (F11_N N2), FRS (S12_E E31c), FRF (F2_Fe Fe3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_e31c_fe3
      ;
      (FRF (F11_N N2), FRS (S12_E E32c), FRF (F2_Fe Fe3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_e32c_fe3
      ;
      (FRF (F11_N N3), FRS (S12_E E11c), FRF (F2_Fe Fe1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_e11c_fe1
      ;
      (FRF (F11_N N3), FRS (S12_E E12c), FRF (F2_Fe Fe1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_e12c_fe1
      ;
      (FRF (F11_N N3), FRS (S12_E E21c), FRF (F2_Fe Fe2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_e21c_fe2
      ;
      (FRF (F11_N N3), FRS (S12_E E22c), FRF (F2_Fe Fe2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_e22c_fe2
      ;
      (FRF (F11_N N3), FRS (S12_E E31c), FRF (F2_Fe Fe3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_e31c_fe3
      ;
      (FRF (F11_N N3), FRS (S12_E E32c), FRF (F2_Fe Fe3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_e32c_fe3
      ;
      (FRF (F11_N N4), FRS (S12_E E11c), FRF (F2_Fe Fe1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_e11c_fe1
      ;
      (FRF (F11_N N4), FRS (S12_E E12c), FRF (F2_Fe Fe1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_e12c_fe1
      ;
      (FRF (F11_N N4), FRS (S12_E E21c), FRF (F2_Fe Fe2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_e21c_fe2
      ;
      (FRF (F11_N N4), FRS (S12_E E22c), FRF (F2_Fe Fe2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_e22c_fe2
      ;
      (FRF (F11_N N4), FRS (S12_E E31c), FRF (F2_Fe Fe3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_e31c_fe3
      ;
      (FRF (F11_N N4), FRS (S12_E E32c), FRF (F2_Fe Fe3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_e32c_fe3
      ;
      (FRF (F11_N N1), FRS (S13_U U11c), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_u11c_fu1
      ;
      (FRF (F11_N N1), FRS (S13_U U12c), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_u12c_fu1
      ;
      (FRF (F11_N N1), FRS (S13_U U21c), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_u21c_fu2
      ;
      (FRF (F11_N N1), FRS (S13_U U22c), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_u22c_fu2
      ;
      (FRF (F11_N N1), FRS (S13_U U31c), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_u31c_fu3
      ;
      (FRF (F11_N N1), FRS (S13_U U32c), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n1_u32c_fu3
      ;
      (FRF (F11_N N2), FRS (S13_U U11c), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_u11c_fu1
      ;
      (FRF (F11_N N2), FRS (S13_U U12c), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_u12c_fu1
      ;
      (FRF (F11_N N2), FRS (S13_U U21c), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_u21c_fu2
      ;
      (FRF (F11_N N2), FRS (S13_U U22c), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_u22c_fu2
      ;
      (FRF (F11_N N2), FRS (S13_U U31c), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_u31c_fu3
      ;
      (FRF (F11_N N2), FRS (S13_U U32c), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n2_u32c_fu3
      ;
      (FRF (F11_N N3), FRS (S13_U U11c), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_u11c_fu1
      ;
      (FRF (F11_N N3), FRS (S13_U U12c), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_u12c_fu1
      ;
      (FRF (F11_N N3), FRS (S13_U U21c), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_u21c_fu2
      ;
      (FRF (F11_N N3), FRS (S13_U U22c), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_u22c_fu2
      ;
      (FRF (F11_N N3), FRS (S13_U U31c), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_u31c_fu3
      ;
      (FRF (F11_N N3), FRS (S13_U U32c), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n3_u32c_fu3
      ;
      (FRF (F11_N N4), FRS (S13_U U11c), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_u11c_fu1
      ;
      (FRF (F11_N N4), FRS (S13_U U12c), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_u12c_fu1
      ;
      (FRF (F11_N N4), FRS (S13_U U21c), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_u21c_fu2
      ;
      (FRF (F11_N N4), FRS (S13_U U22c), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_u22c_fu2
      ;
      (FRF (F11_N N4), FRS (S13_U U31c), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_u31c_fu3
      ;
      (FRF (F11_N N4), FRS (S13_U U32c), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_n4_u32c_fu3
      ;
      (FRF (F11_N N1), FRS (S11_Sv Sv1c), FRF (F1_Nu Nu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SL, Coupling.Psi),
       G_n1_sv1c_nu1
      ;
      (FRF (F11_N N1), FRS (S11_Sv Sv2c), FRF (F1_Nu Nu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SL, Coupling.Psi),
       G_n1_sv1c_nu1
      ;
      (FRF (F11_N N1), FRS (S11_Sv Sv3c), FRF (F1_Nu Nu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SL, Coupling.Psi),
       G_n1_sv1c_nu1
      ;
      (FRF (F11_N N2), FRS (S11_Sv Sv1c), FRF (F1_Nu Nu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SL, Coupling.Psi),
       G_n2_sv1c_nu1
      ;
      (FRF (F11_N N2), FRS (S11_Sv Sv2c), FRF (F1_Nu Nu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SL, Coupling.Psi),
       G_n2_sv1c_nu1
      ;
      (FRF (F11_N N2), FRS (S11_Sv Sv3c), FRF (F1_Nu Nu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SL, Coupling.Psi),
       G_n2_sv1c_nu1
      ;
      (FRF (F11_N N3), FRS (S11_Sv Sv1c), FRF (F1_Nu Nu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SL, Coupling.Psi),
       G_n3_sv1c_nu1
      ;
      (FRF (F11_N N3), FRS (S11_Sv Sv2c), FRF (F1_Nu Nu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SL, Coupling.Psi),
       G_n3_sv1c_nu1
      ;
      (FRF (F11_N N3), FRS (S11_Sv Sv3c), FRF (F1_Nu Nu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SL, Coupling.Psi),
       G_n3_sv1c_nu1
      ;
      (FRF (F11_N N4), FRS (S11_Sv Sv1c), FRF (F1_Nu Nu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SL, Coupling.Psi),
       G_n4_sv1c_nu1
      ;
      (FRF (F11_N N4), FRS (S11_Sv Sv2c), FRF (F1_Nu Nu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SL, Coupling.Psi),
       G_n4_sv1c_nu1
      ;
      (FRF (F11_N N4), FRS (S11_Sv Sv3c), FRF (F1_Nu Nu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SL, Coupling.Psi),
       G_n4_sv1c_nu1
      ;
      (FRF (F12_C C1bar), FRS (S3_Hm Hm2), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_hm2_n1
      ;
      (FRF (F12_C C1bar), FRS (S3_Hm Hm2), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_hm2_n2
      ;
      (FRF (F12_C C1bar), FRS (S3_Hm Hm2), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_hm2_n3
      ;
      (FRF (F12_C C1bar), FRS (S3_Hm Hm2), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_hm2_n4
      ;
      (FRF (F12_C C2bar), FRS (S3_Hm Hm2), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_hm2_n1
      ;
      (FRF (F12_C C2bar), FRS (S3_Hm Hm2), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_hm2_n2
      ;
      (FRF (F12_C C2bar), FRS (S3_Hm Hm2), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_hm2_n3
      ;
      (FRF (F12_C C2bar), FRS (S3_Hm Hm2), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_hm2_n4
      ;
      (FRF (F4_Fd Fd1bar), FRS (S14_D D11), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_d11_n1
      ;
      (FRF (F4_Fd Fd1bar), FRS (S14_D D12), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_d12_n1
      ;
      (FRF (F4_Fd Fd1bar), FRS (S14_D D11), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_d11_n2
      ;
      (FRF (F4_Fd Fd1bar), FRS (S14_D D12), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_d12_n2
      ;
      (FRF (F4_Fd Fd1bar), FRS (S14_D D11), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_d11_n3
      ;
      (FRF (F4_Fd Fd1bar), FRS (S14_D D12), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_d12_n3
      ;
      (FRF (F4_Fd Fd1bar), FRS (S14_D D11), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_d11_n4
      ;
      (FRF (F4_Fd Fd1bar), FRS (S14_D D12), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_d12_n4
      ;
      (FRF (F4_Fd Fd2bar), FRS (S14_D D21), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_d21_n1
      ;
      (FRF (F4_Fd Fd2bar), FRS (S14_D D22), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_d22_n1
      ;
      (FRF (F4_Fd Fd2bar), FRS (S14_D D21), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_d21_n2
      ;
      (FRF (F4_Fd Fd2bar), FRS (S14_D D22), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_d22_n2
      ;
      (FRF (F4_Fd Fd2bar), FRS (S14_D D21), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_d21_n3
      ;
      (FRF (F4_Fd Fd2bar), FRS (S14_D D22), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_d22_n3
      ;
      (FRF (F4_Fd Fd2bar), FRS (S14_D D21), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_d21_n4
      ;
      (FRF (F4_Fd Fd2bar), FRS (S14_D D22), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_d22_n4
      ;
      (FRF (F4_Fd Fd3bar), FRS (S14_D D31), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_d31_n1
      ;
      (FRF (F4_Fd Fd3bar), FRS (S14_D D32), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_d32_n1
      ;
      (FRF (F4_Fd Fd3bar), FRS (S14_D D31), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_d31_n2
      ;
      (FRF (F4_Fd Fd3bar), FRS (S14_D D32), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_d32_n2
      ;
      (FRF (F4_Fd Fd3bar), FRS (S14_D D31), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_d31_n3
      ;
      (FRF (F4_Fd Fd3bar), FRS (S14_D D32), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_d32_n3
      ;
      (FRF (F4_Fd Fd3bar), FRS (S14_D D31), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_d31_n4
      ;
      (FRF (F4_Fd Fd3bar), FRS (S14_D D32), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_d32_n4
      ;
      (FRF (F2_Fe Fe1bar), FRS (S12_E E11), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe1bar_e11_n1
      ;
      (FRF (F2_Fe Fe1bar), FRS (S12_E E12), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe1bar_e12_n1
      ;
      (FRF (F2_Fe Fe1bar), FRS (S12_E E11), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe1bar_e11_n2
      ;
      (FRF (F2_Fe Fe1bar), FRS (S12_E E12), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe1bar_e12_n2
      ;
      (FRF (F2_Fe Fe1bar), FRS (S12_E E11), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe1bar_e11_n3
      ;
      (FRF (F2_Fe Fe1bar), FRS (S12_E E12), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe1bar_e12_n3
      ;
      (FRF (F2_Fe Fe1bar), FRS (S12_E E11), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe1bar_e11_n4
      ;
      (FRF (F2_Fe Fe1bar), FRS (S12_E E12), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe1bar_e12_n4
      ;
      (FRF (F2_Fe Fe2bar), FRS (S12_E E21), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe2bar_e21_n1
      ;
      (FRF (F2_Fe Fe2bar), FRS (S12_E E22), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe2bar_e22_n1
      ;
      (FRF (F2_Fe Fe2bar), FRS (S12_E E21), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe2bar_e21_n2
      ;
      (FRF (F2_Fe Fe2bar), FRS (S12_E E22), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe2bar_e22_n2
      ;
      (FRF (F2_Fe Fe2bar), FRS (S12_E E21), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe2bar_e21_n3
      ;
      (FRF (F2_Fe Fe2bar), FRS (S12_E E22), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe2bar_e22_n3
      ;
      (FRF (F2_Fe Fe2bar), FRS (S12_E E21), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe2bar_e21_n4
      ;
      (FRF (F2_Fe Fe2bar), FRS (S12_E E22), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe2bar_e22_n4
      ;
      (FRF (F2_Fe Fe3bar), FRS (S12_E E31), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe3bar_e31_n1
      ;
      (FRF (F2_Fe Fe3bar), FRS (S12_E E32), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe3bar_e32_n1
      ;
      (FRF (F2_Fe Fe3bar), FRS (S12_E E31), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe3bar_e31_n2
      ;
      (FRF (F2_Fe Fe3bar), FRS (S12_E E32), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe3bar_e32_n2
      ;
      (FRF (F2_Fe Fe3bar), FRS (S12_E E31), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe3bar_e31_n3
      ;
      (FRF (F2_Fe Fe3bar), FRS (S12_E E32), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe3bar_e32_n3
      ;
      (FRF (F2_Fe Fe3bar), FRS (S12_E E31), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe3bar_e31_n4
      ;
      (FRF (F2_Fe Fe3bar), FRS (S12_E E32), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe3bar_e32_n4
      ;
      (FRF (F3_Fu Fu1bar), FRS (S13_U U11), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu1bar_u11_n1
      ;
      (FRF (F3_Fu Fu1bar), FRS (S13_U U12), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu1bar_u12_n1
      ;
      (FRF (F3_Fu Fu1bar), FRS (S13_U U11), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu1bar_u11_n2
      ;
      (FRF (F3_Fu Fu1bar), FRS (S13_U U12), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu1bar_u12_n2
      ;
      (FRF (F3_Fu Fu1bar), FRS (S13_U U11), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu1bar_u11_n3
      ;
      (FRF (F3_Fu Fu1bar), FRS (S13_U U12), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu1bar_u12_n3
      ;
      (FRF (F3_Fu Fu1bar), FRS (S13_U U11), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu1bar_u11_n4
      ;
      (FRF (F3_Fu Fu1bar), FRS (S13_U U12), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu1bar_u12_n4
      ;
      (FRF (F3_Fu Fu2bar), FRS (S13_U U21), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu2bar_u21_n1
      ;
      (FRF (F3_Fu Fu2bar), FRS (S13_U U22), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu2bar_u22_n1
      ;
      (FRF (F3_Fu Fu2bar), FRS (S13_U U21), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu2bar_u21_n2
      ;
      (FRF (F3_Fu Fu2bar), FRS (S13_U U22), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu2bar_u22_n2
      ;
      (FRF (F3_Fu Fu2bar), FRS (S13_U U21), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu2bar_u21_n3
      ;
      (FRF (F3_Fu Fu2bar), FRS (S13_U U22), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu2bar_u22_n3
      ;
      (FRF (F3_Fu Fu2bar), FRS (S13_U U21), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu2bar_u21_n4
      ;
      (FRF (F3_Fu Fu2bar), FRS (S13_U U22), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu2bar_u22_n4
      ;
      (FRF (F3_Fu Fu3bar), FRS (S13_U U31), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu3bar_u31_n1
      ;
      (FRF (F3_Fu Fu3bar), FRS (S13_U U32), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu3bar_u32_n1
      ;
      (FRF (F3_Fu Fu3bar), FRS (S13_U U31), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu3bar_u31_n2
      ;
      (FRF (F3_Fu Fu3bar), FRS (S13_U U32), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu3bar_u32_n2
      ;
      (FRF (F3_Fu Fu3bar), FRS (S13_U U31), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu3bar_u31_n3
      ;
      (FRF (F3_Fu Fu3bar), FRS (S13_U U32), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu3bar_u32_n3
      ;
      (FRF (F3_Fu Fu3bar), FRS (S13_U U31), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu3bar_u31_n4
      ;
      (FRF (F3_Fu Fu3bar), FRS (S13_U U32), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu3bar_u32_n4
      ;
      (FRF (F1_Nu Nu1bar), FRS (S11_Sv Sv1), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SR, Coupling.Psi),
       G_nu1bar_sv1_n1
      ;
      (FRF (F1_Nu Nu1bar), FRS (S11_Sv Sv1), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SR, Coupling.Psi),
       G_nu1bar_sv1_n2
      ;
      (FRF (F1_Nu Nu1bar), FRS (S11_Sv Sv1), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SR, Coupling.Psi),
       G_nu1bar_sv1_n3
      ;
      (FRF (F1_Nu Nu1bar), FRS (S11_Sv Sv1), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SR, Coupling.Psi),
       G_nu1bar_sv1_n4
      ;
      (FRF (F1_Nu Nu2bar), FRS (S11_Sv Sv2), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SR, Coupling.Psi),
       G_nu1bar_sv1_n1
      ;
      (FRF (F1_Nu Nu2bar), FRS (S11_Sv Sv2), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SR, Coupling.Psi),
       G_nu1bar_sv1_n2
      ;
      (FRF (F1_Nu Nu2bar), FRS (S11_Sv Sv2), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SR, Coupling.Psi),
       G_nu1bar_sv1_n3
      ;
      (FRF (F1_Nu Nu2bar), FRS (S11_Sv Sv2), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SR, Coupling.Psi),
       G_nu1bar_sv1_n4
      ;
      (FRF (F1_Nu Nu3bar), FRS (S11_Sv Sv3), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SR, Coupling.Psi),
       G_nu1bar_sv1_n1
      ;
      (FRF (F1_Nu Nu3bar), FRS (S11_Sv Sv3), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SR, Coupling.Psi),
       G_nu1bar_sv1_n2
      ;
      (FRF (F1_Nu Nu3bar), FRS (S11_Sv Sv3), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SR, Coupling.Psi),
       G_nu1bar_sv1_n3
      ;
      (FRF (F1_Nu Nu3bar), FRS (S11_Sv Sv3), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SR, Coupling.Psi),
       G_nu1bar_sv1_n4
      ;
      (FRF (F4_Fd Fd1bar), FRS (S1_H H1), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_h1_fd1
      ;
      (FRF (F4_Fd Fd1bar), FRS (S1_H H2), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_h2_fd1
      ;
      (FRF (F4_Fd Fd2bar), FRS (S1_H H1), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_h1_fd2
      ;
      (FRF (F4_Fd Fd2bar), FRS (S1_H H2), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_h2_fd2
      ;
      (FRF (F4_Fd Fd3bar), FRS (S1_H H1), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_h1_fd3
      ;
      (FRF (F4_Fd Fd3bar), FRS (S1_H H2), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_h2_fd3
      ;
      (FRF (F12_C C1bar), FRS (S13_U U11c), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_u11c_fd1
      ;
      (FRF (F12_C C1bar), FRS (S13_U U12c), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_u12c_fd1
      ;
      (FRF (F12_C C1bar), FRS (S13_U U21c), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_u21c_fd2
      ;
      (FRF (F12_C C1bar), FRS (S13_U U22c), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_u22c_fd2
      ;
      (FRF (F12_C C1bar), FRS (S13_U U31c), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_u31c_fd3
      ;
      (FRF (F12_C C1bar), FRS (S13_U U32c), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_u32c_fd3
      ;
      (FRF (F12_C C2bar), FRS (S13_U U11c), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_u11c_fd1
      ;
      (FRF (F12_C C2bar), FRS (S13_U U12c), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_u12c_fd1
      ;
      (FRF (F12_C C2bar), FRS (S13_U U21c), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_u21c_fd2
      ;
      (FRF (F12_C C2bar), FRS (S13_U U22c), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_u22c_fd2
      ;
      (FRF (F12_C C2bar), FRS (S13_U U31c), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_u31c_fd3
      ;
      (FRF (F12_C C2bar), FRS (S13_U U32c), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_u32c_fd3
      ;
      (FRF (F3_Fu Fu1bar), FRS (S3_Hm Hm2c), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu1bar_hm2c_fd1
      ;
      (FRF (F3_Fu Fu2bar), FRS (S3_Hm Hm2c), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu2bar_hm2c_fd2
      ;
      (FRF (F3_Fu Fu3bar), FRS (S3_Hm Hm2c), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu3bar_hm2c_fd3
      ;
      (FRF (F2_Fe Fe1bar), FRS (S1_H H1), FRF (F2_Fe Fe1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe1bar_h1_fe1
      ;
      (FRF (F2_Fe Fe1bar), FRS (S1_H H2), FRF (F2_Fe Fe1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe1bar_h2_fe1
      ;
      (FRF (F2_Fe Fe2bar), FRS (S1_H H1), FRF (F2_Fe Fe2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe2bar_h1_fe2
      ;
      (FRF (F2_Fe Fe2bar), FRS (S1_H H2), FRF (F2_Fe Fe2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe2bar_h2_fe2
      ;
      (FRF (F2_Fe Fe3bar), FRS (S1_H H1), FRF (F2_Fe Fe3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe3bar_h1_fe3
      ;
      (FRF (F2_Fe Fe3bar), FRS (S1_H H2), FRF (F2_Fe Fe3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fe3bar_h2_fe3
      ;
      (FRF (F12_C C1bar), FRS (S11_Sv Sv1c), FRF (F2_Fe Fe1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_sv1c_fe1
      ;
      (FRF (F12_C C1bar), FRS (S11_Sv Sv2c), FRF (F2_Fe Fe2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_sv2c_fe2
      ;
      (FRF (F12_C C1bar), FRS (S11_Sv Sv3c), FRF (F2_Fe Fe3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c1bar_sv3c_fe3
      ;
      (FRF (F12_C C2bar), FRS (S11_Sv Sv1c), FRF (F2_Fe Fe1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_sv1c_fe1
      ;
      (FRF (F12_C C2bar), FRS (S11_Sv Sv2c), FRF (F2_Fe Fe2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_sv2c_fe2
      ;
      (FRF (F12_C C2bar), FRS (S11_Sv Sv3c), FRF (F2_Fe Fe3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_c2bar_sv3c_fe3
      ;
      (FRF (F1_Nu Nu1bar), FRS (S3_Hm Hm2c), FRF (F2_Fe Fe1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SR, Coupling.Psi),
       G_nu1bar_hm2c_fe1
      ;
      (FRF (F1_Nu Nu2bar), FRS (S3_Hm Hm2c), FRF (F2_Fe Fe2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SR, Coupling.Psi),
       G_nu2bar_hm2c_fe2
      ;
      (FRF (F1_Nu Nu3bar), FRS (S3_Hm Hm2c), FRF (F2_Fe Fe3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SR, Coupling.Psi),
       G_nu3bar_hm2c_fe3
      ;
      (FRF (F3_Fu Fu1bar), FRS (S1_H H1), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu1bar_h1_fu1
      ;
      (FRF (F3_Fu Fu1bar), FRS (S1_H H2), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu1bar_h2_fu1
      ;
      (FRF (F3_Fu Fu2bar), FRS (S1_H H1), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu2bar_h1_fu2
      ;
      (FRF (F3_Fu Fu2bar), FRS (S1_H H2), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu2bar_h2_fu2
      ;
      (FRF (F3_Fu Fu3bar), FRS (S1_H H1), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu3bar_h1_fu3
      ;
      (FRF (F3_Fu Fu3bar), FRS (S1_H H2), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu3bar_h2_fu3
      ;
      (FRF (F4_Fd Fd1bar), FRS (S3_Hm Hm2), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_hm2_fu1
      ;
      (FRF (F4_Fd Fd2bar), FRS (S3_Hm Hm2), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_hm2_fu2
      ;
      (FRF (F4_Fd Fd3bar), FRS (S3_Hm Hm2), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_hm2_fu3
      ;
      (FRF (F2_Fe Fe1bar), FRS (S3_Hm Hm2), FRF (F1_Nu Nu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SL, Coupling.Psi),
       G_fe1bar_hm2_nu1
      ;
      (FRF (F2_Fe Fe2bar), FRS (S3_Hm Hm2), FRF (F1_Nu Nu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SL, Coupling.Psi),
       G_fe2bar_hm2_nu2
      ;
      (FRF (F2_Fe Fe3bar), FRS (S3_Hm Hm2), FRF (F1_Nu Nu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SL, Coupling.Psi),
       G_fe3bar_hm2_nu3
      ;
      (FRF (F12_C C1bar), FRS (S14_D D11), FRF (F3_Fu Fu1bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SLR, Coupling.Psibar),
       G_c1bar_d11_fu1bar
      ;
      (FRF (F12_C C1bar), FRS (S14_D D12), FRF (F3_Fu Fu1bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SLR, Coupling.Psibar),
       G_c1bar_d12_fu1bar
      ;
      (FRF (F12_C C1bar), FRS (S14_D D21), FRF (F3_Fu Fu2bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SLR, Coupling.Psibar),
       G_c1bar_d21_fu2bar
      ;
      (FRF (F12_C C1bar), FRS (S14_D D22), FRF (F3_Fu Fu2bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SLR, Coupling.Psibar),
       G_c1bar_d22_fu2bar
      ;
      (FRF (F12_C C1bar), FRS (S14_D D31), FRF (F3_Fu Fu3bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SLR, Coupling.Psibar),
       G_c1bar_d31_fu3bar
      ;
      (FRF (F12_C C1bar), FRS (S14_D D32), FRF (F3_Fu Fu3bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SLR, Coupling.Psibar),
       G_c1bar_d32_fu3bar
      ;
      (FRF (F12_C C2bar), FRS (S14_D D11), FRF (F3_Fu Fu1bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SLR, Coupling.Psibar),
       G_c2bar_d11_fu1bar
      ;
      (FRF (F12_C C2bar), FRS (S14_D D12), FRF (F3_Fu Fu1bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SLR, Coupling.Psibar),
       G_c2bar_d12_fu1bar
      ;
      (FRF (F12_C C2bar), FRS (S14_D D21), FRF (F3_Fu Fu2bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SLR, Coupling.Psibar),
       G_c2bar_d21_fu2bar
      ;
      (FRF (F12_C C2bar), FRS (S14_D D22), FRF (F3_Fu Fu2bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SLR, Coupling.Psibar),
       G_c2bar_d22_fu2bar
      ;
      (FRF (F12_C C2bar), FRS (S14_D D31), FRF (F3_Fu Fu3bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SLR, Coupling.Psibar),
       G_c2bar_d31_fu3bar
      ;
      (FRF (F12_C C2bar), FRS (S14_D D32), FRF (F3_Fu Fu3bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SLR, Coupling.Psibar),
       G_c2bar_d32_fu3bar
      ;
      (FRF (F12_C C1bar), FRS (S12_E E11), FRF (F1_Nu Nu1bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SR, Coupling.Psibar),
       G_c1bar_e11_nu1bar
      ;
      (FRF (F12_C C1bar), FRS (S12_E E12), FRF (F1_Nu Nu1bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SR, Coupling.Psibar),
       G_c1bar_e12_nu1bar
      ;
      (FRF (F12_C C1bar), FRS (S12_E E21), FRF (F1_Nu Nu2bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SR, Coupling.Psibar),
       G_c1bar_e21_nu2bar
      ;
      (FRF (F12_C C1bar), FRS (S12_E E22), FRF (F1_Nu Nu2bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SR, Coupling.Psibar),
       G_c1bar_e22_nu2bar
      ;
      (FRF (F12_C C1bar), FRS (S12_E E31), FRF (F1_Nu Nu3bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SR, Coupling.Psibar),
       G_c1bar_e31_nu3bar
      ;
      (FRF (F12_C C1bar), FRS (S12_E E32), FRF (F1_Nu Nu3bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SR, Coupling.Psibar),
       G_c1bar_e32_nu3bar
      ;
      (FRF (F12_C C2bar), FRS (S12_E E11), FRF (F1_Nu Nu1bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SR, Coupling.Psibar),
       G_c2bar_e11_nu1bar
      ;
      (FRF (F12_C C2bar), FRS (S12_E E12), FRF (F1_Nu Nu1bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SR, Coupling.Psibar),
       G_c2bar_e12_nu1bar
      ;
      (FRF (F12_C C2bar), FRS (S12_E E21), FRF (F1_Nu Nu2bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SR, Coupling.Psibar),
       G_c2bar_e21_nu2bar
      ;
      (FRF (F12_C C2bar), FRS (S12_E E22), FRF (F1_Nu Nu2bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SR, Coupling.Psibar),
       G_c2bar_e22_nu2bar
      ;
      (FRF (F12_C C2bar), FRS (S12_E E31), FRF (F1_Nu Nu3bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SR, Coupling.Psibar),
       G_c2bar_e31_nu3bar
      ;
      (FRF (F12_C C2bar), FRS (S12_E E32), FRF (F1_Nu Nu3bar)),
       Coupling.BBB (1, Coupling.Psibar, Coupling.SR, Coupling.Psibar),
       G_c2bar_e32_nu3bar
      ;
      (FRF (F11_N N1), FRV (V3_Wm Wmc), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Psi),
       G_n1_wmc_c1
      ;
      (FRF (F11_N N1), FRV (V3_Wm Wmc), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Psi),
       G_n1_wmc_c2
      ;
      (FRF (F11_N N2), FRV (V3_Wm Wmc), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Psi),
       G_n2_wmc_c1
      ;
      (FRF (F11_N N2), FRV (V3_Wm Wmc), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Psi),
       G_n2_wmc_c2
      ;
      (FRF (F11_N N3), FRV (V3_Wm Wmc), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Psi),
       G_n3_wmc_c1
      ;
      (FRF (F11_N N3), FRV (V3_Wm Wmc), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Psi),
       G_n3_wmc_c2
      ;
      (FRF (F11_N N4), FRV (V3_Wm Wmc), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Psi),
       G_n4_wmc_c1
      ;
      (FRF (F11_N N4), FRV (V3_Wm Wmc), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Psi),
       G_n4_wmc_c2
      ;
      (FRF (F12_C C1bar), FRV (V1_A A_1), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_c1bar_a_1_c1
      ;
      (FRF (F12_C C1bar), FRV (V1_A A_1), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_c1bar_a_1_c2
      ;
      (FRF (F12_C C2bar), FRV (V1_A A_1), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_c2bar_a_1_c1
      ;
      (FRF (F12_C C2bar), FRV (V1_A A_1), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_c2bar_a_1_c2
      ;
      (FRF (F12_C C1bar), FRV (V2_Z Z_1), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_c1bar_z_1_c1
      ;
      (FRF (F12_C C1bar), FRV (V2_Z Z_1), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_c1bar_z_1_c2
      ;
      (FRF (F12_C C2bar), FRV (V2_Z Z_1), FRF (F12_C C1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_c2bar_z_1_c1
      ;
      (FRF (F12_C C2bar), FRV (V2_Z Z_1), FRF (F12_C C2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_c2bar_z_1_c2
      ;
      (FRF (F11_N N1), FRV (V2_Z Z_1), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Chi),
       G_n1_z_1_n1
      ;
      (FRF (F11_N N1), FRV (V2_Z Z_1), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Chi),
       G_n1_z_1_n2
      ;
      (FRF (F11_N N1), FRV (V2_Z Z_1), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Chi),
       G_n1_z_1_n3
      ;
      (FRF (F11_N N1), FRV (V2_Z Z_1), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Chi),
       G_n1_z_1_n4
      ;
      (FRF (F11_N N2), FRV (V2_Z Z_1), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Chi),
       G_n2_z_1_n2
      ;
      (FRF (F11_N N2), FRV (V2_Z Z_1), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Chi),
       G_n2_z_1_n3
      ;
      (FRF (F11_N N2), FRV (V2_Z Z_1), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Chi),
       G_n2_z_1_n4
      ;
      (FRF (F11_N N3), FRV (V2_Z Z_1), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Chi),
       G_n3_z_1_n3
      ;
      (FRF (F11_N N3), FRV (V2_Z Z_1), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Chi),
       G_n3_z_1_n4
      ;
      (FRF (F11_N N4), FRV (V2_Z Z_1), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Chi),
       G_n4_z_1_n4
      ;
      (FRF (F12_C C1bar), FRV (V3_Wm Wm_1), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Chi),
       G_c1bar_wm_1_n1
      ;
      (FRF (F12_C C1bar), FRV (V3_Wm Wm_1), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Chi),
       G_c1bar_wm_1_n2
      ;
      (FRF (F12_C C1bar), FRV (V3_Wm Wm_1), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Chi),
       G_c1bar_wm_1_n3
      ;
      (FRF (F12_C C1bar), FRV (V3_Wm Wm_1), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Chi),
       G_c1bar_wm_1_n4
      ;
      (FRF (F12_C C2bar), FRV (V3_Wm Wm_1), FRF (F11_N N1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Chi),
       G_c2bar_wm_1_n1
      ;
      (FRF (F12_C C2bar), FRV (V3_Wm Wm_1), FRF (F11_N N2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Chi),
       G_c2bar_wm_1_n2
      ;
      (FRF (F12_C C2bar), FRV (V3_Wm Wm_1), FRF (F11_N N3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Chi),
       G_c2bar_wm_1_n3
      ;
      (FRF (F12_C C2bar), FRV (V3_Wm Wm_1), FRF (F11_N N4)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Chi),
       G_c2bar_wm_1_n4
      ;
      (FRF (F4_Fd Fd1bar), FRV (V1_A A_1), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fd1bar_a_1_fd1
      ;
      (FRF (F4_Fd Fd2bar), FRV (V1_A A_1), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fd1bar_a_1_fd1
      ;
      (FRF (F4_Fd Fd3bar), FRV (V1_A A_1), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fd1bar_a_1_fd1
      ;
      (FRF (F4_Fd Fd1bar), FRV (V2_Z Z_1), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fd1bar_z_1_fd1
      ;
      (FRF (F4_Fd Fd2bar), FRV (V2_Z Z_1), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fd1bar_z_1_fd1
      ;
      (FRF (F4_Fd Fd3bar), FRV (V2_Z Z_1), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fd1bar_z_1_fd1
      ;
      (FRF (F3_Fu Fu1bar), FRV (V3_Wm Wmc), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VL, Coupling.Psi),
       G_fu1bar_wmc_fd1
      ;
      (FRF (F3_Fu Fu2bar), FRV (V3_Wm Wmc), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VL, Coupling.Psi),
       G_fu1bar_wmc_fd1
      ;
      (FRF (F3_Fu Fu3bar), FRV (V3_Wm Wmc), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VL, Coupling.Psi),
       G_fu1bar_wmc_fd1
      ;
      (FRF (F2_Fe Fe1bar), FRV (V1_A A_1), FRF (F2_Fe Fe1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fe1bar_a_1_fe1
      ;
      (FRF (F2_Fe Fe2bar), FRV (V1_A A_1), FRF (F2_Fe Fe2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fe1bar_a_1_fe1
      ;
      (FRF (F2_Fe Fe3bar), FRV (V1_A A_1), FRF (F2_Fe Fe3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fe1bar_a_1_fe1
      ;
      (FRF (F2_Fe Fe1bar), FRV (V2_Z Z_1), FRF (F2_Fe Fe1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fe1bar_z_1_fe1
      ;
      (FRF (F2_Fe Fe2bar), FRV (V2_Z Z_1), FRF (F2_Fe Fe2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fe1bar_z_1_fe1
      ;
      (FRF (F2_Fe Fe3bar), FRV (V2_Z Z_1), FRF (F2_Fe Fe3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fe1bar_z_1_fe1
      ;
      (FRF (F1_Nu Nu1bar), FRV (V3_Wm Wmc), FRF (F2_Fe Fe1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VL, Coupling.Psi),
       G_fu1bar_wmc_fd1
      ;
      (FRF (F1_Nu Nu2bar), FRV (V3_Wm Wmc), FRF (F2_Fe Fe2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VL, Coupling.Psi),
       G_fu1bar_wmc_fd1
      ;
      (FRF (F1_Nu Nu3bar), FRV (V3_Wm Wmc), FRF (F2_Fe Fe3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VL, Coupling.Psi),
       G_fu1bar_wmc_fd1
      ;
      (FRF (F3_Fu Fu1bar), FRV (V1_A A_1), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fu1bar_a_1_fu1
      ;
      (FRF (F3_Fu Fu2bar), FRV (V1_A A_1), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fu1bar_a_1_fu1
      ;
      (FRF (F3_Fu Fu3bar), FRV (V1_A A_1), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fu1bar_a_1_fu1
      ;
      (FRF (F4_Fd Fd1bar), FRV (V3_Wm Wm_1), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VL, Coupling.Psi),
       G_fu1bar_wmc_fd1
      ;
      (FRF (F4_Fd Fd2bar), FRV (V3_Wm Wm_1), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VL, Coupling.Psi),
       G_fu1bar_wmc_fd1
      ;
      (FRF (F4_Fd Fd3bar), FRV (V3_Wm Wm_1), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VL, Coupling.Psi),
       G_fu1bar_wmc_fd1
      ;
      (FRF (F3_Fu Fu1bar), FRV (V2_Z Z_1), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fu1bar_z_1_fu1
      ;
      (FRF (F3_Fu Fu2bar), FRV (V2_Z Z_1), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fu1bar_z_1_fu1
      ;
      (FRF (F3_Fu Fu3bar), FRV (V2_Z Z_1), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fu1bar_z_1_fu1
      ;
      (FRF (F2_Fe Fe1bar), FRV (V3_Wm Wm_1), FRF (F1_Nu Nu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VL, Coupling.Psi),
       G_fu1bar_wmc_fd1
      ;
      (FRF (F2_Fe Fe2bar), FRV (V3_Wm Wm_1), FRF (F1_Nu Nu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VL, Coupling.Psi),
       G_fu1bar_wmc_fd1
      ;
      (FRF (F2_Fe Fe3bar), FRV (V3_Wm Wm_1), FRF (F1_Nu Nu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VL, Coupling.Psi),
       G_fu1bar_wmc_fd1
      ;
      (FRF (F1_Nu Nu1bar), FRV (V2_Z Z_1), FRF (F1_Nu Nu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VL, Coupling.Psi),
       G_nu1bar_z_1_nu1
      ;
      (FRF (F1_Nu Nu2bar), FRV (V2_Z Z_1), FRF (F1_Nu Nu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VL, Coupling.Psi),
       G_nu1bar_z_1_nu1
      ;
      (FRF (F1_Nu Nu3bar), FRV (V2_Z Z_1), FRF (F1_Nu Nu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VL, Coupling.Psi),
       G_nu1bar_z_1_nu1
      ;
      (FRV (V3_Wm Wmc), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Gauge_Gauge_Gauge 1,
       G_wmc_a_1_wm_1
      ;
      (FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Gauge_Gauge_Gauge 1,
       G_wmc_wm_1_z_1
   ]

   let vertices_3_qcd = [
      (FRV (V5_G G_1), FRS (S14_D D11), FRS (S14_D D11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_g_1_d11_d11c
      ;
      (FRV (V5_G G_1), FRS (S14_D D12), FRS (S14_D D12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_g_1_d11_d11c
      ;
      (FRV (V5_G G_1), FRS (S14_D D21), FRS (S14_D D21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_g_1_d11_d11c
      ;
      (FRV (V5_G G_1), FRS (S14_D D22), FRS (S14_D D22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_g_1_d11_d11c
      ;
      (FRV (V5_G G_1), FRS (S14_D D31), FRS (S14_D D31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_g_1_d11_d11c
      ;
      (FRV (V5_G G_1), FRS (S14_D D32), FRS (S14_D D32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_g_1_d11_d11c
      ;
      (FRV (V5_G G_1), FRS (S13_U U11), FRS (S13_U U11c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_g_1_d11_d11c
      ;
      (FRV (V5_G G_1), FRS (S13_U U12), FRS (S13_U U12c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_g_1_d11_d11c
      ;
      (FRV (V5_G G_1), FRS (S13_U U21), FRS (S13_U U21c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_g_1_d11_d11c
      ;
      (FRV (V5_G G_1), FRS (S13_U U22), FRS (S13_U U22c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_g_1_d11_d11c
      ;
      (FRV (V5_G G_1), FRS (S13_U U31), FRS (S13_U U31c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_g_1_d11_d11c
      ;
      (FRV (V5_G G_1), FRS (S13_U U32), FRS (S13_U U32c)),
       Coupling.Vector_Scalar_Scalar 1,
       G_g_1_d11_d11c
      ;
      (FRF (F15_Go Go_1), FRS (S14_D D11c), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_go_1_d11c_fd1
      ;
      (FRF (F15_Go Go_1), FRS (S14_D D12c), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_go_1_d12c_fd1
      ;
      (FRF (F15_Go Go_1), FRS (S14_D D21c), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_go_1_d21c_fd2
      ;
      (FRF (F15_Go Go_1), FRS (S14_D D22c), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_go_1_d22c_fd2
      ;
      (FRF (F15_Go Go_1), FRS (S14_D D31c), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_go_1_d31c_fd3
      ;
      (FRF (F15_Go Go_1), FRS (S14_D D32c), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_go_1_d32c_fd3
      ;
      (FRF (F15_Go Go_1), FRS (S13_U U11c), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_go_1_u11c_fu1
      ;
      (FRF (F15_Go Go_1), FRS (S13_U U12c), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_go_1_u12c_fu1
      ;
      (FRF (F15_Go Go_1), FRS (S13_U U21c), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_go_1_u21c_fu2
      ;
      (FRF (F15_Go Go_1), FRS (S13_U U22c), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_go_1_u22c_fu2
      ;
      (FRF (F15_Go Go_1), FRS (S13_U U31c), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_go_1_u31c_fu3
      ;
      (FRF (F15_Go Go_1), FRS (S13_U U32c), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_go_1_u32c_fu3
      ;
      (FRF (F4_Fd Fd1bar), FRS (S14_D D11), FRF (F15_Go Go_1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_d11_go_1
      ;
      (FRF (F4_Fd Fd1bar), FRS (S14_D D12), FRF (F15_Go Go_1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd1bar_d12_go_1
      ;
      (FRF (F4_Fd Fd2bar), FRS (S14_D D21), FRF (F15_Go Go_1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_d21_go_1
      ;
      (FRF (F4_Fd Fd2bar), FRS (S14_D D22), FRF (F15_Go Go_1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd2bar_d22_go_1
      ;
      (FRF (F4_Fd Fd3bar), FRS (S14_D D31), FRF (F15_Go Go_1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_d31_go_1
      ;
      (FRF (F4_Fd Fd3bar), FRS (S14_D D32), FRF (F15_Go Go_1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fd3bar_d32_go_1
      ;
      (FRF (F3_Fu Fu1bar), FRS (S13_U U11), FRF (F15_Go Go_1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu1bar_u11_go_1
      ;
      (FRF (F3_Fu Fu1bar), FRS (S13_U U12), FRF (F15_Go Go_1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu1bar_u12_go_1
      ;
      (FRF (F3_Fu Fu2bar), FRS (S13_U U21), FRF (F15_Go Go_1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu2bar_u21_go_1
      ;
      (FRF (F3_Fu Fu2bar), FRS (S13_U U22), FRF (F15_Go Go_1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu2bar_u22_go_1
      ;
      (FRF (F3_Fu Fu3bar), FRS (S13_U U31), FRF (F15_Go Go_1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu3bar_u31_go_1
      ;
      (FRF (F3_Fu Fu3bar), FRS (S13_U U32), FRF (F15_Go Go_1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.SLR, Coupling.Psi),
       G_fu3bar_u32_go_1
      ;
      (FRF (F4_Fd Fd1bar), FRV (V5_G G_1), FRF (F4_Fd Fd1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fd1bar_g_1_fd1
      ;
      (FRF (F4_Fd Fd2bar), FRV (V5_G G_1), FRF (F4_Fd Fd2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fd1bar_g_1_fd1
      ;
      (FRF (F4_Fd Fd3bar), FRV (V5_G G_1), FRF (F4_Fd Fd3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fd1bar_g_1_fd1
      ;
      (FRF (F3_Fu Fu1bar), FRV (V5_G G_1), FRF (F3_Fu Fu1)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fd1bar_g_1_fd1
      ;
      (FRF (F3_Fu Fu2bar), FRV (V5_G G_1), FRF (F3_Fu Fu2)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fd1bar_g_1_fd1
      ;
      (FRF (F3_Fu Fu3bar), FRV (V5_G G_1), FRF (F3_Fu Fu3)),
       Coupling.FBF (1, Coupling.Psibar, Coupling.VLR, Coupling.Psi),
       G_fd1bar_g_1_fd1
      ;
      (FRF (F15_Go Go_1), FRV (V5_G G_1), FRF (F15_Go Go_1)),
       Coupling.FBF (1, Coupling.Chibar, Coupling.VLR, Coupling.Chi),
       G_go_1_g_1_go_1
      ;
      (FRV (V5_G G_1), FRV (V5_G G_1), FRV (V5_G G_1)),
       Gauge_Gauge_Gauge 1,
       G_g_1_g_1_g_1
   ]

   let vertices_4 = [
      (FRS (S2_Ah Ah2), FRS (S2_Ah Ah2), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_ah2_ah2_wmc_wm_1
      ;
      (FRS (S2_Ah Ah2), FRS (S2_Ah Ah2), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_ah2_ah2_z_1_z_1
      ;
      (FRS (S2_Ah Ah2), FRS (S3_Hm Hm2), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_ah2_hm2_wmc_a_1
      ;
      (FRS (S2_Ah Ah2), FRS (S3_Hm Hm2), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_ah2_hm2_wmc_z_1
      ;
      (FRS (S2_Ah Ah2), FRS (S3_Hm Hm2c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_ah2_hm2c_a_1_wm_1
      ;
      (FRS (S2_Ah Ah2), FRS (S3_Hm Hm2c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_ah2_hm2c_wm_1_z_1
      ;
      (FRS (S1_H H1), FRS (S1_H H1), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_h1_h1_wmc_wm_1
      ;
      (FRS (S1_H H1), FRS (S1_H H2), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_h1_h2_wmc_wm_1
      ;
      (FRS (S1_H H2), FRS (S1_H H2), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_h2_h2_wmc_wm_1
      ;
      (FRS (S1_H H1), FRS (S1_H H1), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_h1_h1_z_1_z_1
      ;
      (FRS (S1_H H1), FRS (S1_H H2), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_h1_h2_z_1_z_1
      ;
      (FRS (S1_H H2), FRS (S1_H H2), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_h2_h2_z_1_z_1
      ;
      (FRS (S1_H H1), FRS (S3_Hm Hm2), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_h1_hm2_wmc_a_1
      ;
      (FRS (S1_H H2), FRS (S3_Hm Hm2), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_h2_hm2_wmc_a_1
      ;
      (FRS (S1_H H1), FRS (S3_Hm Hm2), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_h1_hm2_wmc_z_1
      ;
      (FRS (S1_H H2), FRS (S3_Hm Hm2), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_h2_hm2_wmc_z_1
      ;
      (FRS (S1_H H1), FRS (S3_Hm Hm2c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_h1_hm2_wmc_a_1
      ;
      (FRS (S1_H H2), FRS (S3_Hm Hm2c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_h2_hm2_wmc_a_1
      ;
      (FRS (S1_H H1), FRS (S3_Hm Hm2c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_h1_hm2_wmc_z_1
      ;
      (FRS (S1_H H2), FRS (S3_Hm Hm2c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_h2_hm2_wmc_z_1
      ;
      (FRS (S3_Hm Hm2), FRS (S3_Hm Hm2c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_hm2_hm2c_a_1_a_1
      ;
      (FRS (S3_Hm Hm2), FRS (S3_Hm Hm2c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_hm2_hm2c_a_1_z_1
      ;
      (FRS (S3_Hm Hm2), FRS (S3_Hm Hm2c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_hm2_hm2c_wmc_wm_1
      ;
      (FRS (S3_Hm Hm2), FRS (S3_Hm Hm2c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_hm2_hm2c_z_1_z_1
      ;
      (FRS (S14_D D11), FRS (S14_D D11c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d11_d11c_a_1_a_1
      ;
      (FRS (S14_D D11), FRS (S14_D D12c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d11_d12c_a_1_a_1
      ;
      (FRS (S14_D D12), FRS (S14_D D11c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d12_d11c_a_1_a_1
      ;
      (FRS (S14_D D12), FRS (S14_D D12c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d12_d12c_a_1_a_1
      ;
      (FRS (S14_D D21), FRS (S14_D D21c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d21_d21c_a_1_a_1
      ;
      (FRS (S14_D D21), FRS (S14_D D22c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d21_d22c_a_1_a_1
      ;
      (FRS (S14_D D22), FRS (S14_D D21c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d22_d21c_a_1_a_1
      ;
      (FRS (S14_D D22), FRS (S14_D D22c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d22_d22c_a_1_a_1
      ;
      (FRS (S14_D D31), FRS (S14_D D31c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d31_d31c_a_1_a_1
      ;
      (FRS (S14_D D31), FRS (S14_D D32c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d31_d32c_a_1_a_1
      ;
      (FRS (S14_D D32), FRS (S14_D D31c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d32_d31c_a_1_a_1
      ;
      (FRS (S14_D D32), FRS (S14_D D32c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d32_d32c_a_1_a_1
      ;
      (FRS (S14_D D11), FRS (S14_D D11c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d11_d11c_a_1_z_1
      ;
      (FRS (S14_D D11), FRS (S14_D D12c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d11_d12c_a_1_z_1
      ;
      (FRS (S14_D D12), FRS (S14_D D11c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d12_d11c_a_1_z_1
      ;
      (FRS (S14_D D12), FRS (S14_D D12c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d12_d12c_a_1_z_1
      ;
      (FRS (S14_D D21), FRS (S14_D D21c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d21_d21c_a_1_z_1
      ;
      (FRS (S14_D D21), FRS (S14_D D22c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d21_d22c_a_1_z_1
      ;
      (FRS (S14_D D22), FRS (S14_D D21c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d22_d21c_a_1_z_1
      ;
      (FRS (S14_D D22), FRS (S14_D D22c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d22_d22c_a_1_z_1
      ;
      (FRS (S14_D D31), FRS (S14_D D31c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d31_d31c_a_1_z_1
      ;
      (FRS (S14_D D31), FRS (S14_D D32c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d31_d32c_a_1_z_1
      ;
      (FRS (S14_D D32), FRS (S14_D D31c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d32_d31c_a_1_z_1
      ;
      (FRS (S14_D D32), FRS (S14_D D32c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d32_d32c_a_1_z_1
      ;
      (FRS (S14_D D11), FRS (S13_U U11c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d11_u11c_wmc_a_1
      ;
      (FRS (S14_D D11), FRS (S13_U U12c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d11_u12c_wmc_a_1
      ;
      (FRS (S14_D D12), FRS (S13_U U11c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d12_u11c_wmc_a_1
      ;
      (FRS (S14_D D12), FRS (S13_U U12c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d12_u12c_wmc_a_1
      ;
      (FRS (S14_D D21), FRS (S13_U U21c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d21_u21c_wmc_a_1
      ;
      (FRS (S14_D D21), FRS (S13_U U22c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d21_u22c_wmc_a_1
      ;
      (FRS (S14_D D22), FRS (S13_U U21c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d22_u21c_wmc_a_1
      ;
      (FRS (S14_D D22), FRS (S13_U U22c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d22_u22c_wmc_a_1
      ;
      (FRS (S14_D D31), FRS (S13_U U31c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d31_u31c_wmc_a_1
      ;
      (FRS (S14_D D31), FRS (S13_U U32c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d31_u32c_wmc_a_1
      ;
      (FRS (S14_D D32), FRS (S13_U U31c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d32_u31c_wmc_a_1
      ;
      (FRS (S14_D D32), FRS (S13_U U32c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d32_u32c_wmc_a_1
      ;
      (FRS (S14_D D11), FRS (S14_D D11c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_d11_d11c_wmc_wm_1
      ;
      (FRS (S14_D D11), FRS (S14_D D12c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_d11_d12c_wmc_wm_1
      ;
      (FRS (S14_D D12), FRS (S14_D D11c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_d12_d11c_wmc_wm_1
      ;
      (FRS (S14_D D12), FRS (S14_D D12c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_d12_d12c_wmc_wm_1
      ;
      (FRS (S14_D D21), FRS (S14_D D21c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_d21_d21c_wmc_wm_1
      ;
      (FRS (S14_D D21), FRS (S14_D D22c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_d21_d22c_wmc_wm_1
      ;
      (FRS (S14_D D22), FRS (S14_D D21c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_d22_d21c_wmc_wm_1
      ;
      (FRS (S14_D D22), FRS (S14_D D22c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_d22_d22c_wmc_wm_1
      ;
      (FRS (S14_D D31), FRS (S14_D D31c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_d31_d31c_wmc_wm_1
      ;
      (FRS (S14_D D31), FRS (S14_D D32c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_d31_d32c_wmc_wm_1
      ;
      (FRS (S14_D D32), FRS (S14_D D31c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_d32_d31c_wmc_wm_1
      ;
      (FRS (S14_D D32), FRS (S14_D D32c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_d32_d32c_wmc_wm_1
      ;
      (FRS (S14_D D11), FRS (S14_D D11c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d11_d11c_z_1_z_1
      ;
      (FRS (S14_D D11), FRS (S14_D D12c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d11_d12c_z_1_z_1
      ;
      (FRS (S14_D D12), FRS (S14_D D11c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d12_d11c_z_1_z_1
      ;
      (FRS (S14_D D12), FRS (S14_D D12c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d12_d12c_z_1_z_1
      ;
      (FRS (S14_D D21), FRS (S14_D D21c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d21_d21c_z_1_z_1
      ;
      (FRS (S14_D D21), FRS (S14_D D22c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d21_d22c_z_1_z_1
      ;
      (FRS (S14_D D22), FRS (S14_D D21c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d22_d21c_z_1_z_1
      ;
      (FRS (S14_D D22), FRS (S14_D D22c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d22_d22c_z_1_z_1
      ;
      (FRS (S14_D D31), FRS (S14_D D31c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d31_d31c_z_1_z_1
      ;
      (FRS (S14_D D31), FRS (S14_D D32c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d31_d32c_z_1_z_1
      ;
      (FRS (S14_D D32), FRS (S14_D D31c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d32_d31c_z_1_z_1
      ;
      (FRS (S14_D D32), FRS (S14_D D32c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d32_d32c_z_1_z_1
      ;
      (FRS (S14_D D11), FRS (S13_U U11c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d11_u11c_wmc_z_1
      ;
      (FRS (S14_D D11), FRS (S13_U U12c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d11_u12c_wmc_z_1
      ;
      (FRS (S14_D D12), FRS (S13_U U11c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d12_u11c_wmc_z_1
      ;
      (FRS (S14_D D12), FRS (S13_U U12c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d12_u12c_wmc_z_1
      ;
      (FRS (S14_D D21), FRS (S13_U U21c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d21_u21c_wmc_z_1
      ;
      (FRS (S14_D D21), FRS (S13_U U22c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d21_u22c_wmc_z_1
      ;
      (FRS (S14_D D22), FRS (S13_U U21c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d22_u21c_wmc_z_1
      ;
      (FRS (S14_D D22), FRS (S13_U U22c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d22_u22c_wmc_z_1
      ;
      (FRS (S14_D D31), FRS (S13_U U31c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d31_u31c_wmc_z_1
      ;
      (FRS (S14_D D31), FRS (S13_U U32c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d31_u32c_wmc_z_1
      ;
      (FRS (S14_D D32), FRS (S13_U U31c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d32_u31c_wmc_z_1
      ;
      (FRS (S14_D D32), FRS (S13_U U32c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d32_u32c_wmc_z_1
      ;
      (FRS (S12_E E11), FRS (S12_E E11c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e11_e11c_a_1_a_1
      ;
      (FRS (S12_E E11), FRS (S12_E E12c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e11_e12c_a_1_a_1
      ;
      (FRS (S12_E E12), FRS (S12_E E11c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e12_e11c_a_1_a_1
      ;
      (FRS (S12_E E12), FRS (S12_E E12c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e12_e12c_a_1_a_1
      ;
      (FRS (S12_E E21), FRS (S12_E E21c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e21_e21c_a_1_a_1
      ;
      (FRS (S12_E E21), FRS (S12_E E22c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e21_e22c_a_1_a_1
      ;
      (FRS (S12_E E22), FRS (S12_E E21c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e22_e21c_a_1_a_1
      ;
      (FRS (S12_E E22), FRS (S12_E E22c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e22_e22c_a_1_a_1
      ;
      (FRS (S12_E E31), FRS (S12_E E31c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e31_e31c_a_1_a_1
      ;
      (FRS (S12_E E31), FRS (S12_E E32c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e31_e32c_a_1_a_1
      ;
      (FRS (S12_E E32), FRS (S12_E E31c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e32_e31c_a_1_a_1
      ;
      (FRS (S12_E E32), FRS (S12_E E32c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e32_e32c_a_1_a_1
      ;
      (FRS (S12_E E11), FRS (S12_E E11c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e11_e11c_a_1_z_1
      ;
      (FRS (S12_E E11), FRS (S12_E E12c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e11_e12c_a_1_z_1
      ;
      (FRS (S12_E E12), FRS (S12_E E11c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e12_e11c_a_1_z_1
      ;
      (FRS (S12_E E12), FRS (S12_E E12c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e12_e12c_a_1_z_1
      ;
      (FRS (S12_E E21), FRS (S12_E E21c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e21_e21c_a_1_z_1
      ;
      (FRS (S12_E E21), FRS (S12_E E22c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e21_e22c_a_1_z_1
      ;
      (FRS (S12_E E22), FRS (S12_E E21c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e22_e21c_a_1_z_1
      ;
      (FRS (S12_E E22), FRS (S12_E E22c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e22_e22c_a_1_z_1
      ;
      (FRS (S12_E E31), FRS (S12_E E31c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e31_e31c_a_1_z_1
      ;
      (FRS (S12_E E31), FRS (S12_E E32c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e31_e32c_a_1_z_1
      ;
      (FRS (S12_E E32), FRS (S12_E E31c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e32_e31c_a_1_z_1
      ;
      (FRS (S12_E E32), FRS (S12_E E32c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e32_e32c_a_1_z_1
      ;
      (FRS (S12_E E11), FRS (S11_Sv Sv1c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e11_sv1c_wmc_a_1
      ;
      (FRS (S12_E E12), FRS (S11_Sv Sv1c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e12_sv1c_wmc_a_1
      ;
      (FRS (S12_E E21), FRS (S11_Sv Sv2c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e21_sv2c_wmc_a_1
      ;
      (FRS (S12_E E22), FRS (S11_Sv Sv2c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e22_sv2c_wmc_a_1
      ;
      (FRS (S12_E E31), FRS (S11_Sv Sv3c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e31_sv3c_wmc_a_1
      ;
      (FRS (S12_E E32), FRS (S11_Sv Sv3c), FRV (V3_Wm Wmc), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_e32_sv3c_wmc_a_1
      ;
      (FRS (S12_E E11), FRS (S12_E E11c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_e11_e11c_wmc_wm_1
      ;
      (FRS (S12_E E11), FRS (S12_E E12c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_e11_e12c_wmc_wm_1
      ;
      (FRS (S12_E E12), FRS (S12_E E11c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_e12_e11c_wmc_wm_1
      ;
      (FRS (S12_E E12), FRS (S12_E E12c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_e12_e12c_wmc_wm_1
      ;
      (FRS (S12_E E21), FRS (S12_E E21c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_e21_e21c_wmc_wm_1
      ;
      (FRS (S12_E E21), FRS (S12_E E22c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_e21_e22c_wmc_wm_1
      ;
      (FRS (S12_E E22), FRS (S12_E E21c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_e22_e21c_wmc_wm_1
      ;
      (FRS (S12_E E22), FRS (S12_E E22c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_e22_e22c_wmc_wm_1
      ;
      (FRS (S12_E E31), FRS (S12_E E31c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_e31_e31c_wmc_wm_1
      ;
      (FRS (S12_E E31), FRS (S12_E E32c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_e31_e32c_wmc_wm_1
      ;
      (FRS (S12_E E32), FRS (S12_E E31c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_e32_e31c_wmc_wm_1
      ;
      (FRS (S12_E E32), FRS (S12_E E32c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_e32_e32c_wmc_wm_1
      ;
      (FRS (S12_E E11), FRS (S12_E E11c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e11_e11c_z_1_z_1
      ;
      (FRS (S12_E E11), FRS (S12_E E12c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e11_e12c_z_1_z_1
      ;
      (FRS (S12_E E12), FRS (S12_E E11c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e12_e11c_z_1_z_1
      ;
      (FRS (S12_E E12), FRS (S12_E E12c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e12_e12c_z_1_z_1
      ;
      (FRS (S12_E E21), FRS (S12_E E21c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e21_e21c_z_1_z_1
      ;
      (FRS (S12_E E21), FRS (S12_E E22c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e21_e22c_z_1_z_1
      ;
      (FRS (S12_E E22), FRS (S12_E E21c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e22_e21c_z_1_z_1
      ;
      (FRS (S12_E E22), FRS (S12_E E22c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e22_e22c_z_1_z_1
      ;
      (FRS (S12_E E31), FRS (S12_E E31c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e31_e31c_z_1_z_1
      ;
      (FRS (S12_E E31), FRS (S12_E E32c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e31_e32c_z_1_z_1
      ;
      (FRS (S12_E E32), FRS (S12_E E31c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e32_e31c_z_1_z_1
      ;
      (FRS (S12_E E32), FRS (S12_E E32c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e32_e32c_z_1_z_1
      ;
      (FRS (S12_E E11), FRS (S11_Sv Sv1c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e11_sv1c_wmc_z_1
      ;
      (FRS (S12_E E12), FRS (S11_Sv Sv1c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e12_sv1c_wmc_z_1
      ;
      (FRS (S12_E E21), FRS (S11_Sv Sv2c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e21_sv2c_wmc_z_1
      ;
      (FRS (S12_E E22), FRS (S11_Sv Sv2c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e22_sv2c_wmc_z_1
      ;
      (FRS (S12_E E31), FRS (S11_Sv Sv3c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e31_sv3c_wmc_z_1
      ;
      (FRS (S12_E E32), FRS (S11_Sv Sv3c), FRV (V3_Wm Wmc), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_e32_sv3c_wmc_z_1
      ;
      (FRS (S13_U U11), FRS (S13_U U11c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u11_u11c_a_1_a_1
      ;
      (FRS (S13_U U11), FRS (S13_U U12c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u11_u12c_a_1_a_1
      ;
      (FRS (S13_U U12), FRS (S13_U U11c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u12_u11c_a_1_a_1
      ;
      (FRS (S13_U U12), FRS (S13_U U12c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u12_u12c_a_1_a_1
      ;
      (FRS (S13_U U21), FRS (S13_U U21c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u21_u21c_a_1_a_1
      ;
      (FRS (S13_U U21), FRS (S13_U U22c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u21_u22c_a_1_a_1
      ;
      (FRS (S13_U U22), FRS (S13_U U21c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u22_u21c_a_1_a_1
      ;
      (FRS (S13_U U22), FRS (S13_U U22c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u22_u22c_a_1_a_1
      ;
      (FRS (S13_U U31), FRS (S13_U U31c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u31_u31c_a_1_a_1
      ;
      (FRS (S13_U U31), FRS (S13_U U32c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u31_u32c_a_1_a_1
      ;
      (FRS (S13_U U32), FRS (S13_U U31c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u32_u31c_a_1_a_1
      ;
      (FRS (S13_U U32), FRS (S13_U U32c), FRV (V1_A A_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u32_u32c_a_1_a_1
      ;
      (FRS (S13_U U11), FRS (S14_D D11c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u11_d11c_a_1_wm_1
      ;
      (FRS (S13_U U11), FRS (S14_D D12c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u11_d12c_a_1_wm_1
      ;
      (FRS (S13_U U12), FRS (S14_D D11c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u12_d11c_a_1_wm_1
      ;
      (FRS (S13_U U12), FRS (S14_D D12c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u12_d12c_a_1_wm_1
      ;
      (FRS (S13_U U21), FRS (S14_D D21c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u21_d21c_a_1_wm_1
      ;
      (FRS (S13_U U21), FRS (S14_D D22c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u21_d22c_a_1_wm_1
      ;
      (FRS (S13_U U22), FRS (S14_D D21c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u22_d21c_a_1_wm_1
      ;
      (FRS (S13_U U22), FRS (S14_D D22c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u22_d22c_a_1_wm_1
      ;
      (FRS (S13_U U31), FRS (S14_D D31c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u31_d31c_a_1_wm_1
      ;
      (FRS (S13_U U31), FRS (S14_D D32c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u31_d32c_a_1_wm_1
      ;
      (FRS (S13_U U32), FRS (S14_D D31c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u32_d31c_a_1_wm_1
      ;
      (FRS (S13_U U32), FRS (S14_D D32c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u32_d32c_a_1_wm_1
      ;
      (FRS (S13_U U11), FRS (S13_U U11c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u11_u11c_a_1_z_1
      ;
      (FRS (S13_U U11), FRS (S13_U U12c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u11_u12c_a_1_z_1
      ;
      (FRS (S13_U U12), FRS (S13_U U11c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u12_u11c_a_1_z_1
      ;
      (FRS (S13_U U12), FRS (S13_U U12c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u12_u12c_a_1_z_1
      ;
      (FRS (S13_U U21), FRS (S13_U U21c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u21_u21c_a_1_z_1
      ;
      (FRS (S13_U U21), FRS (S13_U U22c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u21_u22c_a_1_z_1
      ;
      (FRS (S13_U U22), FRS (S13_U U21c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u22_u21c_a_1_z_1
      ;
      (FRS (S13_U U22), FRS (S13_U U22c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u22_u22c_a_1_z_1
      ;
      (FRS (S13_U U31), FRS (S13_U U31c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u31_u31c_a_1_z_1
      ;
      (FRS (S13_U U31), FRS (S13_U U32c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u31_u32c_a_1_z_1
      ;
      (FRS (S13_U U32), FRS (S13_U U31c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u32_u31c_a_1_z_1
      ;
      (FRS (S13_U U32), FRS (S13_U U32c), FRV (V1_A A_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u32_u32c_a_1_z_1
      ;
      (FRS (S13_U U11), FRS (S14_D D11c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u11_d11c_wm_1_z_1
      ;
      (FRS (S13_U U11), FRS (S14_D D12c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u11_d12c_wm_1_z_1
      ;
      (FRS (S13_U U12), FRS (S14_D D11c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u12_d11c_wm_1_z_1
      ;
      (FRS (S13_U U12), FRS (S14_D D12c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u12_d12c_wm_1_z_1
      ;
      (FRS (S13_U U21), FRS (S14_D D21c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u21_d21c_wm_1_z_1
      ;
      (FRS (S13_U U21), FRS (S14_D D22c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u21_d22c_wm_1_z_1
      ;
      (FRS (S13_U U22), FRS (S14_D D21c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u22_d21c_wm_1_z_1
      ;
      (FRS (S13_U U22), FRS (S14_D D22c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u22_d22c_wm_1_z_1
      ;
      (FRS (S13_U U31), FRS (S14_D D31c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u31_d31c_wm_1_z_1
      ;
      (FRS (S13_U U31), FRS (S14_D D32c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u31_d32c_wm_1_z_1
      ;
      (FRS (S13_U U32), FRS (S14_D D31c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u32_d31c_wm_1_z_1
      ;
      (FRS (S13_U U32), FRS (S14_D D32c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u32_d32c_wm_1_z_1
      ;
      (FRS (S13_U U11), FRS (S13_U U11c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u11_u11c_wmc_wm_1
      ;
      (FRS (S13_U U11), FRS (S13_U U12c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u11_u12c_wmc_wm_1
      ;
      (FRS (S13_U U12), FRS (S13_U U11c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u12_u11c_wmc_wm_1
      ;
      (FRS (S13_U U12), FRS (S13_U U12c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u12_u12c_wmc_wm_1
      ;
      (FRS (S13_U U21), FRS (S13_U U21c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u21_u21c_wmc_wm_1
      ;
      (FRS (S13_U U21), FRS (S13_U U22c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u21_u22c_wmc_wm_1
      ;
      (FRS (S13_U U22), FRS (S13_U U21c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u22_u21c_wmc_wm_1
      ;
      (FRS (S13_U U22), FRS (S13_U U22c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u22_u22c_wmc_wm_1
      ;
      (FRS (S13_U U31), FRS (S13_U U31c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u31_u31c_wmc_wm_1
      ;
      (FRS (S13_U U31), FRS (S13_U U32c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u31_u32c_wmc_wm_1
      ;
      (FRS (S13_U U32), FRS (S13_U U31c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u32_u31c_wmc_wm_1
      ;
      (FRS (S13_U U32), FRS (S13_U U32c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u32_u32c_wmc_wm_1
      ;
      (FRS (S13_U U11), FRS (S13_U U11c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u11_u11c_z_1_z_1
      ;
      (FRS (S13_U U11), FRS (S13_U U12c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u11_u12c_z_1_z_1
      ;
      (FRS (S13_U U12), FRS (S13_U U11c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u12_u11c_z_1_z_1
      ;
      (FRS (S13_U U12), FRS (S13_U U12c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u12_u12c_z_1_z_1
      ;
      (FRS (S13_U U21), FRS (S13_U U21c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u21_u21c_z_1_z_1
      ;
      (FRS (S13_U U21), FRS (S13_U U22c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u21_u22c_z_1_z_1
      ;
      (FRS (S13_U U22), FRS (S13_U U21c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u22_u21c_z_1_z_1
      ;
      (FRS (S13_U U22), FRS (S13_U U22c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u22_u22c_z_1_z_1
      ;
      (FRS (S13_U U31), FRS (S13_U U31c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u31_u31c_z_1_z_1
      ;
      (FRS (S13_U U31), FRS (S13_U U32c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u31_u32c_z_1_z_1
      ;
      (FRS (S13_U U32), FRS (S13_U U31c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u32_u31c_z_1_z_1
      ;
      (FRS (S13_U U32), FRS (S13_U U32c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u32_u32c_z_1_z_1
      ;
      (FRS (S11_Sv Sv1), FRS (S12_E E11c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_sv1_e11c_a_1_wm_1
      ;
      (FRS (S11_Sv Sv1), FRS (S12_E E12c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_sv1_e12c_a_1_wm_1
      ;
      (FRS (S11_Sv Sv2), FRS (S12_E E21c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_sv2_e21c_a_1_wm_1
      ;
      (FRS (S11_Sv Sv2), FRS (S12_E E22c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_sv2_e22c_a_1_wm_1
      ;
      (FRS (S11_Sv Sv3), FRS (S12_E E31c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_sv3_e31c_a_1_wm_1
      ;
      (FRS (S11_Sv Sv3), FRS (S12_E E32c), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_sv3_e32c_a_1_wm_1
      ;
      (FRS (S11_Sv Sv1), FRS (S12_E E11c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_sv1_e11c_wm_1_z_1
      ;
      (FRS (S11_Sv Sv1), FRS (S12_E E12c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_sv1_e12c_wm_1_z_1
      ;
      (FRS (S11_Sv Sv2), FRS (S12_E E21c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_sv2_e21c_wm_1_z_1
      ;
      (FRS (S11_Sv Sv2), FRS (S12_E E22c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_sv2_e22c_wm_1_z_1
      ;
      (FRS (S11_Sv Sv3), FRS (S12_E E31c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_sv3_e31c_wm_1_z_1
      ;
      (FRS (S11_Sv Sv3), FRS (S12_E E32c), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_sv3_e32c_wm_1_z_1
      ;
      (FRS (S11_Sv Sv1), FRS (S11_Sv Sv1c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_sv1_sv1c_wmc_wm_1
      ;
      (FRS (S11_Sv Sv2), FRS (S11_Sv Sv2c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_sv1_sv1c_wmc_wm_1
      ;
      (FRS (S11_Sv Sv3), FRS (S11_Sv Sv3c), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_sv1_sv1c_wmc_wm_1
      ;
      (FRS (S11_Sv Sv1), FRS (S11_Sv Sv1c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_sv1_sv1c_z_1_z_1
      ;
      (FRS (S11_Sv Sv2), FRS (S11_Sv Sv2c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_sv1_sv1c_z_1_z_1
      ;
      (FRS (S11_Sv Sv3), FRS (S11_Sv Sv3c), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_sv1_sv1c_z_1_z_1
      ;
      (FRV (V3_Wm Wmc), FRV (V1_A A_1), FRV (V1_A A_1), FRV (V3_Wm Wm_1)),
       Vector4 [1, Coupling.C_12_34; 1, Coupling.C_13_42; -2, Coupling.C_14_23],
       G_wmc_a_1_a_1_wm_1
      ;
      (FRV (V3_Wm Wmc), FRV (V1_A A_1), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1)),
       Vector4 [1, Coupling.C_12_34; -2, Coupling.C_13_42; 1, Coupling.C_14_23],
       G_wmc_a_1_wm_1_z_1
      ;
      (FRV (V3_Wm Wmc), FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1), FRV (V3_Wm Wm_1)),
       Vector4 [2, Coupling.C_12_34; -1, Coupling.C_13_42; -1, Coupling.C_14_23],
       G_wmc_wmc_wm_1_wm_1
      ;
      (FRV (V3_Wm Wmc), FRV (V3_Wm Wm_1), FRV (V2_Z Z_1), FRV (V2_Z Z_1)),
       Vector4 [2, Coupling.C_12_34; -1, Coupling.C_13_42; -1, Coupling.C_14_23],
       G_wmc_wm_1_z_1_z_1
   ]

   let vertices_4_qcd = [
      (FRS (S14_D D11), FRS (S14_D D11c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d11_d11c_g_1_g_1
      ;
      (FRS (S14_D D11), FRS (S14_D D12c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d11_d12c_g_1_g_1
      ;
      (FRS (S14_D D12), FRS (S14_D D11c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d12_d11c_g_1_g_1
      ;
      (FRS (S14_D D12), FRS (S14_D D12c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d12_d12c_g_1_g_1
      ;
      (FRS (S14_D D21), FRS (S14_D D21c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d21_d21c_g_1_g_1
      ;
      (FRS (S14_D D21), FRS (S14_D D22c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d21_d22c_g_1_g_1
      ;
      (FRS (S14_D D22), FRS (S14_D D21c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d22_d21c_g_1_g_1
      ;
      (FRS (S14_D D22), FRS (S14_D D22c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d22_d22c_g_1_g_1
      ;
      (FRS (S14_D D31), FRS (S14_D D31c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d31_d31c_g_1_g_1
      ;
      (FRS (S14_D D31), FRS (S14_D D32c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d31_d32c_g_1_g_1
      ;
      (FRS (S14_D D32), FRS (S14_D D31c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d32_d31c_g_1_g_1
      ;
      (FRS (S14_D D32), FRS (S14_D D32c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d32_d32c_g_1_g_1
      ;
      (FRS (S14_D D11), FRS (S14_D D11c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d11_d11c_g_1_a_1
      ;
      (FRS (S14_D D11), FRS (S14_D D12c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d11_d12c_g_1_a_1
      ;
      (FRS (S14_D D12), FRS (S14_D D11c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d12_d11c_g_1_a_1
      ;
      (FRS (S14_D D12), FRS (S14_D D12c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d12_d12c_g_1_a_1
      ;
      (FRS (S14_D D21), FRS (S14_D D21c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d21_d21c_g_1_a_1
      ;
      (FRS (S14_D D21), FRS (S14_D D22c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d21_d22c_g_1_a_1
      ;
      (FRS (S14_D D22), FRS (S14_D D21c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d22_d21c_g_1_a_1
      ;
      (FRS (S14_D D22), FRS (S14_D D22c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d22_d22c_g_1_a_1
      ;
      (FRS (S14_D D31), FRS (S14_D D31c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d31_d31c_g_1_a_1
      ;
      (FRS (S14_D D31), FRS (S14_D D32c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d31_d32c_g_1_a_1
      ;
      (FRS (S14_D D32), FRS (S14_D D31c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d32_d31c_g_1_a_1
      ;
      (FRS (S14_D D32), FRS (S14_D D32c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_d32_d32c_g_1_a_1
      ;
      (FRS (S14_D D11), FRS (S14_D D11c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d11_d11c_g_1_z_1
      ;
      (FRS (S14_D D11), FRS (S14_D D12c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d11_d12c_g_1_z_1
      ;
      (FRS (S14_D D12), FRS (S14_D D11c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d12_d11c_g_1_z_1
      ;
      (FRS (S14_D D12), FRS (S14_D D12c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d12_d12c_g_1_z_1
      ;
      (FRS (S14_D D21), FRS (S14_D D21c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d21_d21c_g_1_z_1
      ;
      (FRS (S14_D D21), FRS (S14_D D22c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d21_d22c_g_1_z_1
      ;
      (FRS (S14_D D22), FRS (S14_D D21c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d22_d21c_g_1_z_1
      ;
      (FRS (S14_D D22), FRS (S14_D D22c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d22_d22c_g_1_z_1
      ;
      (FRS (S14_D D31), FRS (S14_D D31c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d31_d31c_g_1_z_1
      ;
      (FRS (S14_D D31), FRS (S14_D D32c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d31_d32c_g_1_z_1
      ;
      (FRS (S14_D D32), FRS (S14_D D31c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d32_d31c_g_1_z_1
      ;
      (FRS (S14_D D32), FRS (S14_D D32c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_d32_d32c_g_1_z_1
      ;
      (FRS (S14_D D11), FRS (S13_U U11c), FRV (V3_Wm Wmc), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d11_u11c_wmc_g_1
      ;
      (FRS (S14_D D11), FRS (S13_U U12c), FRV (V3_Wm Wmc), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d11_u12c_wmc_g_1
      ;
      (FRS (S14_D D12), FRS (S13_U U11c), FRV (V3_Wm Wmc), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d12_u11c_wmc_g_1
      ;
      (FRS (S14_D D12), FRS (S13_U U12c), FRV (V3_Wm Wmc), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d12_u12c_wmc_g_1
      ;
      (FRS (S14_D D21), FRS (S13_U U21c), FRV (V3_Wm Wmc), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d21_u21c_wmc_g_1
      ;
      (FRS (S14_D D21), FRS (S13_U U22c), FRV (V3_Wm Wmc), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d21_u22c_wmc_g_1
      ;
      (FRS (S14_D D22), FRS (S13_U U21c), FRV (V3_Wm Wmc), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d22_u21c_wmc_g_1
      ;
      (FRS (S14_D D22), FRS (S13_U U22c), FRV (V3_Wm Wmc), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d22_u22c_wmc_g_1
      ;
      (FRS (S14_D D31), FRS (S13_U U31c), FRV (V3_Wm Wmc), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d31_u31c_wmc_g_1
      ;
      (FRS (S14_D D31), FRS (S13_U U32c), FRV (V3_Wm Wmc), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d31_u32c_wmc_g_1
      ;
      (FRS (S14_D D32), FRS (S13_U U31c), FRV (V3_Wm Wmc), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d32_u31c_wmc_g_1
      ;
      (FRS (S14_D D32), FRS (S13_U U32c), FRV (V3_Wm Wmc), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_d32_u32c_wmc_g_1
      ;
      (FRS (S13_U U11), FRS (S13_U U11c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_u11_u11c_g_1_g_1
      ;
      (FRS (S13_U U11), FRS (S13_U U12c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_u11_u12c_g_1_g_1
      ;
      (FRS (S13_U U12), FRS (S13_U U11c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_u12_u11c_g_1_g_1
      ;
      (FRS (S13_U U12), FRS (S13_U U12c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_u12_u12c_g_1_g_1
      ;
      (FRS (S13_U U21), FRS (S13_U U21c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_u21_u21c_g_1_g_1
      ;
      (FRS (S13_U U21), FRS (S13_U U22c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_u21_u22c_g_1_g_1
      ;
      (FRS (S13_U U22), FRS (S13_U U21c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_u22_u21c_g_1_g_1
      ;
      (FRS (S13_U U22), FRS (S13_U U22c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_u22_u22c_g_1_g_1
      ;
      (FRS (S13_U U31), FRS (S13_U U31c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_u31_u31c_g_1_g_1
      ;
      (FRS (S13_U U31), FRS (S13_U U32c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_u31_u32c_g_1_g_1
      ;
      (FRS (S13_U U32), FRS (S13_U U31c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_u32_u31c_g_1_g_1
      ;
      (FRS (S13_U U32), FRS (S13_U U32c), FRV (V5_G G_1), FRV (V5_G G_1)),
       Scalar2_Vector2 1,
       G_u32_u32c_g_1_g_1
      ;
      (FRS (S13_U U11), FRS (S13_U U11c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u11_u11c_g_1_a_1
      ;
      (FRS (S13_U U11), FRS (S13_U U12c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u11_u12c_g_1_a_1
      ;
      (FRS (S13_U U12), FRS (S13_U U11c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u12_u11c_g_1_a_1
      ;
      (FRS (S13_U U12), FRS (S13_U U12c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u12_u12c_g_1_a_1
      ;
      (FRS (S13_U U21), FRS (S13_U U21c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u21_u21c_g_1_a_1
      ;
      (FRS (S13_U U21), FRS (S13_U U22c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u21_u22c_g_1_a_1
      ;
      (FRS (S13_U U22), FRS (S13_U U21c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u22_u21c_g_1_a_1
      ;
      (FRS (S13_U U22), FRS (S13_U U22c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u22_u22c_g_1_a_1
      ;
      (FRS (S13_U U31), FRS (S13_U U31c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u31_u31c_g_1_a_1
      ;
      (FRS (S13_U U31), FRS (S13_U U32c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u31_u32c_g_1_a_1
      ;
      (FRS (S13_U U32), FRS (S13_U U31c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u32_u31c_g_1_a_1
      ;
      (FRS (S13_U U32), FRS (S13_U U32c), FRV (V5_G G_1), FRV (V1_A A_1)),
       Scalar2_Vector2 1,
       G_u32_u32c_g_1_a_1
      ;
      (FRS (S13_U U11), FRS (S14_D D11c), FRV (V5_G G_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u11_d11c_g_1_wm_1
      ;
      (FRS (S13_U U11), FRS (S14_D D12c), FRV (V5_G G_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u11_d12c_g_1_wm_1
      ;
      (FRS (S13_U U12), FRS (S14_D D11c), FRV (V5_G G_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u12_d11c_g_1_wm_1
      ;
      (FRS (S13_U U12), FRS (S14_D D12c), FRV (V5_G G_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u12_d12c_g_1_wm_1
      ;
      (FRS (S13_U U21), FRS (S14_D D21c), FRV (V5_G G_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u21_d21c_g_1_wm_1
      ;
      (FRS (S13_U U21), FRS (S14_D D22c), FRV (V5_G G_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u21_d22c_g_1_wm_1
      ;
      (FRS (S13_U U22), FRS (S14_D D21c), FRV (V5_G G_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u22_d21c_g_1_wm_1
      ;
      (FRS (S13_U U22), FRS (S14_D D22c), FRV (V5_G G_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u22_d22c_g_1_wm_1
      ;
      (FRS (S13_U U31), FRS (S14_D D31c), FRV (V5_G G_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u31_d31c_g_1_wm_1
      ;
      (FRS (S13_U U31), FRS (S14_D D32c), FRV (V5_G G_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u31_d32c_g_1_wm_1
      ;
      (FRS (S13_U U32), FRS (S14_D D31c), FRV (V5_G G_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u32_d31c_g_1_wm_1
      ;
      (FRS (S13_U U32), FRS (S14_D D32c), FRV (V5_G G_1), FRV (V3_Wm Wm_1)),
       Scalar2_Vector2 1,
       G_u32_d32c_g_1_wm_1
      ;
      (FRS (S13_U U11), FRS (S13_U U11c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u11_u11c_g_1_z_1
      ;
      (FRS (S13_U U11), FRS (S13_U U12c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u11_u12c_g_1_z_1
      ;
      (FRS (S13_U U12), FRS (S13_U U11c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u12_u11c_g_1_z_1
      ;
      (FRS (S13_U U12), FRS (S13_U U12c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u12_u12c_g_1_z_1
      ;
      (FRS (S13_U U21), FRS (S13_U U21c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u21_u21c_g_1_z_1
      ;
      (FRS (S13_U U21), FRS (S13_U U22c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u21_u22c_g_1_z_1
      ;
      (FRS (S13_U U22), FRS (S13_U U21c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u22_u21c_g_1_z_1
      ;
      (FRS (S13_U U22), FRS (S13_U U22c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u22_u22c_g_1_z_1
      ;
      (FRS (S13_U U31), FRS (S13_U U31c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u31_u31c_g_1_z_1
      ;
      (FRS (S13_U U31), FRS (S13_U U32c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u31_u32c_g_1_z_1
      ;
      (FRS (S13_U U32), FRS (S13_U U31c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u32_u31c_g_1_z_1
      ;
      (FRS (S13_U U32), FRS (S13_U U32c), FRV (V5_G G_1), FRV (V2_Z Z_1)),
       Scalar2_Vector2 1,
       G_u32_u32c_g_1_z_1
      ;
      (FRV (V5_G G_1), FRV (V5_G G_1), FRV (V5_G G_1), FRV (V5_G G_1)),
       Vector4 [1, Coupling.C_12_34; -2, Coupling.C_13_42; 1, Coupling.C_14_23],
       G_g_1_g_1_g_1_g_1
   ]

   let vertices_n = []

   let vertices_n_qcd = []

   let vertices () = (
      vertices_3 @ (match Opts.color with true -> vertices_3_qcd | false -> []),
      vertices_4 @ (match Opts.color with true -> vertices_4_qcd | false -> []),
      vertices_n @ (match Opts.color with true -> vertices_n_qcd | false -> [])
   )

   module F = Modeltools.Fusions (struct
      type f = flavor
      type c = constant
      let compare = compare
      let conjugate = conjugate
   end)

   let table = F.of_vertices (vertices ())
   let fuse2 = F.fuse2 table
   let fuse3 = F.fuse3 table
   let fuse = F.fuse table

   (* Charge (stubbed) *)

   module Ch = Charges.Null
   let charges _ = ()

   (* Misc. infrastructure *)

   let options = Options.empty

   let rcs = RCS.parse "mssmnofv2_sarah" ["automatically generated model"] {
      RCS.revision = "Revision: Noop";
      RCS.date = "Date: Noop";
      RCS.author = "Author: Mathematica automaton";
      RCS.source = "Source: Noop"
   }

   type flavor_sans_color = flavor
   let flavor_sans_color x = x
   let conjugate_sans_color = conjugate
   let flavor_sans_color_of_string = flavor_of_string
   let flavor_sans_color_to_string = flavor_to_string
   let flavor_sans_color_to_TeX = flavor_to_TeX
   let flavor_sans_color_symbol = flavor_symbol

end
